define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html#GUID-4E2F4C8C-6B74-4C05-9CBC-41FEAC4BA4D6",
                    "topics":[
                        {
                            "title":"Conventions Used in This Book",
                            "href":"preface.html#GUID-2694627A-90F8-4BE1-B949-BA2DBAE00A6B"
                        },
                        {
                            "title":"Diversity and Inclusion",
                            "href":"preface.html#GUID-9988A30D-7D01-426B-9735-17EC2F0B4A85"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Introduction",
                    "href":"introduction.html",
                    "topics":[
                        {
                            "title":"Introduction to Oracle NoSQL Database",
                            "href":"introduction-oracle-nosql-database1.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">2 </span> Install and Upgrade",
                    "href":"install-and-upgrade.html",
                    "topics":[
                        {
                            "title":"Installing Oracle NoSQL Database",
                            "href":"installing-oracle-nosql-database1.html",
                            "topics":[
                                {
                                    "title":"Installation Prerequisites",
                                    "href":"installation-prerequisites.html"
                                },
                                {
                                    "title":"Installation",
                                    "href":"installation.html"
                                }
                            ]
                        },
                        {
                            "title":"Upgrading an Existing Oracle NoSQL Database Deployment",
                            "href":"upgrading-existing-deployment.html",
                            "topics":[
                                {
                                    "title":"Preparing to Upgrade",
                                    "href":"preparing-upgrade.html"
                                },
                                {
                                    "title":"General Upgrade Notes",
                                    "href":"general-upgrade-notes.html"
                                },
                                {
                                    "title":"Steps to Upgrade",
                                    "href":"steps-upgrade.html#GUID-BC407F0A-A010-4FFB-9167-094ECAACA4A7"
                                },
                                {
                                    "title":"Upgrading JDK on your Oracle NoSQL Database deployment",
                                    "href":"upgrading-jdk-your-oracle-nosql-database-deployment.html"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">3 </span> Configure",
                    "href":"configure.html",
                    "topics":[
                        {
                            "title":"Configuration Basics",
                            "href":"configuration-basics1.html",
                            "topics":[
                                {
                                    "title":"Installation Configuration Parameters",
                                    "href":"installation-configuration-parameters.html"
                                },
                                {
                                    "title":"Configuring the Firewall",
                                    "href":"configuring-firewall.html"
                                }
                            ]
                        },
                        {
                            "title":"Configuring security in a data store",
                            "href":"configuring-security-data-store1.html#GUID-A6880BD0-5CA9-403C-9712-19BFE40A59A3",
                            "topics":[
                                {
                                    "title":"Basics of data store security",
                                    "href":"configuring-security-data-store1.html#GUID-4EE70BA1-0969-42BA-9BB3-2C5D1B0CC766"
                                },
                                {
                                    "title":"Configuring security using securityconfig tool",
                                    "href":"configuring-security-data-store1.html#GUID-B84B4248-FDC5-4ACE-BDD7-3A32821B6F5D"
                                },
                                {
                                    "title":"Create users and configure security with remote access",
                                    "href":"configuring-security-data-store1.html#GUID-C64C732D-4D04-4991-AEA8-E7A064ACC58F"
                                }
                            ]
                        },
                        {
                            "title":"Configure a single node KVLite",
                            "href":"configure-single-node-kvlite.html"
                        },
                        {
                            "title":"Configuring a single region data store",
                            "href":"configuring-single-region-data-store1.html",
                            "topics":[
                                {
                                    "title":"Configuring your data store installation",
                                    "href":"configuring-your-data-store-installation.html"
                                },
                                {
                                    "title":"Using Plans",
                                    "href":"using-plans.html#GUID-95AB89A0-E430-4E42-B3E9-FDB3FF1D906E",
                                    "topics":[
                                        {
                                            "title":"Tracking Plan Progress",
                                            "href":"using-plans.html#GUID-CA2801F0-5278-41AF-91B8-51CCF305B1D6"
                                        },
                                        {
                                            "title":"Plan States",
                                            "href":"using-plans.html#GUID-9CC5819E-F26C-4F72-A2C4-CBE382F70ECB"
                                        },
                                        {
                                            "title":"Reviewing Plans",
                                            "href":"using-plans.html#GUID-78F00545-B652-4CE4-BBD7-8527077D4898"
                                        },
                                        {
                                            "title":"Plan Ownership",
                                            "href":"using-plans.html#GUID-70C9752F-06E9-4C0D-9F51-60EAEE8E2AFE"
                                        },
                                        {
                                            "title":"Pruning Plans",
                                            "href":"using-plans.html#GUID-E6E0F2E2-322B-4E6F-8986-ABB31D01431C"
                                        }
                                    ]
                                },
                                {
                                    "title":"Start the Administration CLI",
                                    "href":"start-administration-cli.html#GUID-CAC92FDC-5FF8-4A1C-9C3F-A6BC84E3F508"
                                },
                                {
                                    "title":"Name your data store",
                                    "href":"name-your-data-store.html"
                                },
                                {
                                    "title":"Create a Zone",
                                    "href":"create-zone.html"
                                },
                                {
                                    "title":"Create an Administration Process on a Specific Storage Node",
                                    "href":"create-administration-process-specific-host.html"
                                },
                                {
                                    "title":"Create a Storage Node Pool",
                                    "href":"create-storage-node-pool.html"
                                },
                                {
                                    "title":"Create the Remainder of your Storage Nodes",
                                    "href":"create-remainder-your-storage-nodes.html"
                                },
                                {
                                    "title":"Create and Deploy Replication Nodes",
                                    "href":"create-and-deploy-replication-nodes.html"
                                },
                                {
                                    "title":"Smoke Testing the System",
                                    "href":"smoke-testing-system.html"
                                },
                                {
                                    "title":"Create a script to configure the data store",
                                    "href":"create-script-configure-data-store.html"
                                },
                                {
                                    "title":"Troubleshooting",
                                    "href":"troubleshooting.html#GUID-BAFD8C75-9965-4C9D-BB7E-956D3AB1145A",
                                    "topics":[
                                        {
                                            "title":"Where to Find Error Information",
                                            "href":"troubleshooting.html#GUID-F004C086-4295-4A68-8D24-F000A75DE9BC"
                                        },
                                        {
                                            "title":"Service States",
                                            "href":"troubleshooting.html#GUID-645F57F0-CC4C-4550-9644-4E88DC9AC64D"
                                        },
                                        {
                                            "title":"Useful Commands",
                                            "href":"troubleshooting.html#GUID-0DE92BCF-A9BF-430B-BB28-251CDEFA45A5"
                                        }
                                    ]
                                }
                            ]
                        },
                        {
                            "title":"Configure data store - Advanced scenarios",
                            "href":"configure-data-store-advanced-scenarios.html",
                            "topics":[
                                {
                                    "title":"Create Additional Admin Processes",
                                    "href":"create-additional-admin-processes.html"
                                },
                                {
                                    "title":"Configuring with Multiple Zones",
                                    "href":"configuring-multiple-zones.html"
                                },
                                {
                                    "title":"Adding Secondary Zone to the Existing Topology",
                                    "href":"adding-secondary-zone-existing-topology.html"
                                }
                            ]
                        },
                        {
                            "title":"Oracle NoSQL Database Proxy",
                            "href":"proxy.html",
                            "topics":[
                                {
                                    "title":"About the Oracle NoSQL Database Proxy",
                                    "href":"oracle-nosql-database-proxy1.html"
                                },
                                {
                                    "title":"Configuring the Proxy",
                                    "href":"configuring-proxy.html"
                                },
                                {
                                    "title":"Using the Proxy in a non-secure data store",
                                    "href":"non-secure-proxy.html"
                                },
                                {
                                    "title":"Using the Proxy in a secure data store",
                                    "href":"secure-proxy.html"
                                }
                            ]
                        },
                        {
                            "title":"Oracle NoSQL Database Drivers",
                            "href":"oracle-nosql-database-drivers1.html",
                            "topics":[
                                {
                                    "title":"About Oracle NoSQL Database SDK drivers",
                                    "href":"oracle-nosql-database-sdk-drivers.html"
                                },
                                {
                                    "title":"Obtaining a NoSQL handle",
                                    "href":"obtaining-nosql-handle.html"
                                },
                                {
                                    "title":"Creating Regions",
                                    "href":"creating-regions.html"
                                },
                                {
                                    "title":"Creating Tables and Indexes",
                                    "href":"creating-tables-and-indexes.html"
                                },
                                {
                                    "title":"Adding Data",
                                    "href":"adding-data.html"
                                },
                                {
                                    "title":"Reading Data",
                                    "href":"reading-table-rows.html"
                                },
                                {
                                    "title":"Using Queries",
                                    "href":"using-queries.html"
                                },
                                {
                                    "title":"Deleting Data",
                                    "href":"deleting-table-rows.html"
                                },
                                {
                                    "title":"Modifying Tables",
                                    "href":"modifying-tables.html"
                                },
                                {
                                    "title":"Drop Regions",
                                    "href":"drop-regions.html"
                                },
                                {
                                    "title":"Drop Tables and Indexes",
                                    "href":"dropping-tables-and-indexes.html"
                                },
                                {
                                    "title":"Handling Errors",
                                    "href":"handling-errors.html"
                                }
                            ]
                        },
                        {
                            "title":"Configuring Multi-Region Data Stores",
                            "href":"configuring-multi-region-data-stores1.html",
                            "topics":[
                                {
                                    "title":"Use Case 1: Set up Multi-Region Environment",
                                    "href":"use-case-1-set-multi-region-environment.html",
                                    "topics":[
                                        {
                                            "title":"Deploy the data store",
                                            "href":"deploy-data-store.html"
                                        },
                                        {
                                            "title":"Set Local Region Name",
                                            "href":"set-local-region-name.html"
                                        },
                                        {
                                            "title":"Configure XRegion Service",
                                            "href":"configure-xregion-service.html"
                                        },
                                        {
                                            "title":"Start XRegion Service",
                                            "href":"start-xregion-service.html"
                                        },
                                        {
                                            "title":"Create Remote Regions",
                                            "href":"create-remote-regions.html"
                                        },
                                        {
                                            "title":"Create Multi-Region Tables",
                                            "href":"create-mr-tables.html",
                                            "topics":[
                                                {
                                                    "title":"Create multi-region table with an MR_COUNTER column",
                                                    "href":"create-multi-region-table-mr_counter-column.html"
                                                }
                                            ]
                                        },
                                        {
                                            "title":"Access and Manipulate Multi-Region Tables",
                                            "href":"access-and-manipulate-mr-tables.html"
                                        },
                                        {
                                            "title":"Stop XRegion Service",
                                            "href":"stop-xregion-service.html"
                                        }
                                    ]
                                },
                                {
                                    "title":"Use Case 2: Expand a Multi-Region Table",
                                    "href":"use-case-2-expand-multi-region-table.html#GUID-6A42AC44-5226-4E48-9485-EC2CF905E91D",
                                    "topics":[
                                        {
                                            "title":"Prerequisites",
                                            "href":"use-case-2-expand-multi-region-table.html#GUID-F4DB0F35-D20F-4267-AB9F-077C9CCEEBAD"
                                        },
                                        {
                                            "title":"Create MR Table in New Region",
                                            "href":"use-case-2-expand-multi-region-table.html#GUID-9F7239DF-20D1-4782-9242-6CEA99F3D035"
                                        },
                                        {
                                            "title":"Add New Region to Existing Regions",
                                            "href":"use-case-2-expand-multi-region-table.html#GUID-06FFAD36-A44A-415D-8EC2-78E84F0454A2"
                                        },
                                        {
                                            "title":"Access MR Table in New and Existing Regions",
                                            "href":"use-case-2-expand-multi-region-table.html#GUID-BE64D894-CC43-446F-BA14-8C6E3A9F59D6"
                                        }
                                    ]
                                },
                                {
                                    "title":"Use Case 3: Contract a Multi-Region Table",
                                    "href":"use-case-3-contract-multi-region-table.html#GUID-8129380C-127C-4714-8B8A-7CA11CD53BF6",
                                    "topics":[
                                        {
                                            "title":"Alter MR Table to Drop Regions",
                                            "href":"use-case-3-contract-multi-region-table.html#GUID-9E470DB3-732B-42FB-8118-6E3F0FA83730"
                                        }
                                    ]
                                },
                                {
                                    "title":"Use Case 4: Drop a Region",
                                    "href":"use-case-4-drop-region.html#GUID-0656820F-77B0-4E5F-BF79-3EC74A0804E9",
                                    "topics":[
                                        {
                                            "title":"Prerequisites",
                                            "href":"use-case-4-drop-region.html#GUID-65AC8296-48D0-4CB8-BEA5-EEDD245CDDA5"
                                        },
                                        {
                                            "title":"Isolate the Region",
                                            "href":"use-case-4-drop-region.html#GUID-95964998-C02D-4F44-A8AA-968BBC34B846"
                                        },
                                        {
                                            "title":"Drop MR Tables in the Isolated Region",
                                            "href":"use-case-4-drop-region.html#GUID-39316593-DEBF-47E6-8A98-942BEC77059F"
                                        },
                                        {
                                            "title":"Drop the Isolated Region",
                                            "href":"use-case-4-drop-region.html#GUID-D34B0A02-5E35-4261-865F-73F71BECB1A4"
                                        }
                                    ]
                                },
                                {
                                    "title":"Use Case 5: Backup and Restore a Multi-Region Table",
                                    "href":"use-case-5-backup-and-restore-multi-region-table.html"
                                },
                                {
                                    "title":"Troubleshooting multi-region data store setup",
                                    "href":"troubleshooting-multi-region-kvstore-setup.html"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">4 </span> Administer",
                    "href":"administer.html",
                    "topics":[
                        {
                            "title":"Changing the Store's Topology",
                            "href":"changing-stores-topology1.html",
                            "topics":[
                                {
                                    "title":"Determining Your Store's Configuration",
                                    "href":"determining-your-stores-configuration.html"
                                },
                                {
                                    "title":"Steps for Changing the Store's Topology",
                                    "href":"steps-changing-stores-topology.html#GUID-8277AFE2-9CB5-4476-B53E-9F94B1D01DF8",
                                    "topics":[
                                        {
                                            "title":"Make the Topology Candidate",
                                            "href":"steps-changing-stores-topology.html#GUID-CBCCB502-62B6-4D54-8F56-083808EEB159"
                                        },
                                        {
                                            "title":"Transforming the Topology Candidate",
                                            "href":"steps-changing-stores-topology.html#GUID-C12CA27D-7119-4C54-B407-66382DB35C71",
                                            "topics":[
                                                {
                                                    "title":"Increase Data Distribution",
                                                    "href":"steps-changing-stores-topology.html#GUID-B3652509-66DF-4CA2-9D89-57A1C31EDD2F"
                                                },
                                                {
                                                    "title":"Increase Replication Factor",
                                                    "href":"steps-changing-stores-topology.html#GUID-2BB54FAA-130C-4430-8211-F302AD7ED831"
                                                },
                                                {
                                                    "title":"Balance a Non-Compliant Topology",
                                                    "href":"steps-changing-stores-topology.html#GUID-DAB228BD-EF98-44B6-8F6B-3CF9DFB716B1"
                                                },
                                                {
                                                    "title":"Contracting a Topology",
                                                    "href":"steps-changing-stores-topology.html#GUID-FEA5E389-97DB-4B11-B265-0D17C5DD38A2"
                                                }
                                            ]
                                        },
                                        {
                                            "title":"View the Topology Candidate",
                                            "href":"steps-changing-stores-topology.html#GUID-AF90E81D-BFDF-4B53-B236-F88EF52B0336"
                                        },
                                        {
                                            "title":"Validate the Topology Candidate",
                                            "href":"steps-changing-stores-topology.html#GUID-263A7604-D038-4AB4-96FB-ACC66E02F1D8"
                                        },
                                        {
                                            "title":"Preview the Topology Candidate",
                                            "href":"steps-changing-stores-topology.html#GUID-91996734-B828-49AD-A120-698B6F9DEFC9"
                                        },
                                        {
                                            "title":"Deploy the Topology Candidate",
                                            "href":"steps-changing-stores-topology.html#GUID-6612AEBA-C5FB-41ED-BCC7-2DE901535FD1"
                                        },
                                        {
                                            "title":"Verify the Store's Current Topology",
                                            "href":"steps-changing-stores-topology.html#GUID-2D52C58B-9829-496D-A8F9-8D662EC39B44"
                                        }
                                    ]
                                },
                                {
                                    "title":"Deploying an Arbiter Node Enabled Topology",
                                    "href":"deploying-arbiter-node-enabled-topology.html"
                                }
                            ]
                        },
                        {
                            "title":"Backup and Recovery",
                            "href":"backup-and-recovery1.html",
                            "topics":[
                                {
                                    "title":"Backing Up the Store",
                                    "href":"backing-store.html#GUID-31470932-7DEE-4D2A-ACCB-B33C352E7C10",
                                    "topics":[
                                        {
                                            "title":"Taking a Snapshot",
                                            "href":"backing-store.html#GUID-2B5A8F1D-9647-4F9E-8477-B1BC283C6E69"
                                        },
                                        {
                                            "title":"Copying a Snapshot",
                                            "href":"backing-store.html#GUID-5E098801-9A08-4715-BF49-B6237695AEA5"
                                        },
                                        {
                                            "title":"Deleting a Snapshot",
                                            "href":"backing-store.html#GUID-B88EFDC4-B50D-4634-9279-D4D3F9AC4715"
                                        },
                                        {
                                            "title":"Managing Snapshots",
                                            "href":"backing-store.html#GUID-C2088274-329A-4FE0-905F-CE77B23994FD"
                                        }
                                    ]
                                },
                                {
                                    "title":"Recovering the Store",
                                    "href":"recovering-store.html#GUID-947AFA45-6CE1-489B-B535-C1092770D70C",
                                    "topics":[
                                        {
                                            "title":"Using the Load Program",
                                            "href":"recovering-store.html#GUID-70DBD5D8-2CC6-42B2-8C3E-7CE3634EC640",
                                            "topics":[
                                                {
                                                    "title":"Load Program and Metadata",
                                                    "href":"recovering-store.html#GUID-E26DC0F6-A1A8-4746-AB4C-B0CA3C5E16C8"
                                                }
                                            ]
                                        },
                                        {
                                            "title":"Restoring Directly from a Snapshot",
                                            "href":"recovering-store.html#GUID-01EC521D-000B-442C-8AD1-199BC8D6DD90"
                                        }
                                    ]
                                },
                                {
                                    "title":"Recovering from Data Corruption",
                                    "href":"recovering-data-corruption.html#GUID-C03B3E7E-AB99-4461-84C5-244FFBA39777",
                                    "topics":[
                                        {
                                            "title":"Detecting Data Corruption",
                                            "href":"recovering-data-corruption.html#GUID-39F583C0-3F65-4FED-A2D0-D919BF60576C"
                                        },
                                        {
                                            "title":"Data Corruption Recovery Procedure",
                                            "href":"recovering-data-corruption.html#GUID-B3F45827-FF07-4E95-ADDF-7E0C881FA76B"
                                        }
                                    ]
                                },
                                {
                                    "title":"Replacing a Failed Disk",
                                    "href":"replacing-failed-disk.html"
                                },
                                {
                                    "title":"Replacing a Failed Storage Node",
                                    "href":"replacing-failed-storage-node.html",
                                    "topics":[
                                        {
                                            "title":"Using a New Storage Node",
                                            "href":"task-new-storage-node.html"
                                        },
                                        {
                                            "title":"Task for an Identical Node",
                                            "href":"task-identical-node.html"
                                        }
                                    ]
                                },
                                {
                                    "title":"Repairing a Failed Zone by Replacing Hardware",
                                    "href":"repairing-failed-zone-replacing-hardware.html"
                                }
                            ]
                        },
                        {
                            "title":"Managing your kvstore",
                            "href":"managing-your-kvstore1.html",
                            "topics":[
                                {
                                    "title":"Increasing Storage Node Capacity",
                                    "href":"increasing-capacity-storage-node.html"
                                },
                                {
                                    "title":"Managing Storage Directory Sizes",
                                    "href":"managing-storage-directory-sizes.html#GUID-14D5B742-1B84-4290-960D-5B7316315892",
                                    "topics":[
                                        {
                                            "title":"Managing Disk Thresholds",
                                            "href":"managing-storage-directory-sizes.html#GUID-0CB42803-1CFE-4C9A-8CF1-2FA0E7B151BA"
                                        },
                                        {
                                            "title":"Specifying Storage Directory Sizes",
                                            "href":"managing-storage-directory-sizes.html#GUID-39C10108-3935-4DE4-887A-5DCCF901BF55"
                                        },
                                        {
                                            "title":"Specifying Differing Disk Capacities",
                                            "href":"managing-storage-directory-sizes.html#GUID-2A2E8E1A-2EA5-4D95-B5D4-55991BB085BA"
                                        },
                                        {
                                            "title":"Monitoring Disk Usage",
                                            "href":"managing-storage-directory-sizes.html#GUID-0BABFB8D-492D-4D4A-A414-44872A90C158"
                                        },
                                        {
                                            "title":"Handling Disk Limit Exception",
                                            "href":"managing-storage-directory-sizes.html#GUID-B9B026BD-76C8-4AC7-BB0C-8881A3F8474C",
                                            "topics":[
                                                {
                                                    "title":"Increasing Storage Directory Size",
                                                    "href":"managing-storage-directory-sizes.html#GUID-AD055293-A155-4163-B4F1-24AEBBC67398"
                                                },
                                                {
                                                    "title":"Adding a New Shard",
                                                    "href":"managing-storage-directory-sizes.html#GUID-ECA013A0-7E03-4948-900A-FD689F4F46E1"
                                                }
                                            ]
                                        }
                                    ]
                                },
                                {
                                    "title":"Managing Admin Directory Size",
                                    "href":"managing-admin-directory-size.html#GUID-3EB45F79-15F6-4300-A82B-1F23B9906DE6",
                                    "topics":[
                                        {
                                            "title":"Admin is Working",
                                            "href":"managing-admin-directory-size.html#GUID-CCEE4B99-ADBC-4D97-89C8-DC66D22183CA"
                                        },
                                        {
                                            "title":"Admin is not Working",
                                            "href":"managing-admin-directory-size.html#GUID-6A8FB8BC-EEA5-421C-8F3D-D1109EE5460C"
                                        }
                                    ]
                                },
                                {
                                    "title":"Disabling Storage Node Agent Hosted Services",
                                    "href":"disabling-storage-node-agent-hosted-services.html"
                                },
                                {
                                    "title":"Verifying the Store",
                                    "href":"verifying-store.html"
                                },
                                {
                                    "title":"Erasing Data",
                                    "href":"erasing-data.html"
                                },
                                {
                                    "title":"Setting Store Parameters",
                                    "href":"setting-store-parameters.html#GUID-B6F7AE32-DD5D-4F6A-A4F6-BC576A10C2A0",
                                    "topics":[
                                        {
                                            "title":"Changing Parameters",
                                            "href":"setting-store-parameters.html#GUID-9B1DA521-09F8-4C19-92C6-5B32DFE07755"
                                        },
                                        {
                                            "title":"Setting Store Wide Policy Parameters",
                                            "href":"setting-store-parameters.html#GUID-7D298C05-ED24-489A-A058-0FA7B2F11324"
                                        },
                                        {
                                            "title":"Admin Parameters",
                                            "href":"setting-store-parameters.html#GUID-68F3308B-EF12-4D85-A23A-D02CB4612D1F"
                                        },
                                        {
                                            "title":"Changing Admin JVM Memory Parameters",
                                            "href":"setting-store-parameters.html#GUID-D501693C-3D53-4046-8F1A-97CE3899B8EF"
                                        },
                                        {
                                            "title":"Storage Node Parameters",
                                            "href":"setting-store-parameters.html#GUID-E5F09161-ABD3-4F8A-8EF8-26271EB82116"
                                        },
                                        {
                                            "title":"Replication Node Parameters",
                                            "href":"setting-store-parameters.html#GUID-8D7E1EF2-D37E-42FB-A9BF-16F1CF44D082"
                                        },
                                        {
                                            "title":"Arbiter Node Parameters",
                                            "href":"setting-store-parameters.html#GUID-E1AE9373-E07F-4B4B-AEF6-EDDD9EDD1341"
                                        },
                                        {
                                            "title":"Global Parameters",
                                            "href":"setting-store-parameters.html#GUID-A200E17C-8BF0-4C22-B9CC-4A4219969487"
                                        },
                                        {
                                            "title":"Security Parameters",
                                            "href":"setting-store-parameters.html#GUID-74F552C3-B93B-4F45-90E1-78C649C3A144"
                                        },
                                        {
                                            "title":"Admin Restart",
                                            "href":"setting-store-parameters.html#GUID-CB357956-8E2D-46E9-B9CE-67EDD48211FD"
                                        },
                                        {
                                            "title":"Replication Node Restart",
                                            "href":"setting-store-parameters.html#GUID-FE0498EC-7CB5-4CCA-9717-C4E11A6108E7"
                                        }
                                    ]
                                },
                                {
                                    "title":"Removing an Oracle NoSQL Database Deployment",
                                    "href":"removing-deployment.html"
                                },
                                {
                                    "title":"Modifying Storage Node HA Port Ranges",
                                    "href":"modifying-storage-node-ha-port-ranges.html"
                                },
                                {
                                    "title":"Modifying Storage Node Service Port Ranges",
                                    "href":"modifying-storage-node-service-port-ranges.html#GUID-1F957054-3806-4AC9-A9A5-4D8FC8F7495A",
                                    "topics":[
                                        {
                                            "title":"Storage Node Not Deployed",
                                            "href":"modifying-storage-node-service-port-ranges.html#GUID-50B2AA23-C40F-4EEE-BCAF-0BA010DD5857"
                                        },
                                        {
                                            "title":"Storage Node Deployed",
                                            "href":"modifying-storage-node-service-port-ranges.html#GUID-8431C759-AFBC-44CF-A272-8276F5C25D61"
                                        }
                                    ]
                                }
                            ]
                        },
                        {
                            "title":"Availability, Failover and Switchover",
                            "href":"availability-failover-and-switchover1.html",
                            "topics":[
                                {
                                    "title":"Availability and Failover",
                                    "href":"availability-and-failover.html"
                                },
                                {
                                    "title":"Replication Overview",
                                    "href":"replication-overview.html"
                                },
                                {
                                    "title":"Loss of a Read-Only Replica Node",
                                    "href":"loss-read-only-replica-node.html"
                                },
                                {
                                    "title":"Loss of a Read/Write Master",
                                    "href":"loss-read-write-master.html"
                                },
                                {
                                    "title":"Unplanned Network Partitions",
                                    "href":"network-partitions.html",
                                    "topics":[
                                        {
                                            "title":"Master is in the Majority Node Partition",
                                            "href":"master-is-majority-node-partition.html"
                                        },
                                        {
                                            "title":"Master is in the Minority Node Partition",
                                            "href":"master-is-minority-node-partition.html"
                                        },
                                        {
                                            "title":"No Majority Node Partition",
                                            "href":"no-majority-node-partition.html"
                                        }
                                    ]
                                },
                                {
                                    "title":"Failover and Switchover Operations",
                                    "href":"failover-and-switchover-operations.html",
                                    "topics":[
                                        {
                                            "title":"Repairing a Failed Zone",
                                            "href":"repairing-failed-zone.html"
                                        },
                                        {
                                            "title":"Performing a Failover",
                                            "href":"performing-failover.html"
                                        },
                                        {
                                            "title":"Performing a Switchover",
                                            "href":"performing-switchover.html"
                                        }
                                    ]
                                },
                                {
                                    "title":"Zone Failover",
                                    "href":"zone-failover.html"
                                },
                                {
                                    "title":"Durability Summary",
                                    "href":"durability-summary.html"
                                },
                                {
                                    "title":"Consistency Summary",
                                    "href":"consistency-summary.html"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">5 </span> Tools and Utilities",
                    "href":"tools-and-utilities.html",
                    "topics":[
                        {
                            "title":"Using Oracle NoSQL Database Migrator",
                            "href":"using-oracle-nosql-data-migrator.html",
                            "topics":[
                                {
                                    "title":"Overview",
                                    "href":"overview.html#GUID-44D8559E-175B-4A9E-8743-95A056BC13FD",
                                    "topics":[
                                        {
                                            "title":"Terminology used with Oracle NoSQL Database Migrator",
                                            "href":"overview.html#GUID-3F02818F-0589-4366-9D1E-8230FADFDFE8"
                                        }
                                    ]
                                },
                                {
                                    "title":"Workflow for Oracle NoSQL Database Migrator",
                                    "href":"workflow-oracle-nosql-data-migrator.html"
                                },
                                {
                                    "title":"Sources and Sinks",
                                    "href":"sources-and-sinks.html",
                                    "topics":[
                                        {
                                            "title":"Supported Sources and Sinks",
                                            "href":"supported-sources-and-sinks.html"
                                        },
                                        {
                                            "title":"Source and Sink Security",
                                            "href":"source-and-sink-security.html"
                                        },
                                        {
                                            "title":"Source Configuration Templates",
                                            "href":"source-configuration-templates.html#GUID-FF56A474-C6EC-40DA-8AAA-9EBA6B616630",
                                            "topics":[
                                                {
                                                    "title":"JSON as the File Source",
                                                    "href":"source-configuration-templates.html#GUID-34F06BD1-BBF4-4FCF-AD44-CE55D9855198"
                                                },
                                                {
                                                    "title":"JSON File in OCI Object Storage Bucket",
                                                    "href":"source-configuration-templates.html#GUID-91D55509-8646-4F37-8DAC-B8AC3A6DB2E7"
                                                },
                                                {
                                                    "title":"MongoDB-Formatted JSON File",
                                                    "href":"source-configuration-templates.html#GUID-CD79D2CD-7F45-4A96-88F1-0B1928B1D9E5"
                                                },
                                                {
                                                    "title":"MongoDB-Formatted JSON File in OCI Object Storage bucket",
                                                    "href":"source-configuration-templates.html#GUID-CD6733BE-CD89-4B41-8FD5-CB2DC4CE529F"
                                                },
                                                {
                                                    "title":"DynamoDB-Formatted JSON File stored in AWS S3",
                                                    "href":"source-configuration-templates.html#GUID-47B228C5-C414-4A69-80ED-70B8DD5F0208"
                                                },
                                                {
                                                    "title":"DynamoDB-Formatted JSON File",
                                                    "href":"source-configuration-templates.html#GUID-6AF882FA-120D-413D-BB23-17C52ED35AC9"
                                                },
                                                {
                                                    "title":"Oracle NoSQL Database",
                                                    "href":"source-configuration-templates.html#GUID-77551422-DB2E-461B-80B3-B7009BF24420"
                                                },
                                                {
                                                    "title":"Oracle NoSQL Database Cloud Service",
                                                    "href":"source-configuration-templates.html#GUID-5A70801B-F281-4FA2-91A9-77CCCC3C3098"
                                                },
                                                {
                                                    "title":"CSV as the File Source",
                                                    "href":"source-configuration-templates.html#GUID-4EBD5292-6475-4D26-8FBB-452514C9A25A"
                                                },
                                                {
                                                    "title":"CSV file in OCI Object Storage Bucket",
                                                    "href":"source-configuration-templates.html#GUID-D2E309CE-52A2-4FA4-951C-62B47FF84AF3"
                                                }
                                            ]
                                        },
                                        {
                                            "title":"Sink Configuration Templates",
                                            "href":"sink-configuration-templates.html#GUID-832FE48D-2A90-4DCA-95A6-40687CA7F39B",
                                            "topics":[
                                                {
                                                    "title":"JSON as the File Sink",
                                                    "href":"sink-configuration-templates.html#GUID-74C4C859-720C-43E2-9564-79E0F9DA933F"
                                                },
                                                {
                                                    "title":"Parquet File",
                                                    "href":"sink-configuration-templates.html#GUID-BF7BB4F8-2107-4468-9E0D-412466862602"
                                                },
                                                {
                                                    "title":"JSON File in OCI Object Storage Bucket",
                                                    "href":"sink-configuration-templates.html#GUID-B79ED267-0F42-40CE-B672-9F7AB65BDA1D"
                                                },
                                                {
                                                    "title":"Parquet File in OCI Object Storage Bucket",
                                                    "href":"sink-configuration-templates.html#GUID-6428C5B1-B1CD-466A-9F3A-CFEAB5C5BCE9"
                                                },
                                                {
                                                    "title":"Oracle NoSQL Database",
                                                    "href":"sink-configuration-templates.html#GUID-0F923114-CBF3-4FFF-9211-975EC6CD640D"
                                                },
                                                {
                                                    "title":"Oracle NoSQL Database Cloud Service",
                                                    "href":"sink-configuration-templates.html#GUID-C0FBD446-B92D-447D-83B7-0DDE1B5AF246"
                                                }
                                            ]
                                        },
                                        {
                                            "title":"Transformation Configuration Templates",
                                            "href":"transformation-configuration-templates.html#GUID-49FE8AD3-830E-45A2-ADA8-B3048CFFD515",
                                            "topics":[
                                                {
                                                    "title":"ignoreFields",
                                                    "href":"transformation-configuration-templates.html#GUID-800AC71E-461D-46B0-8A70-100E8B680B58"
                                                },
                                                {
                                                    "title":"includeFields",
                                                    "href":"transformation-configuration-templates.html#GUID-98E2CBDF-8F57-4987-A113-7CDCEA755032"
                                                },
                                                {
                                                    "title":"renameFields",
                                                    "href":"transformation-configuration-templates.html#GUID-CE84736E-7611-45B6-B2F6-52017B6CB11F"
                                                },
                                                {
                                                    "title":"aggregateFields",
                                                    "href":"transformation-configuration-templates.html#GUID-E10F2A9E-4F88-4640-9218-DAC4E3D215AE"
                                                }
                                            ]
                                        },
                                        {
                                            "title":"Mapping of DynamoDB table to Oracle NoSQL table",
                                            "href":"mapping-dynamodb-table-oracle-nosql-table.html"
                                        },
                                        {
                                            "title":"Oracle NoSQL to Parquet Data Type Mapping",
                                            "href":"oracle-nosql-parquet-data-type-mapping.html"
                                        },
                                        {
                                            "title":"Mapping of DynamoDB types to Oracle NoSQL types",
                                            "href":"mapping-dynamodb-types-oracle-nosql-types.html"
                                        }
                                    ]
                                },
                                {
                                    "title":"Use Case Demonstrations",
                                    "href":"use-case-demonstrations.html",
                                    "topics":[
                                        {
                                            "title":"Migrate from Oracle NoSQL Database Cloud Service to a JSON file",
                                            "href":"migrate-oracle-nosql-database-cloud-service-json-file.html"
                                        },
                                        {
                                            "title":"Migrate from Oracle NoSQL Database On-Premise to Oracle NoSQL Database Cloud Service",
                                            "href":"migrate-oracle-nosql-database-premise-oracle-nosql-database-cloud-service.html"
                                        },
                                        {
                                            "title":"Migrate from JSON file source to Oracle NoSQL Database Cloud Service",
                                            "href":"migrate-json-file-source-oracle-nosql-database-cloud-servic.html"
                                        },
                                        {
                                            "title":"Migrate from MongoDB JSON file to an Oracle NoSQL Database Cloud Service",
                                            "href":"migrate-mongodb-json-file-oracle-nosql-database-cloud-service.html"
                                        },
                                        {
                                            "title":"Migrate from DynamoDB JSON file to Oracle NoSQL Database",
                                            "href":"migrate-dynamodb-json-file-oracle-nosql-database.html"
                                        },
                                        {
                                            "title":"Migrate from DynamoDB JSON file in AWS S3 to an Oracle NoSQL Database Cloud Service",
                                            "href":"migrate-dynamodb-json-file-aws-s3-oracle-nosql-database-cloud-service.html"
                                        },
                                        {
                                            "title":"Migrate from CSV file to Oracle NoSQL Database",
                                            "href":"migrate-csv-file-oracle-nosql-database.html"
                                        }
                                    ]
                                },
                                {
                                    "title":"Troubleshooting the Oracle NoSQL Database Migrator",
                                    "href":"troubleshooting-nosql-data-migrator.html"
                                }
                            ]
                        },
                        {
                            "title":"Using Plugins and Extensions for Development",
                            "href":"using-plugins-development.html",
                            "topics":[
                                {
                                    "title":"About Oracle Enterprise Manager (OEM) Plugin",
                                    "href":"oracle-enterprise-manager-oem-plugin.html",
                                    "topics":[
                                        {
                                            "title":"Importing and Deploying the EM Plug-in",
                                            "href":"importing-and-deploying-em-plug.html"
                                        },
                                        {
                                            "title":"Deploying Agent",
                                            "href":"deploying-agent.html"
                                        },
                                        {
                                            "title":"Adding NoSQL Database Targets",
                                            "href":"adding-nosql-database-targets.html"
                                        },
                                        {
                                            "title":"Components of a NoSQL Store",
                                            "href":"components-nosql-store.html"
                                        },
                                        {
                                            "title":"Store Targets",
                                            "href":"store-targets.html#GUID-7141BD20-4987-4B0E-9883-55EACF74A868",
                                            "topics":[
                                                {
                                                    "title":"Store Page",
                                                    "href":"store-targets.html#GUID-1967D5D4-61A9-4E3D-99DE-3619185EE2E6"
                                                },
                                                {
                                                    "title":"Storage Node Page",
                                                    "href":"store-targets.html#GUID-9985C471-BEF8-46D1-83C3-07EFF1372CE3"
                                                },
                                                {
                                                    "title":"Shard Page",
                                                    "href":"store-targets.html#GUID-C56F55FE-AC80-4CF3-9E43-1C63B980E86D"
                                                },
                                                {
                                                    "title":"Replication Node Page",
                                                    "href":"store-targets.html#GUID-E30B89F4-A204-4CFF-BD5F-A3FFC75F18AE"
                                                }
                                            ]
                                        }
                                    ]
                                },
                                {
                                    "title":"About IntelliJ Plugin",
                                    "href":"intellij-plugin.html",
                                    "topics":[
                                        {
                                            "title":"Setting Up IntelliJ Plug-in",
                                            "href":"setting-intellij-plug.html"
                                        },
                                        {
                                            "title":"Creating a NoSQL Project in IntelliJ",
                                            "href":"creating-nosql-project-intellij.html"
                                        },
                                        {
                                            "title":"Connecting to Oracle NoSQL Database from IntelliJ",
                                            "href":"connecting-oracle-nosqldatabase-intellij.html"
                                        },
                                        {
                                            "title":"Managing Tables Using the IntelliJ Plugin",
                                            "href":"managing-tables-using-intellij-plugin.html#GUID-F862FC41-8219-40E2-95B8-59B6B0BCAB45",
                                            "topics":[
                                                {
                                                    "title":"Perform DDL operations using IntelliJ",
                                                    "href":"managing-tables-using-intellij-plugin.html#GUID-54C067AF-D099-42D8-817F-A62E31992E20"
                                                },
                                                {
                                                    "title":"Perform DML operations using IntelliJ",
                                                    "href":"managing-tables-using-intellij-plugin.html#GUID-E6426278-6494-41B3-AA5D-F7C70DDD1F39"
                                                }
                                            ]
                                        }
                                    ]
                                },
                                {
                                    "title":"About Eclipse plugin",
                                    "href":"eclipse-plugin.html"
                                },
                                {
                                    "title":"About Oracle NoSQL Database Visual Studio Code Extension",
                                    "href":"oracle-nosql-database-visual-studio-code-extension.html",
                                    "topics":[
                                        {
                                            "title":"Installing Oracle NoSQL Database Visual Studio Code Extension",
                                            "href":"installing-oracle-nosql-database-visual-studio-code-extension.html"
                                        },
                                        {
                                            "title":"Connecting to Oracle NoSQL Database from Visual Studio Code",
                                            "href":"connecting-oracle-nosqldatabase-visual-studio-code.html"
                                        },
                                        {
                                            "title":"Managing Tables Using Visual Studio Code Extension",
                                            "href":"managing-tables-using-visual-studio-code-extension.html",
                                            "topics":[
                                                {
                                                    "title":"Perform DDL operations using Visual Studio Code",
                                                    "href":"perform-ddl-operations-using-visual-studio-code.html"
                                                },
                                                {
                                                    "title":"Perform DML operations using Visual Studio Code",
                                                    "href":"perform-dml-operations-using-visual-studio-code.html"
                                                }
                                            ]
                                        },
                                        {
                                            "title":"Removing a Connection",
                                            "href":"removing-connection.html"
                                        }
                                    ]
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">6 </span> Monitor",
                    "href":"monitor.html",
                    "topics":[
                        {
                            "title":"Monitoring the Store",
                            "href":"monitoring-store.html",
                            "topics":[
                                {
                                    "title":"Events",
                                    "href":"events.html"
                                },
                                {
                                    "title":"Log File Compression",
                                    "href":"log-file-compression.html"
                                },
                                {
                                    "title":"Software Monitoring",
                                    "href":"software-monitoring.html",
                                    "topics":[
                                        {
                                            "title":"System Log File Monitoring",
                                            "href":"system-log-file-monitoring.html#GUID-B3D826EF-58CC-48D0-8D56-0B660C59EF5A",
                                            "topics":[
                                                {
                                                    "title":"Java Management Extensions (JMX) Monitoring",
                                                    "href":"system-log-file-monitoring.html#GUID-CE92435E-763F-4363-867F-7FCF8AEBD06A"
                                                }
                                            ]
                                        },
                                        {
                                            "title":"Monitoring for Storage Nodes (SN)",
                                            "href":"monitoring-storage-nodes-sn.html#GUID-100FA86E-27B4-4FF4-9432-6BB719285C09",
                                            "topics":[
                                                {
                                                    "title":"Metrics for Storage Nodes",
                                                    "href":"monitoring-storage-nodes-sn.html#GUID-DD6119E5-F776-476A-A9CD-5AFECD874662"
                                                },
                                                {
                                                    "title":"Java Management Extensions (JMX) Notifications",
                                                    "href":"monitoring-storage-nodes-sn.html#GUID-CD68E5B4-D68C-458E-B10A-AA18143DCE24"
                                                }
                                            ]
                                        },
                                        {
                                            "title":"Monitoring for Replication Nodes (RN)",
                                            "href":"monitoring-replication-nodes-rn.html#GUID-F89920FA-1C93-4D14-A52A-EC2E06DFFB1C",
                                            "topics":[
                                                {
                                                    "title":"Metrics for Replication Node",
                                                    "href":"monitoring-replication-nodes-rn.html#GUID-DF146F47-9491-4B8E-B8D4-7E95320DB1FF"
                                                }
                                            ]
                                        },
                                        {
                                            "title":"Monitoring for Arbiter Nodes",
                                            "href":"monitoring-arbiter-nodes.html#GUID-ABB47C1A-5421-4086-A5DE-29C3C569CCB8",
                                            "topics":[
                                                {
                                                    "title":"Metrics for Arbiter Nodes",
                                                    "href":"monitoring-arbiter-nodes.html#GUID-381B5BEF-F06B-4DB9-AF34-B7D76BB47679"
                                                }
                                            ]
                                        },
                                        {
                                            "title":"Monitoring for Administration (Admin) Nodes",
                                            "href":"monitoring-administration-admin-nodes.html#GUID-1BB103E7-465C-4233-8E05-699205AB81B7",
                                            "topics":[
                                                {
                                                    "title":"Metrics for Admin Nodes",
                                                    "href":"monitoring-administration-admin-nodes.html#GUID-26338C8F-32C5-4E12-9163-2F1527FFAA64"
                                                }
                                            ]
                                        }
                                    ]
                                },
                                {
                                    "title":"Hardware Monitoring",
                                    "href":"hardware-monitoring.html",
                                    "topics":[
                                        {
                                            "title":"Monitoring for Hardware Faults",
                                            "href":"monitoring-hardware-faults.html#GUID-6D193409-7AB0-4B78-AE07-5626B94F101E",
                                            "topics":[
                                                {
                                                    "title":"The Network",
                                                    "href":"monitoring-hardware-faults.html#GUID-00F3BE95-479B-436E-9536-0EE444729D7D",
                                                    "topics":[
                                                        {
                                                            "title":"Correlating Network Failure to NoSQL Log Events",
                                                            "href":"monitoring-hardware-faults.html#GUID-ABE8465A-B776-40BD-8295-2F00CAF587BF"
                                                        },
                                                        {
                                                            "title":"Recovering from Network Failure",
                                                            "href":"monitoring-hardware-faults.html#GUID-B1B6B30B-FD52-4257-A278-8C89927942BF"
                                                        }
                                                    ]
                                                },
                                                {
                                                    "title":"Persistent Storage",
                                                    "href":"monitoring-hardware-faults.html#GUID-0E0913E2-8403-4ED5-8C42-96CA30F0D1B2",
                                                    "topics":[
                                                        {
                                                            "title":"Detecting and Correlating Persistent Storage Failures to NoSQL Log Events",
                                                            "href":"monitoring-hardware-faults.html#GUID-2CCB4C4A-524C-4FAF-8F1C-FE3FE5AA3D83"
                                                        },
                                                        {
                                                            "title":"Resolving Storage Device Failures",
                                                            "href":"monitoring-hardware-faults.html#GUID-4321457F-C145-4CCC-B7A0-92034297EEF9"
                                                        },
                                                        {
                                                            "title":"Procedure for Replacing a Failed Persistent Storage Device",
                                                            "href":"monitoring-hardware-faults.html#GUID-A1566E4E-374C-4E2E-A0C9-F99D5E0C18CB"
                                                        },
                                                        {
                                                            "title":"Example",
                                                            "href":"monitoring-hardware-faults.html#GUID-4C0D302C-D750-4A2A-8B4A-8084DB708819"
                                                        }
                                                    ]
                                                }
                                            ]
                                        },
                                        {
                                            "title":"Servers",
                                            "href":"servers.html#GUID-80935BEC-4EAA-4583-BEA9-C00DF6C5CD5C",
                                            "topics":[
                                                {
                                                    "title":"Detecting and Correlating Server Failures to NoSQL Log Events",
                                                    "href":"servers.html#GUID-83C84E3B-9756-4FA6-A653-BD46FEFFEDC4"
                                                },
                                                {
                                                    "title":"Resolving Server Failures",
                                                    "href":"servers.html#GUID-85BA570E-30FA-4781-8EE0-02987A82DA4E"
                                                },
                                                {
                                                    "title":"Terminology Review",
                                                    "href":"servers.html#GUID-0F07E871-9259-4B60-94A1-1B7AB9FBDD1A"
                                                },
                                                {
                                                    "title":"Assumptions",
                                                    "href":"servers.html#GUID-A781EA70-163F-40FA-AD8E-DF47A4DA8258"
                                                },
                                                {
                                                    "title":"Replacement Procedure 1: Replace SN with Identical SN",
                                                    "href":"servers.html#GUID-AACA693E-24CD-4B3F-8ADF-726A291C5020"
                                                },
                                                {
                                                    "title":"Replacement Procedure 2: New SN Takes Over Duties of Removed SN",
                                                    "href":"servers.html#GUID-35B20F04-643B-42D3-B285-F26C232B19DA"
                                                },
                                                {
                                                    "title":"Examples",
                                                    "href":"servers.html#GUID-F59079CD-77A1-444A-9B03-C9DC8C5AA421"
                                                },
                                                {
                                                    "title":"Setup",
                                                    "href":"servers.html#GUID-A487E8DA-D9F0-401A-B988-227ED531DEC0"
                                                },
                                                {
                                                    "title":"Example 1: Replace a Failed SN with an Identical SN",
                                                    "href":"servers.html#GUID-93C9B730-538E-4479-834B-D07F4D730497",
                                                    "topics":[
                                                        {
                                                            "title":"Verification",
                                                            "href":"servers.html#GUID-2C861325-A770-408D-AD2A-0763F1849F29"
                                                        }
                                                    ]
                                                },
                                                {
                                                    "title":"Example 2: New SN Takes Over Duties of Existing SN",
                                                    "href":"servers.html#GUID-CB24F554-F212-4CAE-8C6F-1DE0EAE388C2",
                                                    "topics":[
                                                        {
                                                            "title":"Verification",
                                                            "href":"servers.html#GUID-76EA2EFF-BBD2-443E-8292-2DFBBFEAB3AF"
                                                        }
                                                    ]
                                                }
                                            ]
                                        }
                                    ]
                                }
                            ]
                        },
                        {
                            "title":"Standardized Monitoring Interfaces",
                            "href":"standardized-monitoring-interfaces1.html",
                            "topics":[
                                {
                                    "title":"Java Management Extensions (JMX)",
                                    "href":"java-management-extensions-jmx.html#GUID-8D151ADE-EC10-446B-8242-1EEC0C3BCB52",
                                    "topics":[
                                        {
                                            "title":"Displaying the Oracle NoSQL Database MBeans",
                                            "href":"java-management-extensions-jmx.html#GUID-76A93F10-3925-418C-B9CD-89E580931770"
                                        },
                                        {
                                            "title":"Enabling JMX Monitoring",
                                            "href":"java-management-extensions-jmx.html#GUID-41D37FAD-4ABF-4F9C-BDA4-6FFA52CE78F6",
                                            "topics":[
                                                {
                                                    "title":"In the Bootfile",
                                                    "href":"java-management-extensions-jmx.html#GUID-9AEE86EF-0FEE-4329-B34F-9AAB93D56F79"
                                                },
                                                {
                                                    "title":"By Changing Storage Node Parameters",
                                                    "href":"java-management-extensions-jmx.html#GUID-AE704347-6A76-45F9-88B4-BC15B83B2993"
                                                }
                                            ]
                                        }
                                    ]
                                }
                            ]
                        },
                        {
                            "title":"Using ELK to Monitor Oracle NoSQL Database",
                            "href":"using-elk-monitor-oracle-nosql-database1.html#GUID-A04811FD-E5FA-4149-AFBE-0E3389A1CC2D",
                            "topics":[
                                {
                                    "title":"Enabling the Collector Service",
                                    "href":"using-elk-monitor-oracle-nosql-database1.html#GUID-248B349F-1477-4042-9BC0-B70AFD00723F"
                                },
                                {
                                    "title":"Setting Up Elasticsearch",
                                    "href":"using-elk-monitor-oracle-nosql-database1.html#GUID-3AFB671A-B907-4DDA-B2C1-DCB202764273"
                                },
                                {
                                    "title":"Setting Up Kibana",
                                    "href":"using-elk-monitor-oracle-nosql-database1.html#GUID-DA447460-D3B4-4C6C-9E50-E2887219581E"
                                },
                                {
                                    "title":"Setting Up Logstash",
                                    "href":"using-elk-monitor-oracle-nosql-database1.html#GUID-FB08063A-1EEC-43D2-BCA5-3DD7D5E2BE76"
                                },
                                {
                                    "title":"Setting Up Filebeat on Each Storage Node",
                                    "href":"using-elk-monitor-oracle-nosql-database1.html#GUID-35A2C985-2A8C-464B-AFC4-0A306661208D"
                                },
                                {
                                    "title":"Configure security for the Elastic Stack",
                                    "href":"using-elk-monitor-oracle-nosql-database1.html#GUID-FDF18682-F962-491D-9B6D-F4E2588C897F"
                                },
                                {
                                    "title":"Using Kibana for Analyzing Oracle NoSQL Database",
                                    "href":"using-elk-monitor-oracle-nosql-database1.html#GUID-96EE006E-AA3A-4EA7-A41E-5326A8F9653E",
                                    "topics":[
                                        {
                                            "title":"Creating Index Patterns",
                                            "href":"using-elk-monitor-oracle-nosql-database1.html#GUID-819620BB-80D5-4FA2-8632-1C063CDEB6BE"
                                        },
                                        {
                                            "title":"Analyzing the Data",
                                            "href":"using-elk-monitor-oracle-nosql-database1.html#GUID-F8CD47F9-B1AA-4A32-8897-473D8415A2CD"
                                        }
                                    ]
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">7 </span> Reference",
                    "href":"reference.html",
                    "topics":[
                        {
                            "title":"Terminologies used in Oracle NoSQL Database",
                            "href":"terminologies-used-oracle-nosql-database1.html"
                        },
                        {
                            "title":"Admin CLI Reference",
                            "href":"admin-cli-reference1.html",
                            "topics":[
                                {
                                    "title":"aggregate",
                                    "href":"aggregate.html#GUID-437AE483-7809-4F7C-8EFE-C103EC55E37E",
                                    "topics":[
                                        {
                                            "title":"aggregate table",
                                            "href":"aggregate.html#GUID-2F18CF9B-6D07-4E1B-A169-4C2355677523"
                                        }
                                    ]
                                },
                                {
                                    "title":"await-consistent",
                                    "href":"await-consistent.html"
                                },
                                {
                                    "title":"change-policy",
                                    "href":"change-policy.html"
                                },
                                {
                                    "title":"configure",
                                    "href":"configure1.html"
                                },
                                {
                                    "title":"connect",
                                    "href":"connect.html#GUID-37959214-7B6D-4F5C-A634-629F470F9B32",
                                    "topics":[
                                        {
                                            "title":"connect admin",
                                            "href":"connect.html#GUID-92B20460-B126-474C-9A2B-7FE889A5603A"
                                        },
                                        {
                                            "title":"connect store",
                                            "href":"connect.html#GUID-C7527B50-6EF6-46EC-B90F-56421B165B58"
                                        }
                                    ]
                                },
                                {
                                    "title":"delete",
                                    "href":"delete.html#GUID-24681ED1-A78C-45E7-A227-1468612A2F24",
                                    "topics":[
                                        {
                                            "title":"delete kv",
                                            "href":"delete.html#GUID-16F58ABB-4464-419C-8C29-ADBA9F048DBB"
                                        },
                                        {
                                            "title":"delete table",
                                            "href":"delete.html#GUID-A97C0AB1-B3B5-4AB7-8C88-AF8515A4698C"
                                        }
                                    ]
                                },
                                {
                                    "title":"execute",
                                    "href":"execute.html"
                                },
                                {
                                    "title":"exit",
                                    "href":"exit.html"
                                },
                                {
                                    "title":"get",
                                    "href":"get.html#GUID-CE76923F-BCCE-42EB-A6D1-836BE2143589",
                                    "topics":[
                                        {
                                            "title":"get kv",
                                            "href":"get.html#GUID-8AF78BC7-B896-4A9E-A361-8912A85C9803"
                                        },
                                        {
                                            "title":"get table",
                                            "href":"get.html#GUID-2071FB29-0F3F-4372-8F08-ABA914EA087F"
                                        }
                                    ]
                                },
                                {
                                    "title":"help",
                                    "href":"help.html"
                                },
                                {
                                    "title":"hidden",
                                    "href":"hidden.html"
                                },
                                {
                                    "title":"history",
                                    "href":"history.html"
                                },
                                {
                                    "title":"load",
                                    "href":"load.html"
                                },
                                {
                                    "title":"logtail",
                                    "href":"logtail.html"
                                },
                                {
                                    "title":"namespace",
                                    "href":"namespace.html"
                                },
                                {
                                    "title":"page",
                                    "href":"page.html"
                                },
                                {
                                    "title":"ping",
                                    "href":"ping1.html"
                                },
                                {
                                    "title":"plan",
                                    "href":"plan.html#GUID-A8D8698D-6F97-48BE-8F31-C98807F34B28",
                                    "topics":[
                                        {
                                            "title":"plan add-index",
                                            "href":"plan.html#GUID-2BCCA53C-977A-4F31-8A20-6F4445694DF5"
                                        },
                                        {
                                            "title":"plan add-table",
                                            "href":"plan.html#GUID-0CC9449B-4F13-44CD-A450-8326AC572A8C"
                                        },
                                        {
                                            "title":"plan cancel",
                                            "href":"plan.html#GUID-F2D255D2-D9D7-4560-893B-912213688E68"
                                        },
                                        {
                                            "title":"plan change-parameters",
                                            "href":"plan.html#GUID-10FE8D6C-15D2-4093-BE03-D3431D750D83"
                                        },
                                        {
                                            "title":"plan change-storagedir",
                                            "href":"plan.html#GUID-AA9D3B3B-E5AC-4B0F-826F-1F85913E65E1"
                                        },
                                        {
                                            "title":"plan change-user",
                                            "href":"plan.html#GUID-3D82201C-C479-4EFB-A2E4-0C28A5CCB07A"
                                        },
                                        {
                                            "title":"plan create-user",
                                            "href":"plan.html#GUID-AD50EB2A-D97F-4F7F-BE20-A9A0487C5FA1"
                                        },
                                        {
                                            "title":"plan deploy-admin",
                                            "href":"plan.html#GUID-59AEF251-398B-4EED-B3DD-7C793367C594"
                                        },
                                        {
                                            "title":"plan deploy-datacenter",
                                            "href":"plan.html#GUID-E765980F-3C44-4EDC-8611-919041CC3E69"
                                        },
                                        {
                                            "title":"plan deploy-sn",
                                            "href":"plan.html#GUID-6B938B2C-4F55-4D20-8B76-17DFEB04E486"
                                        },
                                        {
                                            "title":"plan deploy-topology",
                                            "href":"plan.html#GUID-DBAC4381-D435-4231-8827-38AEB436E50E"
                                        },
                                        {
                                            "title":"plan deploy-zone",
                                            "href":"plan.html#GUID-1E44E7F4-E0D5-4BB4-981C-4769E092417B"
                                        },
                                        {
                                            "title":"plan deregister-es",
                                            "href":"plan.html#GUID-2B29688F-7A5A-4360-B60F-8EAE6A93A95B"
                                        },
                                        {
                                            "title":"plan drop-user",
                                            "href":"plan.html#GUID-8FA8BBB2-FA86-49BB-8BA1-C9ED82372C9A"
                                        },
                                        {
                                            "title":"plan enable-requests",
                                            "href":"plan.html#GUID-343361B0-CBDE-49AD-A6C9-9FA54231F3AA"
                                        },
                                        {
                                            "title":"plan evolve-table",
                                            "href":"plan.html#GUID-0421AE73-7755-45A9-8A6D-D9BA5699A13A"
                                        },
                                        {
                                            "title":"plan execute",
                                            "href":"plan.html#GUID-9132C076-B15F-4F59-B776-C3945E8BD7A7"
                                        },
                                        {
                                            "title":"plan failover",
                                            "href":"plan.html#GUID-F9A742F0-2DFC-45FB-9DC8-E1CCD3432BD5"
                                        },
                                        {
                                            "title":"plan grant",
                                            "href":"plan.html#GUID-8B39D066-E6B8-4D53-BAF6-88E70B65C0CB"
                                        },
                                        {
                                            "title":"plan interrupt",
                                            "href":"plan.html#GUID-A317F35F-6EB3-4856-BDB2-A58D66C7F6A4"
                                        },
                                        {
                                            "title":"plan migrate-sn",
                                            "href":"plan.html#GUID-120A310B-A529-49EF-8F54-4B30461B4851"
                                        },
                                        {
                                            "title":"plan network-restore",
                                            "href":"plan.html#GUID-56AB9BCC-1C6D-4029-A8FB-E547C09F2B79"
                                        },
                                        {
                                            "title":"plan register-es",
                                            "href":"plan.html#GUID-2D6F3FE5-D9EF-4C6A-BAB6-5E62191E9671"
                                        },
                                        {
                                            "title":"plan remove-admin",
                                            "href":"plan.html#GUID-B8A2B310-32C8-4CCE-9320-8405718E5E46"
                                        },
                                        {
                                            "title":"plan remove-datacenter",
                                            "href":"plan.html#GUID-554AB4E3-C118-49F3-AA46-DAB99DB9F07E"
                                        },
                                        {
                                            "title":"plan remove-index",
                                            "href":"plan.html#GUID-3D07D52A-235E-46BF-9090-98FD47FE11A9"
                                        },
                                        {
                                            "title":"plan remove-sn",
                                            "href":"plan.html#GUID-550EF4A3-8513-407B-B10E-F99888E6EA94"
                                        },
                                        {
                                            "title":"plan remove-table",
                                            "href":"plan.html#GUID-B2940D40-B006-4928-94CE-329BF230E6AF"
                                        },
                                        {
                                            "title":"plan remove-zone",
                                            "href":"plan.html#GUID-554CA830-7963-45DD-A9B8-84A07CA00042"
                                        },
                                        {
                                            "title":"plan repair-topology",
                                            "href":"plan.html#GUID-775D9DA8-FA87-4336-8103-0D9363CDE7CD"
                                        },
                                        {
                                            "title":"plan revoke",
                                            "href":"plan.html#GUID-5E473240-9137-42B4-A166-A5BF84E3A6DA"
                                        },
                                        {
                                            "title":"plan start-service",
                                            "href":"plan.html#GUID-01452E0E-EA76-4DA8-82DE-86A62BDC2F0F"
                                        },
                                        {
                                            "title":"plan stop-service",
                                            "href":"plan.html#GUID-8876FC34-CBA9-48CD-B8D6-7C030B316282"
                                        },
                                        {
                                            "title":"plan verify-data",
                                            "href":"plan.html#GUID-C77C1F7B-F910-44C0-98F5-270DFEB33402",
                                            "topics":[
                                                {
                                                    "title":"Executing verify-data",
                                                    "href":"plan.html#GUID-4858CD6E-3C8A-48EE-A24A-29C4084B1812"
                                                }
                                            ]
                                        },
                                        {
                                            "title":"plan wait",
                                            "href":"plan.html#GUID-E0B03C15-E04D-431A-8C3D-14984BCD986F"
                                        }
                                    ]
                                },
                                {
                                    "title":"pool",
                                    "href":"pool.html#GUID-21D00E92-644E-4669-A60C-9C50D7E0234D",
                                    "topics":[
                                        {
                                            "title":"pool clone",
                                            "href":"pool.html#GUID-7D0338CA-1F8C-4E41-ACB0-65492DACF677"
                                        },
                                        {
                                            "title":"pool create",
                                            "href":"pool.html#GUID-B43F9820-588C-4607-8490-8094F0D92A53"
                                        },
                                        {
                                            "title":"pool join",
                                            "href":"pool.html#GUID-759B1CAE-3BDD-47BB-A8A4-B690E3604258"
                                        },
                                        {
                                            "title":"pool leave",
                                            "href":"pool.html#GUID-8F5B0060-2E6C-4382-9A90-F2AC590CA278"
                                        },
                                        {
                                            "title":"pool remove",
                                            "href":"pool.html#GUID-4E89C133-841E-440F-A7A7-B5F08B3AC14E"
                                        }
                                    ]
                                },
                                {
                                    "title":"put",
                                    "href":"put.html#GUID-2D0DD594-6458-4874-92B4-532E9B7B10F5",
                                    "topics":[
                                        {
                                            "title":"put kv",
                                            "href":"put.html#GUID-51B7E583-3DF0-4CF4-88BE-22E945CC72E2"
                                        },
                                        {
                                            "title":"put table",
                                            "href":"put.html#GUID-5DEF8DC9-8ED6-4114-BAF4-D29908EC1F51"
                                        }
                                    ]
                                },
                                {
                                    "title":"repair-admin-quorum",
                                    "href":"repair-admin-quorum.html"
                                },
                                {
                                    "title":"show",
                                    "href":"show.html#GUID-B7076ECF-70D7-43FE-8CDB-1ADE819C4894",
                                    "topics":[
                                        {
                                            "title":"show admins",
                                            "href":"show.html#GUID-BDDBBC42-B71C-40EF-BF71-82DC75F16A1E"
                                        },
                                        {
                                            "title":"show datacenters",
                                            "href":"show.html#GUID-9620C775-1E48-41D3-B05F-D0D8DD429D13"
                                        },
                                        {
                                            "title":"show events",
                                            "href":"show.html#GUID-18136440-DC69-4531-A106-338AC9343ED5"
                                        },
                                        {
                                            "title":"show faults",
                                            "href":"show.html#GUID-E906614E-C1BE-4EF0-9E02-040D67940989"
                                        },
                                        {
                                            "title":"show indexes",
                                            "href":"show.html#GUID-D8F24633-3DCF-44EA-93C2-A3EB05E78CFF"
                                        },
                                        {
                                            "title":"show mrtable-agent-statistics",
                                            "href":"show.html#GUID-8CC0EB80-8EC7-410C-BA8A-13DEE2DF57B5"
                                        },
                                        {
                                            "title":"show parameters",
                                            "href":"show.html#GUID-0647FBDF-0AAF-4378-923E-51874E9BAE9B"
                                        },
                                        {
                                            "title":"show perf",
                                            "href":"show.html#GUID-3A6936E1-C15E-4A46-8BAC-D52CA366CE8E"
                                        },
                                        {
                                            "title":"show plans",
                                            "href":"show.html#GUID-37A14D58-B277-447F-9B7B-84EC10469B3F"
                                        },
                                        {
                                            "title":"show pools",
                                            "href":"show.html#GUID-653E4C31-234A-4A46-87B0-C3EA7916F132"
                                        },
                                        {
                                            "title":"show snapshots",
                                            "href":"show.html#GUID-3AA19CC3-00FB-4800-B11F-AC906EC6614C"
                                        },
                                        {
                                            "title":"show regions",
                                            "href":"show.html#GUID-04D9AEEA-9661-48DA-AB43-456AD1D272F6"
                                        },
                                        {
                                            "title":"show tables",
                                            "href":"show.html#GUID-EBD1E02C-9AEA-4594-969E-2BC3F71147B7"
                                        },
                                        {
                                            "title":"show topology",
                                            "href":"show.html#GUID-783E69C1-5BBC-43B8-ADC5-BC0DE43286F8"
                                        },
                                        {
                                            "title":"show upgrade-order",
                                            "href":"show.html#GUID-DE939E9F-5468-4187-A44C-8B2AA5B0AFAD"
                                        },
                                        {
                                            "title":"show users",
                                            "href":"show.html#GUID-F0581774-6FF5-4305-89C3-42BB4A2B518F"
                                        },
                                        {
                                            "title":"show versions",
                                            "href":"show.html#GUID-346C3BDC-E8B6-4A0C-B313-885EBD5C5C62"
                                        },
                                        {
                                            "title":"show zones",
                                            "href":"show.html#GUID-3C224B54-7379-474E-9B22-17F1A94D56BB"
                                        }
                                    ]
                                },
                                {
                                    "title":"snapshot",
                                    "href":"snapshot.html#GUID-F2D6B9E3-57E6-4B1A-BE3F-74B4906442D6",
                                    "topics":[
                                        {
                                            "title":"snapshot create",
                                            "href":"snapshot.html#GUID-58E1286E-2BC7-460E-96C7-2E43A669C368"
                                        },
                                        {
                                            "title":"snapshot remove",
                                            "href":"snapshot.html#GUID-813AE72C-1E88-4CC3-82CB-E40619277B74"
                                        }
                                    ]
                                },
                                {
                                    "title":"table",
                                    "href":"table.html"
                                },
                                {
                                    "title":"table-size",
                                    "href":"table-size.html"
                                },
                                {
                                    "title":"timer",
                                    "href":"timer.html"
                                },
                                {
                                    "title":"topology",
                                    "href":"topology.html#GUID-F30B4D20-5E3A-45C7-8CBF-E99C5B5F151F",
                                    "topics":[
                                        {
                                            "title":"topology change-repfactor",
                                            "href":"topology.html#GUID-B35DF0CF-AB25-47A6-8066-17528DD80D54"
                                        },
                                        {
                                            "title":"topology change-zone-arbiters",
                                            "href":"topology.html#GUID-0F86FF8C-FAD5-4055-892C-F7B2223BA579"
                                        },
                                        {
                                            "title":"topology change-zone-master-affinity",
                                            "href":"topology.html#GUID-FA3DF6B8-55E8-47A4-9CC4-CE24268AEA8F"
                                        },
                                        {
                                            "title":"topology change-zone-type",
                                            "href":"topology.html#GUID-7B7AA8AE-C920-446F-B489-3DFBA0A907CC"
                                        },
                                        {
                                            "title":"topology clone",
                                            "href":"topology.html#GUID-3DE81101-DA8B-4AF7-92A8-33DE66D04455"
                                        },
                                        {
                                            "title":"topology contract",
                                            "href":"topology.html#GUID-7F06715E-259D-415C-BDD0-EA83A17A7BCF"
                                        },
                                        {
                                            "title":"topology create",
                                            "href":"topology.html#GUID-6F14B18F-2646-469C-BC6A-963DB468B12A"
                                        },
                                        {
                                            "title":"topology delete",
                                            "href":"topology.html#GUID-64F0EF91-FB91-45FE-BA8F-C014D43FE9FB"
                                        },
                                        {
                                            "title":"topology list",
                                            "href":"topology.html#GUID-2A153B0F-F664-4073-A1E7-7A6A17EA888C"
                                        },
                                        {
                                            "title":"topology preview",
                                            "href":"topology.html#GUID-4FE1D24B-288B-4AF6-A209-EDD447AF2332"
                                        },
                                        {
                                            "title":"topology rebalance",
                                            "href":"topology.html#GUID-8C8C9A0D-ED21-41B2-B43C-0AA21C1203A9"
                                        },
                                        {
                                            "title":"topology redistribute",
                                            "href":"topology.html#GUID-D6D730DC-DAF1-49CA-9DFB-3ED2CA94DE4C"
                                        },
                                        {
                                            "title":"topology validate",
                                            "href":"topology.html#GUID-EA7FF667-1DBA-4564-AF95-667F49BE3376"
                                        },
                                        {
                                            "title":"topology view",
                                            "href":"topology.html#GUID-B11337B7-C4D5-4D2F-BE6D-F99AC8FC992E"
                                        }
                                    ]
                                },
                                {
                                    "title":"verbose",
                                    "href":"verbose.html"
                                },
                                {
                                    "title":"verify",
                                    "href":"verify.html#GUID-B4DD0B70-C903-4CE2-AC12-FA302DEC6944",
                                    "topics":[
                                        {
                                            "title":"verify configuration",
                                            "href":"verify.html#GUID-B1C73070-B297-435E-A7B1-3C99BB5D5136"
                                        },
                                        {
                                            "title":"verify prerequisite",
                                            "href":"verify.html#GUID-A13D93DE-333F-48CD-BE2C-1657A1E48BF5"
                                        },
                                        {
                                            "title":"verify upgrade",
                                            "href":"verify.html#GUID-B1EEFF6E-48E4-4F13-BC14-7ECB83E53D17"
                                        }
                                    ]
                                }
                            ]
                        },
                        {
                            "title":"Admin Utility Command Reference",
                            "href":"admin-utility-command-reference1.html",
                            "topics":[
                                {
                                    "title":"diagnostics",
                                    "href":"diagnostics.html"
                                },
                                {
                                    "title":"generateconfig",
                                    "href":"generateconfig.html"
                                },
                                {
                                    "title":"help",
                                    "href":"help1.html"
                                },
                                {
                                    "title":"kvlite",
                                    "href":"kvlite.html"
                                },
                                {
                                    "title":"load admin metadata",
                                    "href":"load-admin-metadata.html"
                                },
                                {
                                    "title":"load store data",
                                    "href":"load-store-data.html"
                                },
                                {
                                    "title":"makebootconfig",
                                    "href":"makebootconfig.html"
                                },
                                {
                                    "title":"ping",
                                    "href":"ping.html#GUID-7EF03942-D52B-46E7-A1AC-D3519E7B1658",
                                    "topics":[
                                        {
                                            "title":"Ping Command Line Parameters",
                                            "href":"ping.html#GUID-4FB6EF88-5356-4565-879E-9C7F2992BBDF"
                                        },
                                        {
                                            "title":"Ping Exit Codes",
                                            "href":"ping.html#GUID-CDCC2F86-8A9E-4A68-8DC3-C5E735C19BA5"
                                        },
                                        {
                                            "title":"Ping Report Text Output",
                                            "href":"ping.html#GUID-62E30C15-4305-4DBF-B151-64BA899443F1"
                                        },
                                        {
                                            "title":"Ping Report JSON Output",
                                            "href":"ping.html#GUID-69FF304E-D4D9-4D3B-8DDC-F9264C23B945"
                                        }
                                    ]
                                },
                                {
                                    "title":"restart",
                                    "href":"restart.html"
                                },
                                {
                                    "title":"runadmin",
                                    "href":"runadmin.html"
                                },
                                {
                                    "title":"securityconfig",
                                    "href":"securityconfig.html"
                                },
                                {
                                    "title":"start",
                                    "href":"start.html"
                                },
                                {
                                    "title":"status",
                                    "href":"status.html"
                                },
                                {
                                    "title":"stop",
                                    "href":"stop.html"
                                },
                                {
                                    "title":"version",
                                    "href":"version.html"
                                },
                                {
                                    "title":"xrstart",
                                    "href":"xrstart.html"
                                },
                                {
                                    "title":"xrstop",
                                    "href":"xrstop.html"
                                }
                            ]
                        },
                        {
                            "title":"Initial Capacity Planning",
                            "href":"initial-capacity-planning1.html",
                            "topics":[
                                {
                                    "title":"Shard Capacity",
                                    "href":"shard-capacity.html#GUID-8819139E-837F-43CA-8136-E92F3F2CE3BA",
                                    "topics":[
                                        {
                                            "title":"Application Characteristics",
                                            "href":"shard-capacity.html#GUID-A7DB3189-0EE2-4A04-A20E-5D274031786C",
                                            "topics":[
                                                {
                                                    "title":"Replication Factor",
                                                    "href":"shard-capacity.html#GUID-D4D40EC3-EE6A-45ED-BA08-90C1DE4E07A8"
                                                },
                                                {
                                                    "title":"Average Key Size",
                                                    "href":"shard-capacity.html#GUID-CA937E53-DA80-4499-B9B3-FBFD6F2A622F"
                                                },
                                                {
                                                    "title":"Average Value Size",
                                                    "href":"shard-capacity.html#GUID-9DEF0C31-2AD8-4C27-A7C0-2E2CEC7AB569"
                                                },
                                                {
                                                    "title":"Read and Write Operation Percentages",
                                                    "href":"shard-capacity.html#GUID-763E7FFB-D935-4782-8FE8-C1F042BD580E"
                                                },
                                                {
                                                    "title":"Hardware Characteristics",
                                                    "href":"shard-capacity.html#GUID-90E3C58B-82D9-4BB2-8218-063149C2B8B7"
                                                }
                                            ]
                                        },
                                        {
                                            "title":"Shard Storage and Throughput Capacities",
                                            "href":"shard-capacity.html#GUID-CD2ABF1A-3F47-406F-B58E-FEA67A80C188",
                                            "topics":[
                                                {
                                                    "title":"Shard Storage Capacity",
                                                    "href":"shard-capacity.html#GUID-6CE49B9C-D0B7-4C3E-847D-C797F4F2B93E"
                                                },
                                                {
                                                    "title":"Shard I/O Throughput capacity",
                                                    "href":"shard-capacity.html#GUID-D1B0E9B7-8312-406A-8E71-1BE262A6A0C9"
                                                }
                                            ]
                                        },
                                        {
                                            "title":"Memory and Network Configuration",
                                            "href":"shard-capacity.html#GUID-8556A196-31BE-444C-8798-E43EDCE77DF0"
                                        },
                                        {
                                            "title":"Machine Physical Memory",
                                            "href":"shard-capacity.html#GUID-5D25F8F0-BA90-4FE9-8564-1CA5D74BCE71"
                                        },
                                        {
                                            "title":"Sizing Advice",
                                            "href":"shard-capacity.html#GUID-44BD362A-6937-4A47-A3E3-7D1DF9F1B8AB"
                                        },
                                        {
                                            "title":"Determine JE Cache Size",
                                            "href":"shard-capacity.html#GUID-86B6DF8A-93AC-4F27-9B1F-680E0FB2255E"
                                        },
                                        {
                                            "title":"Machine Network Throughput",
                                            "href":"shard-capacity.html#GUID-D194E68B-C348-4242-9FD5-D8BC8803D04C"
                                        }
                                    ]
                                },
                                {
                                    "title":"Estimate total Shards and Machines",
                                    "href":"estimate-total-shards-and-machines.html#GUID-B43EF791-7680-47C9-8755-95F1B00B2606",
                                    "topics":[
                                        {
                                            "title":"Number of Partitions",
                                            "href":"estimate-total-shards-and-machines.html#GUID-287AC5BF-BA90-4FDE-B7BA-004746C80355"
                                        }
                                    ]
                                }
                            ]
                        },
                        {
                            "title":"Tuning",
                            "href":"tuning1.html",
                            "topics":[
                                {
                                    "title":"Turn off the swap",
                                    "href":"turn-swap.html"
                                },
                                {
                                    "title":"Linux Page Cache Tuning",
                                    "href":"linux-page-cache-tuning.html"
                                },
                                {
                                    "title":"OS User Limits",
                                    "href":"os-user-limits.html#GUID-2A06097C-B98C-4E1D-AC2A-BBB135275165",
                                    "topics":[
                                        {
                                            "title":"File Descriptor Limits",
                                            "href":"os-user-limits.html#GUID-A7ABF8BB-61F1-4802-AFD7-C024B62EF7F2"
                                        },
                                        {
                                            "title":"Process and Thread Limits",
                                            "href":"os-user-limits.html#GUID-21BFC21C-E9A0-4432-B0FA-F43004FC50A9"
                                        }
                                    ]
                                },
                                {
                                    "title":"Linux Network Configuration Settings",
                                    "href":"linux-network-configuration-settings.html#GUID-F98FDC96-9F8D-4337-85FB-D8D3F1B29979",
                                    "topics":[
                                        {
                                            "title":"Server Socket Backlog",
                                            "href":"linux-network-configuration-settings.html#GUID-A156786B-1401-46E7-B0B8-89DA53FC2324"
                                        },
                                        {
                                            "title":"Isolating HA Network Traffic",
                                            "href":"linux-network-configuration-settings.html#GUID-E1AC9EC9-1178-4372-AB7E-E7F9AAC96146"
                                        },
                                        {
                                            "title":"Receive Packet Steering",
                                            "href":"linux-network-configuration-settings.html#GUID-2C421B19-84C1-4EF9-AD1D-2564BF73A56B"
                                        },
                                        {
                                            "title":"MTU Size",
                                            "href":"linux-network-configuration-settings.html#GUID-582A7451-F0CF-4B20-AB82-8D714F7D0B56"
                                        }
                                    ]
                                },
                                {
                                    "title":"Check AES Intrinsics Settings",
                                    "href":"check-aes-intrinsics-settings.html"
                                },
                                {
                                    "title":"Viewing Key Distribution Statistics",
                                    "href":"viewing-key-distribution-statistics.html",
                                    "topics":[
                                        {
                                            "title":"Examples: Key Distribution Statistics",
                                            "href":"examples-key-distribution-statistics.html"
                                        }
                                    ]
                                }
                            ]
                        },
                        {
                            "title":"Solid State Drives (SSDs)",
                            "href":"solid-state-drives-ssds1.html",
                            "topics":[
                                {
                                    "title":"Trim requirements",
                                    "href":"trim-requirements.html"
                                },
                                {
                                    "title":"Enabling Trim",
                                    "href":"enabling-trim.html"
                                }
                            ]
                        },
                        {
                            "title":"Diagnostics Utility",
                            "href":"diagnostics-utility1.html",
                            "topics":[
                                {
                                    "title":"Setting up the tool",
                                    "href":"setting-tool.html"
                                },
                                {
                                    "title":"Packaging Information and Files",
                                    "href":"packaging-information-and-files.html"
                                },
                                {
                                    "title":"Verifying Storage Node configuration",
                                    "href":"verifying-storage-node-configuration.html"
                                }
                            ]
                        }
                    ]
                }
            ]
        }
    ]
});