define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html#GUID-C33B6FAB-8D62-4CA8-89F6-83CBD4059A5A",
                    "topics":[
                        {
                            "title":"Conventions Used in this Book",
                            "href":"preface.html#GUID-BA6E4525-333A-4041-8828-5839353A3307"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Introduction to Oracle NoSQL Database C API",
                    "href":"introduction-oracle-nosql-database-c-api.html",
                    "topics":[
                        {
                            "title":"Library Installation",
                            "href":"library-installation.html"
                        },
                        {
                            "title":"Library Usage",
                            "href":"library-usage.html"
                        },
                        {
                            "title":"Thread Safety",
                            "href":"thread-safety.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">2 </span> Store and Library Functions",
                    "href":"store-and-library-functions.html",
                    "topics":[
                        {
                            "title":"kv_close_store()",
                            "href":"kv_close_store.html"
                        },
                        {
                            "title":"kv_config_add_host_port()",
                            "href":"kv_config_add_host_port.html"
                        },
                        {
                            "title":"kv_config_add_read_zone()",
                            "href":"kv_config_add_read_zone.html"
                        },
                        {
                            "title":"kv_config_get_lob_suffix()",
                            "href":"kv_config_get_lob_suffix.html"
                        },
                        {
                            "title":"kv_config_get_lob_timeout()",
                            "href":"kv_config_get_lob_timeout.html"
                        },
                        {
                            "title":"kv_config_get_lob_verification_bytes()",
                            "href":"kv_config_get_lob_verification_bytes.html"
                        },
                        {
                            "title":"kv_config_get_read_zones()",
                            "href":"kv_config_get_read_zones.html"
                        },
                        {
                            "title":"kv_config_set_consistency()",
                            "href":"kv_config_set_consistency.html"
                        },
                        {
                            "title":"kv_config_set_durability()",
                            "href":"kv_config_set_durability.html"
                        },
                        {
                            "title":"kv_config_set_lob_suffix()",
                            "href":"kv_config_set_lob_suffix.html"
                        },
                        {
                            "title":"kv_config_set_lob_timeout()",
                            "href":"kv_config_set_lob_timeout.html"
                        },
                        {
                            "title":"kv_config_set_request_limits()",
                            "href":"kv_config_set_request_limits.html"
                        },
                        {
                            "title":"kv_config_set_security_properties()",
                            "href":"kv_config_set_security_properties.html"
                        },
                        {
                            "title":"kv_config_set_timeouts()",
                            "href":"kv_config_set_timeouts.html"
                        },
                        {
                            "title":"kv_config_set_verification_bytes()",
                            "href":"kv_config_set_verification_bytes.html"
                        },
                        {
                            "title":"kv_create_config()",
                            "href":"kv_create_config.html"
                        },
                        {
                            "title":"kv_create_jni_impl()",
                            "href":"kv_create_jni_impl.html"
                        },
                        {
                            "title":"kv_create_jni_impl_from_jvm()",
                            "href":"kv_create_jni_impl_from_jvm.html"
                        },
                        {
                            "title":"kv_create_password_credentials()",
                            "href":"kv_create_password_credentials.html"
                        },
                        {
                            "title":"kv_create_properties()",
                            "href":"kv_create_properties.html"
                        },
                        {
                            "title":"kv_get_impl_type()",
                            "href":"kv_get_impl_type.html"
                        },
                        {
                            "title":"kv_get_open_error()",
                            "href":"kv_get_open_error.html"
                        },
                        {
                            "title":"kv_open_store()",
                            "href":"kv_open_store.html"
                        },
                        {
                            "title":"kv_open_store_login()",
                            "href":"kv_open_store_login.html"
                        },
                        {
                            "title":"kv_release_config()",
                            "href":"kv_release_config.html"
                        },
                        {
                            "title":"kv_release_credentials()",
                            "href":"kv_release_credentials.html"
                        },
                        {
                            "title":"kv_release_impl()",
                            "href":"kv_release_impl.html"
                        },
                        {
                            "title":"kv_release_properties()",
                            "href":"kv_release_properties.html"
                        },
                        {
                            "title":"kv_set_property()",
                            "href":"kv_set_property.html"
                        },
                        {
                            "title":"kv_store_login()",
                            "href":"kv_store_login.html"
                        },
                        {
                            "title":"kv_store_logout()",
                            "href":"kv_store_logout.html"
                        },
                        {
                            "title":"kv_version()",
                            "href":"kv_version.html"
                        },
                        {
                            "title":"kv_version_c()",
                            "href":"kv_version_c.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">3 </span> Data Operation Functions",
                    "href":"data-operation-functions.html",
                    "topics":[
                        {
                            "title":"kv_create_delete_op()",
                            "href":"kv_create_delete_op.html"
                        },
                        {
                            "title":"kv_create_delete_with_options_op()",
                            "href":"kv_create_delete_with_options_op.html"
                        },
                        {
                            "title":"kv_create_operations()",
                            "href":"kv_create_operations.html"
                        },
                        {
                            "title":"kv_create_put_op()",
                            "href":"kv_create_put_op.html"
                        },
                        {
                            "title":"kv_create_put_with_options_op()",
                            "href":"kv_create_put_with_options_op.html"
                        },
                        {
                            "title":"kv_delete()",
                            "href":"kv_delete.html"
                        },
                        {
                            "title":"kv_delete_with_options()",
                            "href":"kv_delete_with_options.html"
                        },
                        {
                            "title":"kv_execute()",
                            "href":"kv_execute.html"
                        },
                        {
                            "title":"kv_get()",
                            "href":"kv_get.html"
                        },
                        {
                            "title":"kv_get_with_options()",
                            "href":"kv_get_with_options.html"
                        },
                        {
                            "title":"kv_init_key_range()",
                            "href":"kv_init_key_range.html"
                        },
                        {
                            "title":"kv_init_key_range_prefix()",
                            "href":"kv_init_key_range_prefix.html"
                        },
                        {
                            "title":"kv_iterator_next()",
                            "href":"kv_iterator_next.html"
                        },
                        {
                            "title":"kv_iterator_next_key()",
                            "href":"kv_iterator_next_key.html"
                        },
                        {
                            "title":"kv_iterator_size()",
                            "href":"kv_iterator_size.html"
                        },
                        {
                            "title":"kv_lob_delete()",
                            "href":"kv_lob_delete.html"
                        },
                        {
                            "title":"kv_lob_get_for_read()",
                            "href":"kv_lob_get_for_read.html"
                        },
                        {
                            "title":"kv_lob_get_for_write()",
                            "href":"kv_lob_get_for_write.html"
                        },
                        {
                            "title":"kv_lob_get_version()",
                            "href":"kv_lob_get_version.html"
                        },
                        {
                            "title":"kv_lob_put_from_file()",
                            "href":"kv_lob_put_from_file.html"
                        },
                        {
                            "title":"kv_lob_read()",
                            "href":"kv_lob_read.html"
                        },
                        {
                            "title":"kv_lob_release_handle()",
                            "href":"kv_lob_release_handle.html"
                        },
                        {
                            "title":"kv_multi_delete()",
                            "href":"kv_multi_delete.html"
                        },
                        {
                            "title":"kv_multi_get()",
                            "href":"kv_multi_get.html"
                        },
                        {
                            "title":"kv_multi_get_iterator()",
                            "href":"kv_multi_get_iterator.html"
                        },
                        {
                            "title":"kv_multi_get_iterator_keys()",
                            "href":"kv_multi_get_iterator_keys.html"
                        },
                        {
                            "title":"kv_multi_get_keys()",
                            "href":"kv_multi_get_keys.html"
                        },
                        {
                            "title":"kv_operation_get_abort_on_failure()",
                            "href":"kv_operation_get_abort_on_failure.html"
                        },
                        {
                            "title":"kv_operation_get_key()",
                            "href":"kv_operation_get_key.html"
                        },
                        {
                            "title":"kv_operation_get_type()",
                            "href":"kv_operation_get_type.html"
                        },
                        {
                            "title":"kv_operation_results_size()",
                            "href":"kv_operation_results_size.html"
                        },
                        {
                            "title":"kv_operations_set_copy()",
                            "href":"kv_operations_set_copy.html"
                        },
                        {
                            "title":"kv_operations_size()",
                            "href":"kv_operations_size.html"
                        },
                        {
                            "title":"kv_parallel_scan_iterator_next()",
                            "href":"kv_parallel_scan_iterator_next.html"
                        },
                        {
                            "title":"kv_parallel_scan_iterator_next_key()",
                            "href":"kv_parallel_scan_iterator_next_key.html"
                        },
                        {
                            "title":"kv_parallel_store_iterator()",
                            "href":"kv_parallel_store_iterator.html"
                        },
                        {
                            "title":"kv_parallel_store_iterator_keys()",
                            "href":"kv_parallel_store_iterator_keys.html"
                        },
                        {
                            "title":"kv_put()",
                            "href":"kv_put.html"
                        },
                        {
                            "title":"kv_put_with_options()",
                            "href":"kv_put_with_options.html"
                        },
                        {
                            "title":"kv_release_iterator()",
                            "href":"kv_release_iterator.html"
                        },
                        {
                            "title":"kv_release_operation_results()",
                            "href":"kv_release_operation_results.html"
                        },
                        {
                            "title":"kv_release_operations()",
                            "href":"kv_release_operations.html"
                        },
                        {
                            "title":"kv_release_parallel_scan_iterator()",
                            "href":"kv_release_parallel_scan_iterator.html"
                        },
                        {
                            "title":"kv_result_get_previous_value()",
                            "href":"kv_result_get_previous_value.html"
                        },
                        {
                            "title":"kv_result_get_previous_version()",
                            "href":"kv_result_get_previous_version.html"
                        },
                        {
                            "title":"kv_result_get_success()",
                            "href":"kv_result_get_success.html"
                        },
                        {
                            "title":"kv_result_get_version()",
                            "href":"kv_result_get_version.html"
                        },
                        {
                            "title":"kv_store_iterator()",
                            "href":"kv_store_iterator.html"
                        },
                        {
                            "title":"kv_store_iterator_keys()",
                            "href":"kv_store_iterator_keys.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">4 </span> Key/Value Pair Management Functions",
                    "href":"key-value-pair-management-functions.html",
                    "topics":[
                        {
                            "title":"kv_copy_version()",
                            "href":"kv_copy_version.html"
                        },
                        {
                            "title":"kv_create_key()",
                            "href":"kv_create_key.html"
                        },
                        {
                            "title":"kv_create_key_copy()",
                            "href":"kv_create_key_copy.html"
                        },
                        {
                            "title":"kv_create_key_from_uri()",
                            "href":"kv_create_key_from_uri.html"
                        },
                        {
                            "title":"kv_create_key_from_uri_copy()",
                            "href":"kv_create_key_from_uri_copy.html"
                        },
                        {
                            "title":"kv_create_value()",
                            "href":"kv_create_value.html"
                        },
                        {
                            "title":"kv_create_value_copy()",
                            "href":"kv_create_value_copy.html"
                        },
                        {
                            "title":"kv_get_key_major()",
                            "href":"kv_get_key_major.html"
                        },
                        {
                            "title":"kv_get_key_minor()",
                            "href":"kv_get_key_minor.html"
                        },
                        {
                            "title":"kv_get_key_uri()",
                            "href":"kv_get_key_uri.html"
                        },
                        {
                            "title":"kv_get_value()",
                            "href":"kv_get_value.html"
                        },
                        {
                            "title":"kv_get_value_size()",
                            "href":"kv_get_value_size.html"
                        },
                        {
                            "title":"kv_get_version()",
                            "href":"kv_get_version.html"
                        },
                        {
                            "title":"kv_release_key()",
                            "href":"kv_release_key.html"
                        },
                        {
                            "title":"kv_release_value()",
                            "href":"kv_release_value.html"
                        },
                        {
                            "title":"kv_release_version()",
                            "href":"kv_release_version.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">5 </span> Durability and Consistency Functions",
                    "href":"durability-and-consistency-functions.html",
                    "topics":[
                        {
                            "title":"kv_create_durability()",
                            "href":"kv_create_durability.html"
                        },
                        {
                            "title":"kv_create_simple_consistency()",
                            "href":"kv_create_simple_consistency.html"
                        },
                        {
                            "title":"kv_create_time_consistency()",
                            "href":"kv_create_time_consistency.html"
                        },
                        {
                            "title":"kv_create_version_consistency()",
                            "href":"kv_create_version_consistency.html"
                        },
                        {
                            "title":"kv_get_consistency_type()",
                            "href":"kv_get_consistency_type.html"
                        },
                        {
                            "title":"kv_get_default_durability()",
                            "href":"kv_get_default_durability.html"
                        },
                        {
                            "title":"kv_get_durability_master_sync()",
                            "href":"kv_get_durability_master_sync.html"
                        },
                        {
                            "title":"kv_get_durability_replica_ack()",
                            "href":"kv_get_durability_replica_ack.html"
                        },
                        {
                            "title":"kv_get_durability_replica_sync()",
                            "href":"kv_get_durability_replica_sync.html"
                        },
                        {
                            "title":"kv_is_default_durability()",
                            "href":"kv_is_default_durability.html"
                        },
                        {
                            "title":"kv_release_consistency()",
                            "href":"kv_release_consistency.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">6 </span> Statistics Functions",
                    "href":"statistics-functions.html",
                    "topics":[
                        {
                            "title":"kv_detailed_metrics_list_get_name()",
                            "href":"kv_detailed_metrics_list_get_name.html"
                        },
                        {
                            "title":"kv_detailed_metrics_list_get_record_count()",
                            "href":"kv_detailed_metrics_list_get_record_count.html"
                        },
                        {
                            "title":"kv_detailed_metrics_list_get_scan_time()",
                            "href":"kv_detailed_metrics_list_get_scan_time.html"
                        },
                        {
                            "title":"kv_detailed_metrics_list_size()",
                            "href":"kv_detailed_metrics_list_size.html"
                        },
                        {
                            "title":"kv_get_node_metrics()",
                            "href":"kv_get_node_metrics.html"
                        },
                        {
                            "title":"kv_get_num_nodes()",
                            "href":"kv_get_num_nodes.html"
                        },
                        {
                            "title":"kv_get_num_operations()",
                            "href":"kv_get_num_operations.html"
                        },
                        {
                            "title":"kv_get_operation_metrics()",
                            "href":"kv_get_operation_metrics.html"
                        },
                        {
                            "title":"kv_get_stats()",
                            "href":"kv_get_stats.html"
                        },
                        {
                            "title":"kv_parallel_scan_get_partition_metrics()",
                            "href":"kv_parallel_scan_get_partition_metrics.html"
                        },
                        {
                            "title":"kv_parallel_scan_get_shard_metrics()",
                            "href":"kv_parallel_scan_get_shard_metrics.html"
                        },
                        {
                            "title":"kv_release_detailed_metrics_list()",
                            "href":"kv_release_detailed_metrics_list.html"
                        },
                        {
                            "title":"kv_release_stats()",
                            "href":"kv_release_stats.html"
                        },
                        {
                            "title":"kv_stats_string()",
                            "href":"kv_stats_string.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">7 </span> Error Functions",
                    "href":"error-functions.html",
                    "topics":[
                        {
                            "title":"kv_get_last_error()",
                            "href":"kv_get_last_error.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">A </span> Data Types",
                    "href":"data-types.html",
                    "topics":[
                        {
                            "title":"Data Operations Data Types",
                            "href":"data-operations-data-types.html#GUID-98F23D08-5978-4AC6-9D17-BC4977AE5DC6",
                            "topics":[
                                {
                                    "title":"kv_depth_enum",
                                    "href":"data-operations-data-types.html#GUID-56EAD09E-D462-41FD-8EA1-5BE156A88490"
                                },
                                {
                                    "title":"kv_direction_enum",
                                    "href":"data-operations-data-types.html#GUID-F04DAF08-7312-4020-B78D-4EC67CDE108B"
                                },
                                {
                                    "title":"kv_presence_enum",
                                    "href":"data-operations-data-types.html#GUID-DCF08810-F4C1-491F-B19C-34CB0CC1DABA"
                                },
                                {
                                    "title":"kv_return_value_version_enum",
                                    "href":"data-operations-data-types.html#GUID-10F84781-CCF7-4CAF-A033-F24C8A3D035B"
                                }
                            ]
                        },
                        {
                            "title":"Durability and Consistency Data Types",
                            "href":"durability-and-consistency-data-types.html#GUID-D58F9A68-740F-4C17-8088-5B06E2E50C7C",
                            "topics":[
                                {
                                    "title":"kv_ack_policy_enum",
                                    "href":"durability-and-consistency-data-types.html#GUID-38632ABB-497F-4B64-8132-6F18100CC3D6"
                                },
                                {
                                    "title":"kv_consistency_enum",
                                    "href":"durability-and-consistency-data-types.html#GUID-B4059304-6BB1-4DDC-A063-6592EC3538E6"
                                },
                                {
                                    "title":"kv_sync_policy_enum",
                                    "href":"durability-and-consistency-data-types.html#GUID-984880E9-578F-4868-9D35-7F41B9C406E8"
                                }
                            ]
                        },
                        {
                            "title":"Store Operations Data Types",
                            "href":"store-operations-data-types.html#GUID-DCD36F91-F63B-494C-8DD4-58DDD3F8474B",
                            "topics":[
                                {
                                    "title":"kv_api_type_enum",
                                    "href":"store-operations-data-types.html#GUID-DA39D1C5-9DAA-48B8-96F6-CA90CD4A2436"
                                },
                                {
                                    "title":"kv_error_t",
                                    "href":"store-operations-data-types.html#GUID-FF41A44D-3986-46F1-8333-6F243534F26E"
                                },
                                {
                                    "title":"kv_store_iterator_config_t",
                                    "href":"store-operations-data-types.html#GUID-7433DA78-0A9B-4781-86E3-F14ABC197817"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">B </span> Third Party Licenses",
                    "href":"third-party-licenses.html"
                }
            ]
        }
    ]
});