define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html#GUID-3FD13637-DE18-4102-9D7E-E76CB4922796",
                    "topics":[
                        {
                            "title":"Conventions Used in This Book",
                            "href":"preface.html#GUID-EEBC7AF5-BFF4-4AE6-BD61-D7D07D4786CA"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Introduction to Oracle NoSQL Database",
                    "href":"introduction.html",
                    "topics":[
                        {
                            "title":"NoSQL Database Server Licensing",
                            "href":"nosql-database-server-licensing.html"
                        },
                        {
                            "title":"NoSQL Database Client Licensing",
                            "href":"nosql-database-client-licensing.html"
                        },
                        {
                            "title":"NoSQL Database Option Differences",
                            "href":"nosql-database-differences.html"
                        },
                        {
                            "title":"Architecture",
                            "href":"architecture.html#GUID-2EB300EA-7D04-4B8B-96D3-BFA05C36E69E",
                            "topics":[
                                {
                                    "title":"Replication Nodes and Shards",
                                    "href":"architecture.html#GUID-4BE9F8C6-BD23-4148-AD8F-B7364AF85921"
                                },
                                {
                                    "title":"Replication Factor",
                                    "href":"architecture.html#GUID-102EEC3C-BD13-4098-A4A5-1FEA67699794"
                                },
                                {
                                    "title":"Partitions",
                                    "href":"architecture.html#GUID-A6373A4D-6FF2-4DCB-B8A8-908E006A2D32"
                                },
                                {
                                    "title":"Zones",
                                    "href":"architecture.html#GUID-83D7EF83-3F09-4EC5-A0DC-EFAF543A28B1"
                                },
                                {
                                    "title":"Arbiter Nodes",
                                    "href":"architecture.html#GUID-125DFAB3-AC63-4E33-A6CC-BC84F13BB79F"
                                },
                                {
                                    "title":"Using Master Affinity Zones",
                                    "href":"using-master-affinity-zones.html#GUID-5788C040-1601-429C-B7A8-63992DC7411B",
                                    "topics":[
                                        {
                                            "title":"Benefits of Master Affinity Zones",
                                            "href":"using-master-affinity-zones.html#GUID-AFBA6EB4-D0FA-4AA0-B6B1-D023BE3C505D"
                                        },
                                        {
                                            "title":"Adding a Master Affinity Zone",
                                            "href":"using-master-affinity-zones.html#GUID-CB87B58B-277D-4DE3-A2B1-B57D07AB8679"
                                        },
                                        {
                                            "title":"Losing a Master Affinity Zone Node",
                                            "href":"using-master-affinity-zones.html#GUID-0A634951-A983-44ED-BEF4-73A3B93211D9"
                                        }
                                    ]
                                },
                                {
                                    "title":"Topologies",
                                    "href":"architecture.html#GUID-3DC5F4A4-5DD0-4A9C-AEB8-EB4FBACEBF1D"
                                }
                            ]
                        },
                        {
                            "title":"Multi-Region Architecture",
                            "href":"multi-region-architecture.html#GUID-626F9429-2FBB-4ED2-AEF7-E9FD2878D5C7",
                            "topics":[
                                {
                                    "title":"Cross Region Service",
                                    "href":"multi-region-architecture.html#GUID-776627E5-3B4B-4B0B-802C-78D761DF430B"
                                },
                                {
                                    "title":"Life Cycle of Multi-Region Tables",
                                    "href":"multi-region-architecture.html#GUID-9169E9F0-30FC-45EB-8CD7-DAB767083B35"
                                },
                                {
                                    "title":"Using CRDT datatype in a multi-region table",
                                    "href":"multi-region-architecture.html#GUID-883C430F-3F6F-4B9C-9CD9-2DDE98552EE0"
                                }
                            ]
                        },
                        {
                            "title":"Data Models",
                            "href":"data-models.html"
                        },
                        {
                            "title":"Transactions in NoSQL",
                            "href":"transactions-nosql.html#GUID-1CF60369-7EA3-4E8B-807D-CEBB96C890E6",
                            "topics":[
                                {
                                    "title":"Consistency",
                                    "href":"transactions-nosql.html#GUID-2A00E9FD-A7EE-4D29-B927-06B64DB16047"
                                },
                                {
                                    "title":"Durability",
                                    "href":"durability.html#GUID-744DA3DD-A2E5-418B-BC97-6749E5294BB7",
                                    "topics":[
                                        {
                                            "title":"Quorum",
                                            "href":"durability.html#GUID-D1E136BC-10C6-4231-8953-214858A2134F"
                                        }
                                    ]
                                }
                            ]
                        },
                        {
                            "title":"Administration",
                            "href":"administration.html#GUID-9A7D762A-C53F-420E-9E5F-C14FEF473E72",
                            "topics":[
                                {
                                    "title":"KVLite",
                                    "href":"administration.html#GUID-B93870B7-FA0C-40B3-95B2-8BEB38C3E6B0"
                                },
                                {
                                    "title":"Saving Admin CLI History",
                                    "href":"administration.html#GUID-DE9B0E48-EB81-48D3-86A9-D916D5DA63FB"
                                }
                            ]
                        },
                        {
                            "title":"Monitoring",
                            "href":"monitoring.html"
                        },
                        {
                            "title":"Troubleshooting",
                            "href":"troubleshooting.html"
                        },
                        {
                            "title":"Access and Security",
                            "href":"access-and-security.html"
                        },
                        {
                            "title":"Integration",
                            "href":"integration.html#GUID-7EF3DB07-E010-4076-A21A-63B70CA0656C",
                            "topics":[
                                {
                                    "title":"Hadoop Integration",
                                    "href":"integration.html#GUID-FB6A16FD-649B-4D36-A9D2-3D1221BA7620"
                                },
                                {
                                    "title":"Integration with Elastic Search for Full Text Search",
                                    "href":"integration.html#GUID-74F2F686-0FBB-4AEB-892B-454AFA2BD509"
                                },
                                {
                                    "title":"Oracle External Tables Integration",
                                    "href":"integration.html#GUID-BC280A32-6FDA-4A86-8C7D-B2BCB4A48BC6"
                                },
                                {
                                    "title":"Oracle GoldenGate Integration",
                                    "href":"integration.html#GUID-5C5BD177-3141-4D6C-8232-F39EE1C1951E"
                                }
                            ]
                        }
                    ]
                }
            ]
        }
    ]
});