define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Introduction",
                    "href":"introduction.html"
                },
                {
                    "title":"Part I Integration with Apache Hadoop MapReduce",
                    "href":"integration-apache-hadoop-mapreduce.html",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">2 </span> Introduction to Integration with Apache Hadoop MapReduce",
                            "href":"hadoop-introduction.html",
                            "topics":[
                                {
                                    "title":"Prerequisites",
                                    "href":"prerequisites.html"
                                },
                                {
                                    "title":"A Brief Primer on Apache Hadoop",
                                    "href":"primer.html"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">3 </span> The CountTableRows Example",
                            "href":"counttablerows-example.html",
                            "topics":[
                                {
                                    "title":"Compile, Build, and Run the CountTableRows Example",
                                    "href":"compile-build-run-counttablerows-example.html",
                                    "topics":[
                                        {
                                            "title":"Building CountTableRows When the Store is Non-Secure",
                                            "href":"building-counttablerows-when-store-is-non-secure.html"
                                        },
                                        {
                                            "title":"Building CountTableRows When the Store is Secure",
                                            "href":"building-counttablerows-when-store-is-secure.html"
                                        },
                                        {
                                            "title":"Running CountTableRows When the Store is Non-Secure",
                                            "href":"running-counttablerows-when-store-is-non-secure.html"
                                        },
                                        {
                                            "title":"Running CountTableRows When the Store is Secure and a Password File is Used",
                                            "href":"running-counttablerows-when-store-is-secure-and-password-file-is-used.html"
                                        },
                                        {
                                            "title":"Running CountTableRows When the Store is Secure and an Oracle Wallet is Used",
                                            "href":"running-counttablerows-when-store-is-secure-and-oracle-wallet-is-used.html"
                                        }
                                    ]
                                },
                                {
                                    "title":"CountTableRows MapReduce Job Results",
                                    "href":"counttablerows-mapreduce-job-results.html"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">4 </span> Appendix",
                            "href":"hadoop-integration-appendix.html",
                            "topics":[
                                {
                                    "title":"Deploying a Non-Secure Store",
                                    "href":"deploying-non-secure-store.html#GUID-F972F72C-8E1A-4160-A4BF-82B755A58253",
                                    "topics":[
                                        {
                                            "title":"Generate Configuration Files For Each Storage Node (SN)",
                                            "href":"deploying-non-secure-store.html#GUID-A60FC749-CC81-4A4D-B90F-37C0DC9FD148"
                                        },
                                        {
                                            "title":"Launch a Storage Node Agent (SNA) On Each Host Making Up the Store",
                                            "href":"deploying-non-secure-store.html#GUID-FF2A69B3-86C2-4CAD-9398-1DFD7FB39514"
                                        },
                                        {
                                            "title":"Configure and Deploy the Non-secure Store",
                                            "href":"deploying-non-secure-store.html#GUID-1EA9FF33-619B-4938-9C02-3F2BEDBDF880"
                                        }
                                    ]
                                },
                                {
                                    "title":"Deploying a Secure Store",
                                    "href":"deploying-secure-store.html#GUID-97E9FC3F-014A-4DF2-A75C-A173ADC29FF8",
                                    "topics":[
                                        {
                                            "title":"Generate Configuration Files For Each Storage Node (SN)",
                                            "href":"deploying-secure-store.html#GUID-0EE5BACC-4897-45CD-B4BC-DC039A4CB546"
                                        },
                                        {
                                            "title":"Launch a Storage Node Agent (SNA) On Each Host Making Up the Store",
                                            "href":"deploying-secure-store.html#GUID-2FBA2A1A-10A5-4D20-8860-314382511F7B"
                                        },
                                        {
                                            "title":"Configure and Deploy the Secure Store",
                                            "href":"deploying-secure-store.html#GUID-9E0FBA1C-FDE0-472B-AF8F-4651CD0E5297"
                                        },
                                        {
                                            "title":"Provision the Secure Store’s Administrative User (root)",
                                            "href":"deploying-secure-store.html#GUID-74185788-87D6-4E4D-B364-23964F636190"
                                        },
                                        {
                                            "title":"Create Non-Administrative User",
                                            "href":"deploying-secure-store.html#GUID-6730857B-4CC2-4591-B2BA-8E9C410BFF95"
                                        },
                                        {
                                            "title":"Provision the Secure Store's Non-Administrative User (example-user)",
                                            "href":"deploying-secure-store.html#GUID-AE671BDA-F887-4F26-A2FC-5D98F26E7F3A"
                                        }
                                    ]
                                },
                                {
                                    "title":"CountTableRows Support Programs",
                                    "href":"counttablerows-support-programs.html#GUID-77EB54AB-41DE-4B26-8268-581336D67FAA",
                                    "topics":[
                                        {
                                            "title":"Schema for the vehicleTable Example",
                                            "href":"counttablerows-support-programs.html#GUID-ACBF9681-125E-4381-B804-55052BF4CCDF"
                                        },
                                        {
                                            "title":"Create and Populate vehicleTable with Example Data",
                                            "href":"counttablerows-support-programs.html#GUID-F05AFFE1-1AA4-4139-AF60-F8424FA3CDED",
                                            "topics":[
                                                {
                                                    "title":"Run LoadVehicleTable when the Store is Non-Secure",
                                                    "href":"counttablerows-support-programs.html#GUID-2CF4322F-0D52-4958-B23C-F404CBB7F7FB"
                                                },
                                                {
                                                    "title":"Run LoadVehicleTable When the Store is Secure",
                                                    "href":"counttablerows-support-programs.html#GUID-C8A1BE83-B888-4C8D-948C-70B34520DD05"
                                                },
                                                {
                                                    "title":"Summary",
                                                    "href":"counttablerows-support-programs.html#GUID-2D474213-5F9F-4CC5-A952-F22589BF27E2"
                                                }
                                            ]
                                        }
                                    ]
                                },
                                {
                                    "title":"Model For Building &amp; Packaging Secure Clients",
                                    "href":"model-building-and-packaging-secure-clients.html#GUID-E4CA6266-A27C-4FCE-B745-8DC91FDC8AE3",
                                    "topics":[
                                        {
                                            "title":"Programming Model For MapReduce with Oracle NoSQL Database Security",
                                            "href":"model-building-and-packaging-secure-clients.html#GUID-F252D839-A5DC-4567-AE81-99B4C48782E8"
                                        },
                                        {
                                            "title":"Communicating Security Credentials to the Server Side Splits",
                                            "href":"model-building-and-packaging-secure-clients.html#GUID-3ECC6CFC-A4F4-4782-9CC3-E00E4DE42810"
                                        },
                                        {
                                            "title":"Communicating Security Credentials to the TableInputFormat",
                                            "href":"model-building-and-packaging-secure-clients.html#GUID-0112F118-C89A-4FC5-8D59-BCD5FE4A3EB0"
                                        },
                                        {
                                            "title":"Best Practices: MapReduce Application Packaging for Oracle NoSQL Security",
                                            "href":"model-building-and-packaging-secure-clients.html#GUID-58FD9B6F-7508-43A8-8DD3-88901F8F9024",
                                            "topics":[
                                                {
                                                    "title":"Application Packaging for the Non-Secure Case",
                                                    "href":"model-building-and-packaging-secure-clients.html#GUID-0FDA6E0B-2B2B-44CD-BC0F-1E212CF3CE0A"
                                                },
                                                {
                                                    "title":"Application Packaging and Execution for the Secure Case",
                                                    "href":"model-building-and-packaging-secure-clients.html#GUID-480DA6C7-763A-404A-BBA1-85248B989705",
                                                    "topics":[
                                                        {
                                                            "title":"Application Packaging for the Secure Case Using a Password File",
                                                            "href":"model-building-and-packaging-secure-clients.html#GUID-D1A9FFC3-B752-44C5-8D2A-50DA006C1845"
                                                        },
                                                        {
                                                            "title":"Application Execution for the Secure Case Using a Password File",
                                                            "href":"model-building-and-packaging-secure-clients.html#GUID-959A73F7-6F15-45F6-9FDC-0852C378D185"
                                                        },
                                                        {
                                                            "title":"Application Packaging for the Secure Case Using an Oracle Wallet",
                                                            "href":"model-building-and-packaging-secure-clients.html#GUID-FA0C7E95-6F33-4126-BF10-9C5F77BF7A87"
                                                        },
                                                        {
                                                            "title":"Application Execution for the Secure Case Using an Oracle Wallet",
                                                            "href":"model-building-and-packaging-secure-clients.html#GUID-94FEC76E-5322-4728-A4D8-E36059CA6D4E"
                                                        }
                                                    ]
                                                },
                                                {
                                                    "title":"Secure Versus Non-Secure Command Lines",
                                                    "href":"model-building-and-packaging-secure-clients.html#GUID-FBDFBF68-792C-4B9D-9B07-EAC2C03E11FB"
                                                }
                                            ]
                                        },
                                        {
                                            "title":"Summary",
                                            "href":"model-building-and-packaging-secure-clients.html#GUID-A735C9E4-31E6-4E00-9B60-A8D4D884FD6F"
                                        }
                                    ]
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"Part II Integration with Elastic Search for Full Text Search",
                    "href":"integration-elastic-search-full-text-search.html",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">5 </span> About Full Text Search",
                            "href":"fts.html",
                            "topics":[
                                {
                                    "title":"About Full Text Search",
                                    "href":"fts1.html"
                                },
                                {
                                    "title":"Prerequisite to Full Text Search",
                                    "href":"prereq.html"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">6 </span> Intergrating Elasticsearch with Oracle NoSQL Database",
                            "href":"integrating-es.html",
                            "topics":[
                                {
                                    "title":"Registering Elasticsearch with Oracle NoSQL Database",
                                    "href":"registering-es.html"
                                },
                                {
                                    "title":"Deregistering Elasticsearch from an Oracle NoSQL Store",
                                    "href":"deregistering-es.html"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">7 </span> Managing Full Text Index",
                            "href":"managing-fti.html",
                            "topics":[
                                {
                                    "title":"Creating a Full Text Index",
                                    "href":"creating-fti.html"
                                },
                                {
                                    "title":"Mapping a Full Text Index Field to an Elasticsearch Field",
                                    "href":"mapping-fti.html"
                                },
                                {
                                    "title":"Handling TIMESTAMP Data Type",
                                    "href":"handling-ts.html",
                                    "topics":[
                                        {
                                            "title":"Mapping Oracle NoSQL TIMESTAMP to Elasticsearch date Type",
                                            "href":"mapping-ts-es.html"
                                        },
                                        {
                                            "title":"Full Text Search of Indexed TIMESTAMP Scalar",
                                            "href":"ex-fts-ts.html"
                                        }
                                    ]
                                },
                                {
                                    "title":"Handling JSON Data Type",
                                    "href":"handling-json.html",
                                    "topics":[
                                        {
                                            "title":"Review: Secondary Indexes on JSON Document Content",
                                            "href":"creating-sec-index.html"
                                        },
                                        {
                                            "title":"Creating Text Indexes on JSON Document Content",
                                            "href":"creating-text-index.html"
                                        },
                                        {
                                            "title":"Full Text Search of Indexed JSON Documents",
                                            "href":"ex-fts-json.html"
                                        }
                                    ]
                                },
                                {
                                    "title":"Deleting a Full Text Index",
                                    "href":"deleting-fti.html"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">8 </span> Security in Full Text Search",
                            "href":"security-fts.html",
                            "topics":[
                                {
                                    "title":"Elasticsearch and Secure Oracle NoSQL Database",
                                    "href":"es-and-secure-nosql.html"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">9 </span> Appendix",
                            "href":"elastic-search-appendix.html",
                            "topics":[
                                {
                                    "title":"Sample: Array of JSON Documents",
                                    "href":"appa-json-array.html"
                                },
                                {
                                    "title":"The LoadJsonExample Program Source",
                                    "href":"appb-json-fts.html"
                                },
                                {
                                    "title":"Secure Elasticsearch using Sheild",
                                    "href":"appc-secure-es-using-shield.html"
                                },
                                {
                                    "title":"Deploying and Configuring a Secure Oracle NoSQL Store",
                                    "href":"appd-deploying-configuring-secure-nosql-store.html"
                                },
                                {
                                    "title":"Install the Full Text Search Public Certificate in Elasticsearch",
                                    "href":"appe-install-fts-public-cert-es.html"
                                },
                                {
                                    "title":"Running the Examples in Secure Mode",
                                    "href":"appf-running-examples-secure-mode.html"
                                }
                            ]
                        }
                    ]
                }
            ]
        }
    ]
});