define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html#GUID-2C12DC44-6459-4190-93CB-5DC6C3A7C6DA",
                    "topics":[
                        {
                            "title":"Conventions Used in This Book",
                            "href":"preface.html#GUID-8DEC5E5F-AA98-48AD-A7F5-6E14802D60EE"
                        },
                        {
                            "title":"Diversity and Inclusion",
                            "href":"preface.html#GUID-9988A30D-7D01-426B-9735-17EC2F0B4A85"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Developing for Oracle NoSQL Database",
                    "href":"developing.html",
                    "topics":[
                        {
                            "title":"Configuring Logging",
                            "href":"configuring-logging.html"
                        },
                        {
                            "title":"Obtaining a KVStore Handle",
                            "href":"obtaining-kvstore-handle.html#GUID-356C5859-C6C9-4C09-BAB0-9374C279C859",
                            "topics":[
                                {
                                    "title":"Using the KVStoreConfig Class",
                                    "href":"obtaining-kvstore-handle.html#GUID-2093EFF5-6C48-41CA-8B1C-0F495FABF25B"
                                }
                            ]
                        },
                        {
                            "title":"Using the Authentication APIs",
                            "href":"using-authentication-apis-working-secured-store.html#GUID-4958D9E9-69B5-4E40-A116-B5A5CB2BE408",
                            "topics":[
                                {
                                    "title":"Configuring SSL",
                                    "href":"using-authentication-apis-working-secured-store.html#GUID-4D472A81-F837-4307-BD8D-0207F2620EDA",
                                    "topics":[
                                        {
                                            "title":"Identifying the Trust Store",
                                            "href":"using-authentication-apis-working-secured-store.html#GUID-B882A64F-97D7-41A7-B797-6610D0190157"
                                        },
                                        {
                                            "title":"Setting the SSL Transport Property",
                                            "href":"using-authentication-apis-working-secured-store.html#GUID-9E4E078B-BEE4-4D20-993B-DD15F743FD6E"
                                        }
                                    ]
                                },
                                {
                                    "title":"Authentication using a LoginCredentials Instance",
                                    "href":"using-authentication-apis-working-secured-store.html#GUID-D25C01CE-F8A4-4DDB-AB65-90EB4438B242"
                                },
                                {
                                    "title":"Renewing Expired Login Credentials",
                                    "href":"using-authentication-apis-working-secured-store.html#GUID-F7750925-C80B-417C-92CB-C9C1316B3312"
                                },
                                {
                                    "title":"Authentication using Kerberos",
                                    "href":"using-authentication-apis-working-secured-store.html#GUID-2232C1D4-881A-42CA-AEC1-9FACBE90DB98"
                                },
                                {
                                    "title":"Authentication using Kerberos and JAAS",
                                    "href":"using-authentication-apis-working-secured-store.html#GUID-F9F58626-62CC-4893-9980-10B08196F085"
                                },
                                {
                                    "title":"Unauthorized Access",
                                    "href":"using-authentication-apis-working-secured-store.html#GUID-8D3922DF-82B8-49EF-A71B-5524B8877AD5"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">2 </span> Introduction to Oracle KVLite",
                    "href":"introduction-oracle-kvlite.html",
                    "topics":[
                        {
                            "title":"Starting KVLite",
                            "href":"starting-kvlite.html"
                        },
                        {
                            "title":"Stopping and Restarting KVLite",
                            "href":"stopping-and-restarting-kvlite.html"
                        },
                        {
                            "title":"Verifying the Installation",
                            "href":"verifying-installation.html"
                        },
                        {
                            "title":"kvlite Utility Command Line Parameter Options",
                            "href":"kvlite-utility-command-line-parameter-options.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">3 </span> Introducing Oracle NoSQL Database Tables and Indexes",
                    "href":"introducing-tables-and-indexes.html",
                    "topics":[
                        {
                            "title":"Defining Tables",
                            "href":"defining-tables.html#GUID-FE0A841D-2063-4D7F-A930-65D94A676513",
                            "topics":[
                                {
                                    "title":"Executing DDL Statements From the Admin CLI",
                                    "href":"defining-tables.html#GUID-B258F429-8BC2-473C-9003-045AF031285C"
                                },
                                {
                                    "title":"Supported Table Data Types",
                                    "href":"defining-tables.html#GUID-CBD1363D-136E-4A54-B3ED-0622C42520CB"
                                },
                                {
                                    "title":"Record Fields",
                                    "href":"defining-tables.html#GUID-2C84E18B-6874-4E9D-BAA5-B0F3BF2DA841"
                                },
                                {
                                    "title":"Defining Child Tables",
                                    "href":"defining-tables.html#GUID-06565827-02C7-44F4-8D4D-3531DDC94FB7"
                                },
                                {
                                    "title":"Defining Multi-Region Tables",
                                    "href":"defining-tables.html#GUID-FD9AAAB1-585F-407F-8712-269C8F93D303",
                                    "topics":[
                                        {
                                            "title":"Using CRDT datatype in a multi-region table",
                                            "href":"defining-tables.html#GUID-883C430F-3F6F-4B9C-9CD9-2DDE98552EE0"
                                        },
                                        {
                                            "title":"Add MR_COUNTER datatype in a multi-region table",
                                            "href":"defining-tables.html#GUID-B1FCC9F3-3257-4908-85AF-EAE33CFA844B"
                                        },
                                        {
                                            "title":"Inserting JSON MR_COUNTER Values Programmatically",
                                            "href":"defining-tables.html#GUID-4889FE16-2C0B-4F63-BC40-80CCAE2DDCBA"
                                        }
                                    ]
                                },
                                {
                                    "title":"Table Evolution",
                                    "href":"defining-tables.html#GUID-D0EEA8EE-AD07-4167-94EC-A2B8E84AB452"
                                }
                            ]
                        },
                        {
                            "title":"Using the UUID data type",
                            "href":"using-uuid-data-type.html",
                            "topics":[
                                {
                                    "title":"Inserting rows into a table with a UUID column",
                                    "href":"inserting-rows-uuid-column.html"
                                },
                                {
                                    "title":"Updating rows of a table with a UUID column",
                                    "href":"updating-rows-uuid-column.html"
                                },
                                {
                                    "title":"Add or Remove a UUID column",
                                    "href":"alter-table-add-or-remove-uuid-column.html"
                                }
                            ]
                        },
                        {
                            "title":"Creating Indexes",
                            "href":"creating-indexes.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">4 </span> Introducing Oracle NoSQL Database Namespaces",
                    "href":"introducing-namespaces.html",
                    "topics":[
                        {
                            "title":"Creating Namespaces",
                            "href":"creating-namespaces.html"
                        },
                        {
                            "title":"Granting Authorization Access to Namespaces",
                            "href":"granting-authorization-access-namespaces.html"
                        },
                        {
                            "title":"Using and Setting Namespaces",
                            "href":"using-and-setting-namespaces.html"
                        },
                        {
                            "title":"Showing and Describing Namespaces",
                            "href":"showing-and-describing-namespace-information.html"
                        },
                        {
                            "title":"Dropping Namespaces",
                            "href":"dropping-namespaces.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">5 </span> Primary and Shard Key Design",
                    "href":"primary-and-shard-key-design.html",
                    "topics":[
                        {
                            "title":"Primary Keys",
                            "href":"primary-keys.html#GUID-6A063474-4A3A-4981-B1D8-71D0D95BE8DF",
                            "topics":[
                                {
                                    "title":"Data Type Limitations",
                                    "href":"primary-keys.html#GUID-5696F131-7E1E-48E9-97D9-AA1EFE6DD593"
                                },
                                {
                                    "title":"Partial Primary Keys",
                                    "href":"primary-keys.html#GUID-DA57D016-74DF-4BE2-BF84-90748D5FE081"
                                },
                                {
                                    "title":"Shard Keys",
                                    "href":"primary-keys.html#GUID-AD13D3A6-649E-484A-9DA7-AD739368688B"
                                }
                            ]
                        },
                        {
                            "title":"Row Data",
                            "href":"row-data.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">6 </span> Writing and Deleting Table Rows",
                    "href":"writing-and-deleting-table-rows.html",
                    "topics":[
                        {
                            "title":"Write Exceptions",
                            "href":"write-exceptions-write-errors.html"
                        },
                        {
                            "title":"Writing Rows to a Table in the Store",
                            "href":"writing-rows-table-store.html#GUID-F889410D-D507-4479-B304-3984797D5BD3",
                            "topics":[
                                {
                                    "title":"Writing Rows to a Child Table",
                                    "href":"writing-rows-table-store.html#GUID-8DAF121D-3398-4CBD-A797-1723FD4D0BB5"
                                },
                                {
                                    "title":"Writing rows to an IDENTITY column",
                                    "href":"writing-rows-table-store.html#GUID-E56A5DE6-3172-40A5-9DF5-E7A7BB5D18E6"
                                },
                                {
                                    "title":"Other put Operations",
                                    "href":"writing-rows-table-store.html#GUID-41B2A602-2A3A-4289-AAAC-5218CB44D63C"
                                }
                            ]
                        },
                        {
                            "title":"Bulk Put Operations",
                            "href":"bulk-put-operations.html"
                        },
                        {
                            "title":"Using Time to Live",
                            "href":"using-time-live.html#GUID-A768A8F9-309A-4018-8CC3-D2D6B8793C59",
                            "topics":[
                                {
                                    "title":"Specifying a TTL Value",
                                    "href":"using-time-live.html#GUID-519CDE60-CBBF-47C7-B859-7ACFDF10576B"
                                },
                                {
                                    "title":"Updating a TTL Value",
                                    "href":"using-time-live.html#GUID-82878C18-BEA9-4E40-9333-137E4D09E2D9"
                                },
                                {
                                    "title":"Deleting TTL Expiration",
                                    "href":"using-time-live.html#GUID-02E19146-397D-4B86-BAFD-BEDD65842DBC"
                                },
                                {
                                    "title":"Setting Default Table TTL Values",
                                    "href":"using-time-live.html#GUID-D131CD26-F74C-45A6-98A2-874EE5F1E03E"
                                }
                            ]
                        },
                        {
                            "title":"Deleting Rows from the Store",
                            "href":"deleting-rows-store.html#GUID-5DD7B5DF-84ED-4640-AA52-B91A1DFC3B4F",
                            "topics":[
                                {
                                    "title":"Using multiDelete()",
                                    "href":"deleting-rows-store.html#GUID-B4F74A68-6326-4234-A2BF-7CA12A75CABE"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">7 </span> Reading Table Rows",
                    "href":"reading-table-rows.html",
                    "topics":[
                        {
                            "title":"Read Exceptions",
                            "href":"read-exceptions-read-errors.html"
                        },
                        {
                            "title":"Retrieving a Single Row",
                            "href":"retrieving-single-row.html#GUID-D9424837-586A-42A1-A863-B9434D4BBBC3",
                            "topics":[
                                {
                                    "title":"Retrieve a Child Table",
                                    "href":"retrieving-single-row.html#GUID-BB4D1919-4FF6-49C5-947D-C9F6FFAD8E31"
                                }
                            ]
                        },
                        {
                            "title":"Using multiGet()",
                            "href":"using-multiget.html"
                        },
                        {
                            "title":"Iterating over Table Rows",
                            "href":"iterating-table-rows.html"
                        },
                        {
                            "title":"Specifying Field Ranges",
                            "href":"specifying-field-ranges.html"
                        },
                        {
                            "title":"Iterating with Nested Tables",
                            "href":"iterating-nested-tables.html"
                        },
                        {
                            "title":"Reading Indexes",
                            "href":"reading-indexes.html"
                        },
                        {
                            "title":"Parallel Scans",
                            "href":"parallel-scans.html"
                        },
                        {
                            "title":"Bulk Get Operations",
                            "href":"bulk-get-operations.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">8 </span> Using Data Types",
                    "href":"using-data-types.html",
                    "topics":[
                        {
                            "title":"Using Arrays",
                            "href":"using-arrays.html"
                        },
                        {
                            "title":"Using Binary",
                            "href":"using-binary.html"
                        },
                        {
                            "title":"Using Enums",
                            "href":"using-enums.html"
                        },
                        {
                            "title":"Using Fixed Binary",
                            "href":"using-fixed-binary.html"
                        },
                        {
                            "title":"Using JSON",
                            "href":"using-json.html"
                        },
                        {
                            "title":"Using Maps",
                            "href":"using-maps.html"
                        },
                        {
                            "title":"Using Embedded Records",
                            "href":"using-embedded-records.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">9 </span> Indexing Non-Scalar Data Types",
                    "href":"indexing-non-scalar-data-types.html",
                    "topics":[
                        {
                            "title":"Indexing Arrays",
                            "href":"indexing-arrays.html"
                        },
                        {
                            "title":"Indexing JSON Fields",
                            "href":"indexing-json-fields.html"
                        },
                        {
                            "title":"Indexing Maps",
                            "href":"indexing-maps.html#GUID-1069307A-5A14-48F6-98F9-83E0A60796EE",
                            "topics":[
                                {
                                    "title":"Indexing by Map Keys",
                                    "href":"indexing-maps.html#GUID-49F35374-8539-46D0-BBF8-2EEC50DB8872"
                                },
                                {
                                    "title":"Indexing by Map Values",
                                    "href":"indexing-maps.html#GUID-197AB9D0-A0B3-4580-BF3F-477DEB17DCCB"
                                },
                                {
                                    "title":"Indexing by a Specific Map Key Name",
                                    "href":"indexing-maps.html#GUID-0F526942-4580-4B7F-ABD4-980CC101E7EE"
                                },
                                {
                                    "title":"Indexing by Map Key and Value",
                                    "href":"indexing-maps.html#GUID-0F403750-EE0A-4AF2-B83E-A00CF9F18A46"
                                }
                            ]
                        },
                        {
                            "title":"Indexing Embedded Records",
                            "href":"indexing-embedded-records.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">10 </span> Using Row Versions",
                    "href":"using-versions-using-row-versions.html"
                },
                {
                    "title":"<span class=\"secnum\">11 </span> Consistency Guarantees",
                    "href":"consistency-guarantees.html",
                    "topics":[
                        {
                            "title":"Specifying Consistency Policies",
                            "href":"specifying-consistency-policies.html"
                        },
                        {
                            "title":"Using Simple Consistency",
                            "href":"using-simple-consistency.html"
                        },
                        {
                            "title":"Using Time-Based Consistency",
                            "href":"using-time-based-consistency.html"
                        },
                        {
                            "title":"Using Version-Based Consistency",
                            "href":"using-version-based-consistency.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">12 </span> Durability Guarantees",
                    "href":"durability-guarantees.html",
                    "topics":[
                        {
                            "title":"Setting Acknowledgment-Based Durability Policies",
                            "href":"setting-acknowledgment-based-durability-policies.html"
                        },
                        {
                            "title":"Setting Synchronization-Based Durability Policies",
                            "href":"setting-synchronization-based-durability-policies.html"
                        },
                        {
                            "title":"Setting Durability Guarantees",
                            "href":"setting-durability-guarantees.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">13 </span> Executing a Sequence of Operations",
                    "href":"executing-sequence-operations.html",
                    "topics":[
                        {
                            "title":"Sequence Errors",
                            "href":"sequence-errors.html"
                        },
                        {
                            "title":"Creating a Sequence",
                            "href":"creating-sequence.html"
                        },
                        {
                            "title":"Executing a Sequence",
                            "href":"executing-sequence.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">14 </span> Introduction to SQL for Oracle NoSQL Database",
                    "href":"introduction-sql-oracle-nosql-database.html",
                    "topics":[
                        {
                            "title":"Running a simple query",
                            "href":"running-simple-query.html"
                        },
                        {
                            "title":"Using binding variables",
                            "href":"using-binding-variables.html"
                        },
                        {
                            "title":"Accessing metadata",
                            "href":"accessing-metadata.html"
                        },
                        {
                            "title":"Using a query to update data",
                            "href":"using-query-update-data.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">A </span> JSON By Example",
                    "href":"json-example.html",
                    "topics":[
                        {
                            "title":"Sample Data",
                            "href":"sample-data.html"
                        },
                        {
                            "title":"UpdateJSON",
                            "href":"updatejson.html"
                        },
                        {
                            "title":"UpdateJSON.run()",
                            "href":"updatejson-run.html"
                        },
                        {
                            "title":"UpdateJSON.defineTable()",
                            "href":"updatejson-definetable.html"
                        },
                        {
                            "title":"UpdateJSON.createIndex()",
                            "href":"updatejson-createindex.html"
                        },
                        {
                            "title":"UpdateJSON.runDDL()",
                            "href":"updatejson-runddl.html"
                        },
                        {
                            "title":"UpdateJSON.updateTableWithoutQuery()",
                            "href":"updatejson-updatetablewithoutquery.html"
                        },
                        {
                            "title":"UpdateJSON.updateTableWithIndex()",
                            "href":"updatejson-updatetablewithindex.html"
                        },
                        {
                            "title":"UpdateJSON.updateTableUsingSQLQuery()",
                            "href":"updatejson-updatetableusingsqlquery.html"
                        },
                        {
                            "title":"UpdateJSON.updateZipCode()",
                            "href":"updatejson-updatezipcode.html"
                        },
                        {
                            "title":"UpdateJSON.loadTable()",
                            "href":"updatejson-loadtable.html"
                        },
                        {
                            "title":"UpdateJSON.displayTable()",
                            "href":"updatejson-displaytable.html"
                        },
                        {
                            "title":"UpdateJSON.displayResult()",
                            "href":"updatejson-displayresult.html"
                        },
                        {
                            "title":"UpdateJSON.parseArgs()",
                            "href":"updatejson-parseargs.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">B </span> Table Data Definition Language Overview",
                    "href":"table-data-definition-language-overview.html",
                    "topics":[
                        {
                            "title":"Name Constraints",
                            "href":"name-constraints.html"
                        },
                        {
                            "title":"DDL Comments",
                            "href":"ddl-comments.html"
                        },
                        {
                            "title":"CREATE TABLE",
                            "href":"create-table.html#GUID-653A1602-80CA-4AE5-906A-B224617AFF99",
                            "topics":[
                                {
                                    "title":"Field Definitions",
                                    "href":"create-table.html#GUID-BBBF18E2-B632-4FB1-B793-CAA02DE41659"
                                },
                                {
                                    "title":"Supported Data Types",
                                    "href":"create-table.html#GUID-D18A5E15-FFDF-47F1-8183-6EDBBF986146"
                                },
                                {
                                    "title":"Field Constraints",
                                    "href":"create-table.html#GUID-3605FE51-45B5-4506-A29B-51717366704A",
                                    "topics":[
                                        {
                                            "title":"Integer Serialized Constraints",
                                            "href":"create-table.html#GUID-4F01A2FD-5108-4B8D-88AE-2918D184DE1C"
                                        },
                                        {
                                            "title":"COMMENT",
                                            "href":"create-table.html#GUID-85A11841-EBD6-4968-A601-C35B3E5B539C"
                                        },
                                        {
                                            "title":"DEFAULT",
                                            "href":"create-table.html#GUID-69E56E75-57DB-474A-93B0-E1888C65D695"
                                        },
                                        {
                                            "title":"IDENTITY",
                                            "href":"create-table.html#GUID-258C20DA-2D50-43FF-B7BE-A51AA8615D72"
                                        },
                                        {
                                            "title":"UUID",
                                            "href":"create-table.html#GUID-8A5ACFAE-3729-427A-AE5A-9E163E04346C"
                                        },
                                        {
                                            "title":"MR_COUNTER",
                                            "href":"create-table.html#GUID-439F3421-78FC-412E-8BF5-95EA2A0B070C"
                                        },
                                        {
                                            "title":"NOT NULL",
                                            "href":"create-table.html#GUID-45D5AF18-6263-4D0F-97D6-0C2C1D4AED63"
                                        }
                                    ]
                                },
                                {
                                    "title":"USING TTL",
                                    "href":"create-table.html#GUID-508C66FD-FCAB-4764-B617-100692541359"
                                },
                                {
                                    "title":"Table Creation Examples",
                                    "href":"create-table.html#GUID-92A58F53-9536-4F74-95DD-7009BC7EA531"
                                }
                            ]
                        },
                        {
                            "title":"Modify Table Definitions",
                            "href":"modify-table-definitions.html#GUID-BB4A49FF-C466-4D6A-A578-2FF95D78F82E",
                            "topics":[
                                {
                                    "title":"ALTER TABLE ADD field",
                                    "href":"modify-table-definitions.html#GUID-C6DF2BA5-E932-49C6-A96D-88EE54BF53DA"
                                },
                                {
                                    "title":"ALTER TABLE DROP Option",
                                    "href":"modify-table-definitions.html#GUID-67F41927-F750-420E-8707-42A19BDED9DD"
                                },
                                {
                                    "title":"ALTER TABLE USING TTL",
                                    "href":"modify-table-definitions.html#GUID-83018730-5355-41BE-AB27-4DE01BD8ED93"
                                },
                                {
                                    "title":"ALTER TABLE ADD REGIONS",
                                    "href":"modify-table-definitions.html#GUID-6C1944C2-C7E6-4D44-8895-C8115F1B9644"
                                },
                                {
                                    "title":"ALTER TABLE DROP REGIONS",
                                    "href":"modify-table-definitions.html#GUID-21C2692E-0F58-4107-A021-573C9A0C9C03"
                                }
                            ]
                        },
                        {
                            "title":"DROP TABLE",
                            "href":"drop-table.html"
                        },
                        {
                            "title":"CREATE INDEX",
                            "href":"create-index.html#GUID-D2D3F9B9-4B1A-4422-B43B-2B4FAC10480B",
                            "topics":[
                                {
                                    "title":"Indexable Field Types",
                                    "href":"create-index.html#GUID-80D94A9F-92A4-4258-8F60-D5FE02F60CC7"
                                },
                                {
                                    "title":"Simple Indexes",
                                    "href":"create-index.html#GUID-CE6E7A6D-A7F6-4811-8E20-7FAB10DE0437"
                                },
                                {
                                    "title":"Multi-Key Indexes",
                                    "href":"create-index.html#GUID-8C81A428-A1CF-42A6-9785-ADBC6533EC99",
                                    "topics":[
                                        {
                                            "title":"Multi-Key Index Restrictions",
                                            "href":"create-index.html#GUID-37511C09-BD9E-4AFE-A6AC-0CA846BB03D7"
                                        }
                                    ]
                                },
                                {
                                    "title":"JSON Indexes",
                                    "href":"create-index.html#GUID-B3F799F2-AC4A-4B52-B9A3-FEA564F1B24B"
                                }
                            ]
                        },
                        {
                            "title":"CREATE FULL TEXT INDEX",
                            "href":"create-full-text-index.html"
                        },
                        {
                            "title":"DROP INDEX",
                            "href":"drop-index.html"
                        },
                        {
                            "title":"DESCRIBE AS JSON TABLE",
                            "href":"describe-json-table.html"
                        },
                        {
                            "title":"DESCRIBE AS JSON INDEX",
                            "href":"describe-json-index.html"
                        },
                        {
                            "title":"SHOW TABLES",
                            "href":"show-tables.html"
                        },
                        {
                            "title":"SHOW INDEXES",
                            "href":"show-indexes.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">C </span> Exceptions",
                    "href":"exceptions.html"
                }
            ]
        }
    ]
});