define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"List of Examples",
                    "href":"loe.html"
                },
                {
                    "title":"List of Figures",
                    "href":"lof.html"
                },
                {
                    "title":"List of Tables",
                    "href":"lot.html"
                },
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Get Started",
                    "href":"get-started.html",
                    "topics":[
                        {
                            "title":"Getting started with SQL for Oracle NoSQL Database",
                            "href":"getting-started-sql-oracle-nosql-database1.html#GUID-9B9BAC71-20C3-4F76-99B8-8843907E4A6A",
                            "topics":[
                                {
                                    "title":"Schemas used in the examples",
                                    "href":"getting-started-sql-oracle-nosql-database1.html#GUID-B0656385-FB9D-4E52-B8FC-E716BA9391AC"
                                },
                                {
                                    "title":"Starting the SQL shell",
                                    "href":"getting-started-sql-oracle-nosql-database1.html#GUID-BB8FC117-719E-495A-A2D3-D127A53480AA"
                                },
                                {
                                    "title":"Tables used in the examples",
                                    "href":"getting-started-sql-oracle-nosql-database1.html#GUID-5E44C2D5-9EF2-4EB3-8103-5B417F71B52C"
                                },
                                {
                                    "title":"Describe tables",
                                    "href":"getting-started-sql-oracle-nosql-database1.html#GUID-A0231516-1EE1-437D-90A2-10D33E2277EF"
                                },
                                {
                                    "title":"Sample data to run queries",
                                    "href":"getting-started-sql-oracle-nosql-database1.html#GUID-2871208D-F72E-4F56-A642-7FC3A88D8316"
                                },
                                {
                                    "title":"Table Hierarchies",
                                    "href":"getting-started-sql-oracle-nosql-database1.html#GUID-CD258948-E9CB-4A6A-ADB3-8861B9614B24"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">2 </span> Create",
                    "href":"create.html",
                    "topics":[
                        {
                            "title":"Create Database objects",
                            "href":"create-database-objects1.html#GUID-30F2CC94-E4B4-40BC-8779-728C6E978F21",
                            "topics":[
                                {
                                    "title":"Creating a namespace",
                                    "href":"create-database-objects1.html#GUID-4A6A4FDF-3629-45BC-A0AE-02A937022F2D"
                                },
                                {
                                    "title":"Creating a table",
                                    "href":"create-database-objects1.html#GUID-6546B82B-CD1D-407F-87DF-834484DD090D"
                                },
                                {
                                    "title":"Creating a region",
                                    "href":"create-database-objects1.html#GUID-0D322DF6-E717-463F-A0F8-6C4EBD54A20F"
                                }
                            ]
                        },
                        {
                            "title":"Create and Manage Indexes",
                            "href":"create-and-manage-indexes1.html#GUID-72CCCD61-43CB-48F3-8570-7A5DB2EA8BF3",
                            "topics":[
                                {
                                    "title":"Classification of Indexes",
                                    "href":"create-and-manage-indexes1.html#GUID-D0B70819-B900-4BE9-8C1F-10128B87C46D"
                                },
                                {
                                    "title":"Creating Indexes",
                                    "href":"create-and-manage-indexes1.html#GUID-7080FB24-004F-492D-B4A4-B26AD7C9AC8F"
                                },
                                {
                                    "title":"View Index",
                                    "href":"create-and-manage-indexes1.html#GUID-9B3A511D-C366-474F-A5BF-AAF24148E309"
                                },
                                {
                                    "title":"Drop Index",
                                    "href":"create-and-manage-indexes1.html#GUID-E6FF496E-6324-4966-8221-E2F5835F5E5E"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">3 </span> Manage",
                    "href":"manage.html",
                    "topics":[
                        {
                            "title":"Namespace Management",
                            "href":"namespace-management1.html#GUID-5DB63934-4473-455A-8564-82CDDF63DAEB",
                            "topics":[
                                {
                                    "title":"Namespace Resolution",
                                    "href":"namespace-management1.html#GUID-3216400E-2D62-4380-AF7A-464B279E3E30"
                                },
                                {
                                    "title":"Manage Namespaces",
                                    "href":"namespace-management1.html#GUID-52F0059F-4252-43FD-8F24-30F1D71903E8"
                                },
                                {
                                    "title":"Namespace scoped privileges",
                                    "href":"namespace-management1.html#GUID-4F3EDE27-5683-4D2A-81E7-97EE8ED6DB4E"
                                },
                                {
                                    "title":"Granting Authorization Access to Namespaces",
                                    "href":"namespace-management1.html#GUID-E358D74D-7F7C-495F-8B88-7ECA35C9E3DF"
                                }
                            ]
                        },
                        {
                            "title":"Inserting, Modifying, and Deleting Data",
                            "href":"inserting-modifying-and-deleting-data1.html#GUID-4D3A4751-0ED6-439B-A8AE-C926E1782DFF",
                            "topics":[
                                {
                                    "title":"Insert data",
                                    "href":"inserting-modifying-and-deleting-data1.html#GUID-88F3A5B9-0307-48D1-BDF4-B905475801E4"
                                },
                                {
                                    "title":"Upsert Data",
                                    "href":"inserting-modifying-and-deleting-data1.html#GUID-5341D1EA-4734-44FC-B6A7-80542083B80F"
                                },
                                {
                                    "title":"Update Data",
                                    "href":"inserting-modifying-and-deleting-data1.html#GUID-F1D8DFE1-63C6-4343-B77D-9055E9D02979"
                                },
                                {
                                    "title":"Modify JSON data",
                                    "href":"inserting-modifying-and-deleting-data1.html#GUID-AD4108FE-11A2-445D-BB1D-F6C23B3F3EDD"
                                },
                                {
                                    "title":"Delete Data",
                                    "href":"inserting-modifying-and-deleting-data1.html#GUID-2A8F4F82-985A-474F-9E5F-B8B3BB720AFC"
                                }
                            ]
                        },
                        {
                            "title":"Managing Tables &amp; Regions",
                            "href":"managing-tables-regions1.html#GUID-F8C83D13-F17C-4C56-A8BA-79B5B5D7C901",
                            "topics":[
                                {
                                    "title":"Alter Table",
                                    "href":"managing-tables-regions1.html#GUID-37E71457-7A20-4C6F-97F7-A16941A75DA1"
                                },
                                {
                                    "title":"Drop Table",
                                    "href":"managing-tables-regions1.html#GUID-8481EAC5-7505-4D34-A272-F6B4587E48A5"
                                },
                                {
                                    "title":"Manage regions",
                                    "href":"managing-tables-regions1.html#GUID-B62C3699-57CB-4185-940C-7D4366E4FAF7"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">4 </span> Develop",
                    "href":"develop.html",
                    "topics":[
                        {
                            "title":"Simple SELECT queries",
                            "href":"simple-select-queries1.html#GUID-0C672D1D-DD74-4C9F-B58A-6509AF8D12FF",
                            "topics":[
                                {
                                    "title":"Fetch column data",
                                    "href":"simple-select-queries1.html#GUID-23369419-582C-4E5A-8EE4-2F4671C9B3EC"
                                },
                                {
                                    "title":"Substituting column names in a query",
                                    "href":"simple-select-queries1.html#GUID-CB8939C8-62F2-426F-BFD5-A8CE486DBF5B"
                                },
                                {
                                    "title":"Filtering results in a query",
                                    "href":"simple-select-queries1.html#GUID-89426808-8170-4A78-B3DF-16D54C47E72A"
                                }
                            ]
                        },
                        {
                            "title":"Using Path expressions",
                            "href":"using-path-expressions1.html#GUID-1A13720F-2341-4723-B461-E1613678581A",
                            "topics":[
                                {
                                    "title":"Using Internal variables and aliases",
                                    "href":"using-path-expressions1.html#GUID-33288BD7-B4C4-482F-B781-4B55A98AFE39"
                                },
                                {
                                    "title":"Working with Arrays",
                                    "href":"using-path-expressions1.html#GUID-61EE3C04-5A72-4E8C-A82B-FC36CCEBE9FD"
                                },
                                {
                                    "title":"Working with nested data type",
                                    "href":"using-path-expressions1.html#GUID-FC24563E-77F2-4E9A-89EA-2C36D9D3A717"
                                },
                                {
                                    "title":"Finding the size of a complex data type",
                                    "href":"using-path-expressions1.html#GUID-90ACB673-BA3D-4D86-84D6-C4DBC9C28D55"
                                }
                            ]
                        },
                        {
                            "title":"Using Left Outer joins with parent-child tables",
                            "href":"using-left-outer-joins-parent-child-tables1.html#GUID-372F8896-25F7-42D4-AF5E-D68D363C42E4",
                            "topics":[
                                {
                                    "title":"Overview of Left Outer Joins",
                                    "href":"using-left-outer-joins-parent-child-tables1.html#GUID-3703FC27-7748-4151-B6A5-57A954C23C3E"
                                },
                                {
                                    "title":"Examples using Left Outer Joins",
                                    "href":"using-left-outer-joins-parent-child-tables1.html#GUID-9426B2C0-68AB-4736-822E-1509BDE558D2"
                                }
                            ]
                        },
                        {
                            "title":"Using NESTED TABLES to join parent-child tables",
                            "href":"using-nested-tables-join-parent-child-tables1.html#GUID-3709E119-FC6F-490A-8627-DA92C592D40B",
                            "topics":[
                                {
                                    "title":"Overview of NESTED TABLES",
                                    "href":"using-nested-tables-join-parent-child-tables1.html#GUID-43596142-A59A-4A9D-9EA5-6ECFF53AC98A"
                                },
                                {
                                    "title":"Examples using NESTED TABLES",
                                    "href":"using-nested-tables-join-parent-child-tables1.html#GUID-3329A495-BFD3-4787-A38B-E8F8C8F0B371"
                                }
                            ]
                        },
                        {
                            "title":"Tuning and Optimizing SQL queries",
                            "href":"tuning-and-optimizing-sql-queries1.html#GUID-4D58CB10-6F68-4573-90B3-BA82348F649C",
                            "topics":[
                                {
                                    "title":"Using Indexes for query optimization",
                                    "href":"tuning-and-optimizing-sql-queries1.html#GUID-03BCB6C7-140E-447C-91E4-E4C10298CB62"
                                },
                                {
                                    "title":"Examples of queries using index",
                                    "href":"tuning-and-optimizing-sql-queries1.html#GUID-EE8798AB-E750-4354-9BD6-483789088772"
                                }
                            ]
                        },
                        {
                            "title":"Managing GeoJSON data",
                            "href":"managing-geojson-data1.html#GUID-049F62F5-A57F-4D2C-8539-4F3880133FD8",
                            "topics":[
                                {
                                    "title":"geo_inside",
                                    "href":"managing-geojson-data1.html#GUID-C092E0AC-DA5C-4BA0-B1F5-EABF39D90EBA"
                                },
                                {
                                    "title":"geo_intersect",
                                    "href":"managing-geojson-data1.html#GUID-2622DC7D-C4C6-40BA-93FF-629E9B30CE07"
                                },
                                {
                                    "title":"geo_distance",
                                    "href":"managing-geojson-data1.html#GUID-4C92EBD4-7079-4C24-B857-8EB99E2947DB"
                                },
                                {
                                    "title":"geo_within_distance",
                                    "href":"managing-geojson-data1.html#GUID-80F58356-6224-4538-9719-89C9EEA4615A"
                                },
                                {
                                    "title":"geo_near",
                                    "href":"managing-geojson-data1.html#GUID-E770595F-DB6A-4EB2-814E-B4D1B96F327E"
                                },
                                {
                                    "title":"geo_is_geometry",
                                    "href":"managing-geojson-data1.html#GUID-694DB4BB-785D-413E-BF61-A45E6F8FD11F"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">5 </span> Reference",
                    "href":"reference.html",
                    "topics":[
                        {
                            "title":"Operators in SQL",
                            "href":"operators-sql1.html#GUID-5AF944C1-E1FD-4318-AFEA-F5443403B86A",
                            "topics":[
                                {
                                    "title":"Sequence Comparison Operators",
                                    "href":"operators-sql1.html#GUID-3674A81B-595B-4FA3-BD8A-3B65F93966CF"
                                },
                                {
                                    "title":"Logical operators",
                                    "href":"operators-sql1.html#GUID-28216787-5EF9-4F03-B407-86550ECA147D"
                                },
                                {
                                    "title":"NULL operators",
                                    "href":"operators-sql1.html#GUID-677EDB73-9348-414E-9146-EE05573B511E"
                                },
                                {
                                    "title":"Value Comparison Operators",
                                    "href":"operators-sql1.html#GUID-F88F232B-E391-4861-9861-B898F1D427F4"
                                },
                                {
                                    "title":"BETWEEN Operator",
                                    "href":"operators-sql1.html#GUID-CAC9D3D5-634F-4174-B615-AAE6791B334F"
                                },
                                {
                                    "title":"IN Operator",
                                    "href":"operators-sql1.html#GUID-2A9AE574-6127-41EC-ACB3-686901DE0B66"
                                },
                                {
                                    "title":"Regular Expression Conditions",
                                    "href":"operators-sql1.html#GUID-C93AC454-9943-49D9-8C60-05B63C47E614"
                                },
                                {
                                    "title":"EXISTS Operator",
                                    "href":"operators-sql1.html#GUID-68E04F0A-077E-4C2E-B16D-67C8EE7E4693"
                                },
                                {
                                    "title":"Is-Of-Type Operator",
                                    "href":"operators-sql1.html#GUID-51300EBB-9AF1-4B05-A6ED-4C1E78C53AC2"
                                }
                            ]
                        },
                        {
                            "title":"Sorting, Grouping &amp; Limiting results",
                            "href":"sorting-grouping-and-limiting-results.html#GUID-AB91E1B4-F0C0-415A-8519-B38EBDE35814",
                            "topics":[
                                {
                                    "title":"Ordering results",
                                    "href":"sorting-grouping-and-limiting-results.html#GUID-15A2F3F5-999C-4B99-9259-543FEBCC7488"
                                },
                                {
                                    "title":"Limit and offset results",
                                    "href":"sorting-grouping-and-limiting-results.html#GUID-0EBA2E92-4B9D-41A6-9084-7D46EE1AEA36"
                                },
                                {
                                    "title":"Grouping results",
                                    "href":"sorting-grouping-and-limiting-results.html#GUID-82BB70F0-3BA5-468E-9A4A-50905176766F"
                                }
                            ]
                        },
                        {
                            "title":"Primary Expressions in SQL",
                            "href":"primary-expressions-sql1.html#GUID-C111EA05-5C6C-4C31-93A8-E0E0687BE808",
                            "topics":[
                                {
                                    "title":"Parenthesized Expressions",
                                    "href":"primary-expressions-sql1.html#GUID-4ACEAC3E-69F3-4315-8570-C2174095C104"
                                },
                                {
                                    "title":"Case Expressions",
                                    "href":"primary-expressions-sql1.html#GUID-6A4DD3BE-3392-4DE2-8CE7-62D3B9A277ED"
                                },
                                {
                                    "title":"Cast Expression",
                                    "href":"primary-expressions-sql1.html#GUID-0CB81281-C54A-4EF5-9A7F-4155DDC986D6"
                                },
                                {
                                    "title":"Sequence Transform Expressions",
                                    "href":"primary-expressions-sql1.html#GUID-D58D6CB3-C21D-41B1-868B-353F48302391"
                                }
                            ]
                        },
                        {
                            "title":"Timestamp functions",
                            "href":"timestamp-functions1.html#GUID-5B62FE50-EA1E-431D-8C39-DBD4D2FDCB69",
                            "topics":[
                                {
                                    "title":"Extract Expressions",
                                    "href":"timestamp-functions1.html#GUID-B05AA75D-D7D9-4E46-AFD4-26BA81E140D9"
                                },
                                {
                                    "title":"timestamp_add() function",
                                    "href":"timestamp-functions1.html#GUID-642FC5F3-5E05-471B-B805-3BA39A0F81AC"
                                },
                                {
                                    "title":"timestamp_diff() and get_duration() functions",
                                    "href":"timestamp-functions1.html#GUID-6F8AF568-0B2C-43B1-B1A0-F2D9A3FD47F5"
                                }
                            ]
                        },
                        {
                            "title":"Functions on Strings",
                            "href":"functions-strings1.html#GUID-324271A3-F4FA-4CF2-977A-58C6BF70B7D2",
                            "topics":[
                                {
                                    "title":"substring function",
                                    "href":"functions-strings1.html#GUID-F3C1468D-2C07-445C-B89A-E1CEFEBE4413"
                                },
                                {
                                    "title":"concat function",
                                    "href":"functions-strings1.html#GUID-620874CC-FA58-4FAE-9775-85DF58EA7DFE"
                                },
                                {
                                    "title":"upper and lower functions",
                                    "href":"functions-strings1.html#GUID-6273EE28-DB0B-4AA2-BDC8-571D715A6DAA"
                                },
                                {
                                    "title":"trim function",
                                    "href":"functions-strings1.html#GUID-E44EE36E-9AD9-4123-AD4D-5F1BE0C2BEE7"
                                },
                                {
                                    "title":"length function",
                                    "href":"functions-strings1.html#GUID-F793E154-BB4F-4B0E-9A3F-A3DAF214C11E"
                                },
                                {
                                    "title":"contains function",
                                    "href":"functions-strings1.html#GUID-7ED92CF7-2EBF-4685-879B-94688D750821"
                                },
                                {
                                    "title":"starts_with and ends_with functions",
                                    "href":"functions-strings1.html#GUID-8FDB1C99-D8FE-49EB-9933-84226DDC4AA2"
                                },
                                {
                                    "title":"index_of function",
                                    "href":"functions-strings1.html#GUID-4DDF8B5A-401D-46DA-AEE9-3166802EEEED"
                                },
                                {
                                    "title":"replace function",
                                    "href":"functions-strings1.html#GUID-E0003F26-61C6-4D8D-BB20-F7E2ABFF8006"
                                },
                                {
                                    "title":"reverse function",
                                    "href":"functions-strings1.html#GUID-5DEF9521-7974-499A-998A-E721A380D0C7"
                                }
                            ]
                        },
                        {
                            "title":"Query execution plan",
                            "href":"query-execution-plan1.html#GUID-D7A9E98C-5CED-48B6-A6F3-763345E98C41",
                            "topics":[
                                {
                                    "title":"Overview of query plan",
                                    "href":"query-execution-plan1.html#GUID-51B40288-1545-45CD-AE11-DD113459BB0F"
                                },
                                {
                                    "title":"Query 1: Using primary key index with an index range scan",
                                    "href":"query-execution-plan1.html#GUID-BFABC382-FD43-4240-8F3D-33651B9FD684"
                                },
                                {
                                    "title":"Query 2: Using primary key index with an index predicate",
                                    "href":"query-execution-plan1.html#GUID-951A5FC9-5B12-46ED-8205-34E7553DF344"
                                },
                                {
                                    "title":"Query 3: Using a secondary index with an index range scan",
                                    "href":"query-execution-plan1.html#GUID-6D43B559-8536-478F-9E6D-8885746029FE"
                                },
                                {
                                    "title":"Query 4: Using the primary index",
                                    "href":"query-execution-plan1.html#GUID-E71F1901-A7E8-49E7-B328-AF83EF0B3E3B"
                                },
                                {
                                    "title":"Query 5: Sort the data using a Covering index",
                                    "href":"query-execution-plan1.html#GUID-03D9B65B-C53E-4963-AD8B-B7FBBA0F2FD5"
                                },
                                {
                                    "title":"Query 6: Using a secondary index with an index predicate",
                                    "href":"query-execution-plan1.html#GUID-60CD4455-CB0B-4D3E-AEF1-BB4766681289"
                                },
                                {
                                    "title":"Query 7: Group data with fields as part of the index",
                                    "href":"query-execution-plan1.html#GUID-3DF35094-FF3E-429B-BF1E-395D4A8F6F63"
                                },
                                {
                                    "title":"Query 8: Using the secondary index with multiple index scans",
                                    "href":"query-execution-plan1.html#GUID-766A0441-F296-4499-8594-EC8053D4C7B6"
                                },
                                {
                                    "title":"Query 9: A SINGLE PARTITION query using a primary index",
                                    "href":"query-execution-plan1.html#GUID-7D356169-227C-41DC-B80E-C9F981FE1C86"
                                },
                                {
                                    "title":"Query 10: Group data with fields not part of any index",
                                    "href":"query-execution-plan1.html#GUID-95BD2ECF-7B35-4C86-A18A-1FE97C5542E5"
                                }
                            ]
                        },
                        {
                            "title":"Table Modelling and Design",
                            "href":"table-modelling-and-design1.html#GUID-2E6F8FD5-D899-4C21-81A2-F5A0F14DB121",
                            "topics":[
                                {
                                    "title":"Schema Flexibility in Oracle NoSQL Database",
                                    "href":"table-modelling-and-design1.html#GUID-9E430173-16C5-4189-9827-69CE8F7DC3CE"
                                },
                                {
                                    "title":"Choice of Keys in NoSQL Database",
                                    "href":"table-modelling-and-design1.html#GUID-D205567C-6B53-4D9C-84D3-11E848CEFCB1"
                                },
                                {
                                    "title":"Using Indexes in NoSQL Database",
                                    "href":"table-modelling-and-design1.html#GUID-0136FF36-360C-4B6F-9392-F474B499007D"
                                },
                                {
                                    "title":"Transactions in NoSQL database",
                                    "href":"table-modelling-and-design1.html#GUID-71E65848-E338-403C-914C-3E024C07C587"
                                }
                            ]
                        }
                    ]
                }
            ]
        }
    ]
});