define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"About the REST APIs",
                    "href":"index.html"
                },
                {
                    "title":"All REST Endpoints",
                    "href":"rest-endpoints.html"
                }
            ]
        },
        {
            "heading":"Get Started",
            "topics":[
                {
                    "title":"Authentication",
                    "href":"authenticate.html"
                },
                {
                    "title":"Send Requests",
                    "href":"send-requests.html"
                }
            ]
        },
        {
            "heading":"Tasks",
            "topics":[
                {
                    "title":"Administration",
                    "href":"api-administration.html",
                    "topics":[
                        {
                            "title":"await-consistent",
                            "href":"op-v0-nosql-adminawait-consistent-post.html"
                        },
                        {
                            "title":"change-policy",
                            "href":"op-v0-nosql-adminchange-policy-post.html"
                        },
                        {
                            "title":"configure",
                            "href":"op-v0-nosql-adminconfigure-post.html"
                        },
                        {
                            "title":"ping",
                            "href":"op-v0-nosql-adminping-post.html"
                        },
                        {
                            "title":"repair-admin-quorum",
                            "href":"op-v0-nosql-adminrepair-admin-quorum-post.html"
                        }
                    ]
                },
                {
                    "title":"Plans",
                    "href":"api-plans.html",
                    "topics":[
                        {
                            "title":"plan cancel",
                            "href":"op-v0-nosql-admin-plancancel-post.html"
                        },
                        {
                            "title":"plan change-parameters",
                            "href":"op-v0-nosql-admin-planchange-parameters-post.html"
                        },
                        {
                            "title":"plan change-storagedir",
                            "href":"op-v0-nosql-admin-planchange-storagedir-post.html"
                        },
                        {
                            "title":"plan change-user",
                            "href":"op-v0-nosql-admin-planchange-user-post.html"
                        },
                        {
                            "title":"plan create-user",
                            "href":"op-v0-nosql-admin-plancreate-user-post.html"
                        },
                        {
                            "title":"plan deploy-admin",
                            "href":"op-v0-nosql-admin-plandeploy-admin-post.html"
                        },
                        {
                            "title":"plan deploy-sn",
                            "href":"op-v0-nosql-admin-plandeploy-sn-post.html"
                        },
                        {
                            "title":"plan deploy-topology",
                            "href":"op-v0-nosql-admin-plandeploy-topology-post.html"
                        },
                        {
                            "title":"plan deploy-zone",
                            "href":"op-v0-nosql-admin-plandeploy-zone-post.html"
                        },
                        {
                            "title":"plan deregister-es",
                            "href":"op-v0-nosql-admin-planderegister-es-post.html"
                        },
                        {
                            "title":"plan drop-user",
                            "href":"op-v0-nosql-admin-plandrop-user-post.html"
                        },
                        {
                            "title":"plan enable-requests",
                            "href":"op-v0-nosql-admin-planenable-requests-post.html"
                        },
                        {
                            "title":"plan execute",
                            "href":"op-v0-nosql-admin-planexecute-post.html"
                        },
                        {
                            "title":"plan failover",
                            "href":"op-v0-nosql-admin-planfailover-post.html"
                        },
                        {
                            "title":"plan grant",
                            "href":"op-v0-nosql-admin-plangrant-post.html"
                        },
                        {
                            "title":"plan interrupt",
                            "href":"op-v0-nosql-admin-planinterrupt-post.html"
                        },
                        {
                            "title":"plan migrate-sn",
                            "href":"op-v0-nosql-admin-planmigrate-sn-post.html"
                        },
                        {
                            "title":"plan network-restore",
                            "href":"op-v0-nosql-admin-plannetwork-restore-post.html"
                        },
                        {
                            "title":"plan register-es",
                            "href":"op-v0-nosql-admin-planregister-es-post.html"
                        },
                        {
                            "title":"plan remove-admin",
                            "href":"op-v0-nosql-admin-planremove-admin-post.html"
                        },
                        {
                            "title":"plan remove-sn",
                            "href":"op-v0-nosql-admin-planremove-sn-post.html"
                        },
                        {
                            "title":"plan remove-zone",
                            "href":"op-v0-nosql-admin-planremove-zone-post.html"
                        },
                        {
                            "title":"plan repair-topology",
                            "href":"op-v0-nosql-admin-planrepair-topology-post.html"
                        },
                        {
                            "title":"plan revoke",
                            "href":"op-v0-nosql-admin-planrevoke-post.html"
                        },
                        {
                            "title":"plan start-service",
                            "href":"op-v0-nosql-admin-planstart-service-post.html"
                        },
                        {
                            "title":"plan stop-service",
                            "href":"op-v0-nosql-admin-planstop-service-post.html"
                        },
                        {
                            "title":"plan verify-data",
                            "href":"op-v0-nosql-admin-planverify-data-post.html"
                        },
                        {
                            "title":"plan wait",
                            "href":"op-v0-nosql-admin-planwait-post.html"
                        },
                        {
                            "title":"show plans",
                            "href":"op-v0-nosql-admin-plans-post.html"
                        }
                    ]
                },
                {
                    "title":"Pools",
                    "href":"api-pools.html",
                    "topics":[
                        {
                            "title":"pool clone",
                            "href":"op-v0-nosql-admin-poolclone-post.html"
                        },
                        {
                            "title":"pool create",
                            "href":"op-v0-nosql-admin-poolcreate-post.html"
                        },
                        {
                            "title":"pool join",
                            "href":"op-v0-nosql-admin-pooljoin-post.html"
                        },
                        {
                            "title":"pool leave",
                            "href":"op-v0-nosql-admin-poolleave-post.html"
                        },
                        {
                            "title":"pool remove",
                            "href":"op-v0-nosql-admin-poolremove-post.html"
                        },
                        {
                            "title":"show pools",
                            "href":"op-v0-nosql-admin-pools-post.html"
                        }
                    ]
                },
                {
                    "title":"Show",
                    "href":"api-show.html",
                    "topics":[
                        {
                            "title":"show admins",
                            "href":"op-v0-nosql-admin-admins-post.html"
                        },
                        {
                            "title":"show events",
                            "href":"op-v0-nosql-admin-events-post.html"
                        },
                        {
                            "title":"show indexes",
                            "href":"op-v0-nosql-admin-indexes-post.html"
                        },
                        {
                            "title":"show parameters",
                            "href":"op-v0-nosql-admin-parameters-post.html"
                        },
                        {
                            "title":"show perf",
                            "href":"op-v0-nosql-admin-perf-post.html"
                        },
                        {
                            "title":"show plans",
                            "href":"op-v0-nosql-admin-plans-post.html"
                        },
                        {
                            "title":"show pools",
                            "href":"op-v0-nosql-admin-pools-post.html"
                        },
                        {
                            "title":"show schemas",
                            "href":"op-v0-nosql-admin-schemas-post.html"
                        },
                        {
                            "title":"show snapshots",
                            "href":"op-v0-nosql-admin-snapshots-post.html"
                        },
                        {
                            "title":"show tables",
                            "href":"op-v0-nosql-admin-tables-post.html"
                        },
                        {
                            "title":"show topology",
                            "href":"op-v0-nosql-admin-topologyshow-post.html"
                        },
                        {
                            "title":"show upgrade-order",
                            "href":"op-v0-nosql-admin-upgrade-order-post.html"
                        },
                        {
                            "title":"show users",
                            "href":"op-v0-nosql-admin-users-post.html"
                        },
                        {
                            "title":"show versions",
                            "href":"op-v0-nosql-admin-versions-post.html"
                        },
                        {
                            "title":"show zones",
                            "href":"op-v0-nosql-admin-zones-post.html"
                        }
                    ]
                },
                {
                    "title":"Snapshots",
                    "href":"api-snapshots.html",
                    "topics":[
                        {
                            "title":"show snapshots",
                            "href":"op-v0-nosql-admin-snapshots-post.html"
                        },
                        {
                            "title":"snapshot create",
                            "href":"op-v0-nosql-admin-snapshotcreate-post.html"
                        },
                        {
                            "title":"snapshot remove",
                            "href":"op-v0-nosql-admin-snapshotremove-post.html"
                        }
                    ]
                },
                {
                    "title":"Topologies",
                    "href":"api-topologies.html",
                    "topics":[
                        {
                            "title":"show topology",
                            "href":"op-v0-nosql-admin-topologyshow-post.html"
                        },
                        {
                            "title":"topology change-repfactor",
                            "href":"op-v0-nosql-admin-topologychange-repfactor-post.html"
                        },
                        {
                            "title":"topology change-zone-arbiters",
                            "href":"op-v0-nosql-admin-topologychange-zone-arbiters-post.html"
                        },
                        {
                            "title":"topology change-zone-master-affinity",
                            "href":"op-v0-nosql-admin-topologychange-zone-master-affinity-post.html"
                        },
                        {
                            "title":"topology change-zone-type",
                            "href":"op-v0-nosql-admin-topologychange-zone-type-post.html"
                        },
                        {
                            "title":"topology clone",
                            "href":"op-v0-nosql-admin-topologyclone-post.html"
                        },
                        {
                            "title":"topology contract",
                            "href":"op-v0-nosql-admin-topologycontract-post.html"
                        },
                        {
                            "title":"topology create",
                            "href":"op-v0-nosql-admin-topologycreate-post.html"
                        },
                        {
                            "title":"topology delete",
                            "href":"op-v0-nosql-admin-topologydelete-post.html"
                        },
                        {
                            "title":"topology list",
                            "href":"op-v0-nosql-admin-topologylist-post.html"
                        },
                        {
                            "title":"topology move-repnode",
                            "href":"op-v0-nosql-admin-topologymove-repnode-post.html"
                        },
                        {
                            "title":"topology preview",
                            "href":"op-v0-nosql-admin-topologypreview-post.html"
                        },
                        {
                            "title":"topology rebalance",
                            "href":"op-v0-nosql-admin-topologyrebalance-post.html"
                        },
                        {
                            "title":"topology redistribute",
                            "href":"op-v0-nosql-admin-topologyredistribute-post.html"
                        },
                        {
                            "title":"topology remove-shard",
                            "href":"op-v0-nosql-admin-topologyremove-shard-post.html"
                        },
                        {
                            "title":"topology validate",
                            "href":"op-v0-nosql-admin-topologyvalidate-post.html"
                        },
                        {
                            "title":"topology view",
                            "href":"op-v0-nosql-admin-topologyview-post.html"
                        }
                    ]
                },
                {
                    "title":"Verification",
                    "href":"api-verification.html",
                    "topics":[
                        {
                            "title":"verify configuration",
                            "href":"op-v0-nosql-admin-configuration-post.html"
                        },
                        {
                            "title":"verify prerequisite",
                            "href":"op-v0-nosql-admin-prerequisite-post.html"
                        },
                        {
                            "title":"verify upgrade",
                            "href":"op-v0-nosql-admin-upgrade-post.html"
                        }
                    ]
                }
            ]
        }
    ]
});