define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html#GUID-6C5875FE-9765-45E6-9EC7-0D6EAEE3F95D",
                    "topics":[
                        {
                            "title":"Conventions Used in This Book",
                            "href":"preface.html#GUID-2694627A-90F8-4BE1-B949-BA2DBAE00A6B"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Introducing Oracle NoSQL Database Security",
                    "href":"introducing-oracle-nosql-database-security.html"
                },
                {
                    "title":"<span class=\"secnum\">2 </span> Security Configuration",
                    "href":"security-configuration.html",
                    "topics":[
                        {
                            "title":"Security Configuration Overview",
                            "href":"security-configuration-overview.html"
                        },
                        {
                            "title":"Configuring Security with Makebootconfig",
                            "href":"configuring-security-makebootconfig.html"
                        },
                        {
                            "title":"Configuring Security with Securityconfig",
                            "href":"configuring-security-securityconfig.html#GUID-75A22C83-F93A-481E-A047-9ABFD9250A97",
                            "topics":[
                                {
                                    "title":"Creating the security configuration",
                                    "href":"configuring-security-securityconfig.html#GUID-5598581A-A30C-4177-AB26-EC8F7C86D041"
                                },
                                {
                                    "title":"Adding the security configuration",
                                    "href":"configuring-security-securityconfig.html#GUID-E5C28CCD-49D4-4780-AE1E-EA055FBB5AB4"
                                },
                                {
                                    "title":"Verifying the security configuration",
                                    "href":"configuring-security-securityconfig.html#GUID-BDC54AD3-7868-4D8D-A299-D872D1EC828E"
                                },
                                {
                                    "title":"Updating the security configuration",
                                    "href":"configuring-security-securityconfig.html#GUID-86176D69-7FA3-4549-9CF3-140B172A70C6"
                                },
                                {
                                    "title":"Showing the security configuration",
                                    "href":"configuring-security-securityconfig.html#GUID-8E7AD96E-392B-4427-8BCD-31037327BF38"
                                },
                                {
                                    "title":"Removing the security configuration",
                                    "href":"configuring-security-securityconfig.html#GUID-660ACE6E-B8CA-45E3-A8B8-775575ACB7EC"
                                },
                                {
                                    "title":"Merging truststore configuration",
                                    "href":"configuring-security-securityconfig.html#GUID-27883FAF-EA6F-4C78-B130-03CEFF02C3A9"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">3 </span> Performing a Secure Oracle NoSQL Database Installation",
                    "href":"performing-secure-oracle-nosql-database-installation.html",
                    "topics":[
                        {
                            "title":"Single Node Secure Deployment",
                            "href":"single-node-secure-deployment.html#GUID-80A1A428-03E1-40D7-A160-10E2DC402FD5",
                            "topics":[
                                {
                                    "title":"Adding Security to a New Installation",
                                    "href":"single-node-secure-deployment.html#GUID-F7D7405E-C5B9-4C91-9183-753DE498BF69"
                                },
                                {
                                    "title":"Adding Security to an Existing Installation",
                                    "href":"single-node-secure-deployment.html#GUID-03A2067A-64CD-4CF4-99DC-D430DA8FD290"
                                }
                            ]
                        },
                        {
                            "title":"Multiple Node Secure Deployment",
                            "href":"multiple-node-secure-deployment.html#GUID-D5BF4544-7E84-4503-8761-BBC887A7F665",
                            "topics":[
                                {
                                    "title":"Adding Security to a New Installation",
                                    "href":"multiple-node-secure-deployment.html#GUID-045A83B6-3C89-4681-8366-0B9D152F320C"
                                },
                                {
                                    "title":"Adding Security to an Existing Installation",
                                    "href":"multiple-node-secure-deployment.html#GUID-BE1B35BB-929F-4D3F-9F2D-FF6EDA5E71C5"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">4 </span> Kerberos Authentication Service",
                    "href":"kerberos-authentication-service.html",
                    "topics":[
                        {
                            "title":"Installation Prerequisites",
                            "href":"installation-prerequisites.html"
                        },
                        {
                            "title":"Kerberos Principal",
                            "href":"kerberos-principal.html"
                        },
                        {
                            "title":"Keytabs",
                            "href":"keytabs.html"
                        },
                        {
                            "title":"Kadmin and kadmin.local",
                            "href":"kadmin-and-kadmin-local.html"
                        },
                        {
                            "title":"Kerberos Security Properties",
                            "href":"kerberos-security-properties.html#GUID-F6E70E92-7EDF-4565-8E71-B59FBC90097F",
                            "topics":[
                                {
                                    "title":"Setting Security Properties in a security login file",
                                    "href":"kerberos-security-properties.html#GUID-CF473604-0BB4-44D3-BE56-43CD07646A14"
                                },
                                {
                                    "title":"Setting Security Properties through KVStoreConfig",
                                    "href":"kerberos-security-properties.html#GUID-146556DE-012E-48D1-8660-EA5C87C7AE7A"
                                },
                                {
                                    "title":"Using Security Properties to Log In",
                                    "href":"kerberos-security-properties.html#GUID-014966CB-B4DA-4DC5-AD25-5704294CEA07",
                                    "topics":[
                                        {
                                            "title":"Using credential cache",
                                            "href":"kerberos-security-properties.html#GUID-E4980954-938A-4168-9F2A-FBDA057ECE0A"
                                        },
                                        {
                                            "title":"Using a keytab",
                                            "href":"kerberos-security-properties.html#GUID-17149B93-6B82-4752-833B-9BBD279D9ABF"
                                        }
                                    ]
                                }
                            ]
                        },
                        {
                            "title":"JAAS programming framework integration",
                            "href":"jaas-programming-framework-integration.html"
                        },
                        {
                            "title":"Performing a Secure Oracle NoSQL Database Installation with Kerberos",
                            "href":"performing-secure-installation-kerberos.html#GUID-5F3DC029-4B6C-44D7-A8C6-358F16FFD036",
                            "topics":[
                                {
                                    "title":"Adding Kerberos to a New Installation",
                                    "href":"performing-secure-installation-kerberos.html#GUID-CE7AE91E-D1E5-4144-80E7-16918BB18448"
                                },
                                {
                                    "title":"Adding Kerberos to an Existing Secure Installation",
                                    "href":"performing-secure-installation-kerberos.html#GUID-A2D6B942-9826-4F35-92E9-7FE9CDA413F6"
                                }
                            ]
                        },
                        {
                            "title":"Using Oracle NoSQL Database with Kerberos and Microsoft Active Directory (AD)",
                            "href":"using-kerberos-and-microsoft-active-directory-ad.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">5 </span> External Password Storage",
                    "href":"external-password-storage.html",
                    "topics":[
                        {
                            "title":"Oracle Wallet",
                            "href":"oracle-wallet.html"
                        },
                        {
                            "title":"Password store file",
                            "href":"password-store-file.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">6 </span> Security.xml Parameters",
                    "href":"security-xml-parameters.html",
                    "topics":[
                        {
                            "title":"Top-level parameters",
                            "href":"top-level-parameters.html"
                        },
                        {
                            "title":"Transport parameters",
                            "href":"transport-parameters.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">7 </span> Encryption",
                    "href":"encryption.html",
                    "topics":[
                        {
                            "title":"SSL model",
                            "href":"ssl-model.html"
                        },
                        {
                            "title":"SSL communication properties",
                            "href":"ssl-communication-properties.html"
                        },
                        {
                            "title":"Disk Encryption in a Linux Environment",
                            "href":"disk-encryption-linux-environment.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">8 </span> Configuring Authentication",
                    "href":"configuring-authentication.html",
                    "topics":[
                        {
                            "title":"User Management",
                            "href":"user-management.html#GUID-3336FBBB-C9C1-433C-9B32-9D02C8C739F7",
                            "topics":[
                                {
                                    "title":"User Creation",
                                    "href":"user-management.html#GUID-9945C0BA-9F00-41B6-A12D-21A25A700031"
                                },
                                {
                                    "title":"User Modification",
                                    "href":"user-management.html#GUID-369B3E4E-6808-47C6-849D-C60A9BF2D56D"
                                },
                                {
                                    "title":"User Removal",
                                    "href":"user-management.html#GUID-C49F58AC-51E0-4737-B747-33E8F44ECD6B"
                                },
                                {
                                    "title":"User Status",
                                    "href":"user-management.html#GUID-3ABFB907-E6CB-4D22-9364-498784F539B2"
                                },
                                {
                                    "title":"User Login",
                                    "href":"user-management.html#GUID-ED645B88-2DA0-4326-8ACE-DB1C4AFBD402"
                                },
                                {
                                    "title":"Password Management",
                                    "href":"user-management.html#GUID-4AB2592E-CB35-4C9A-809D-F4E31E9F275D"
                                }
                            ]
                        },
                        {
                            "title":"Sessions",
                            "href":"sessions.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">9 </span> Configuring Authorization",
                    "href":"configuring-authorization.html",
                    "topics":[
                        {
                            "title":"Privileges",
                            "href":"privileges.html#GUID-E6D6C912-E98D-420A-B79E-B9230F2D5506",
                            "topics":[
                                {
                                    "title":"System Privileges",
                                    "href":"privileges.html#GUID-58CD8060-1AAF-4495-9A8A-8C9A2E265D0F"
                                },
                                {
                                    "title":"Object Privileges",
                                    "href":"privileges.html#GUID-6A66A4AC-E8D1-4A3F-BD26-90B6A1732D5B"
                                },
                                {
                                    "title":"Table Ownership",
                                    "href":"privileges.html#GUID-EB8537D4-7CD5-4547-A472-CD20115D13F2"
                                },
                                {
                                    "title":"Privilege Hierarchy",
                                    "href":"privileges.html#GUID-32BE4955-B54E-4323-B8A7-8318823DC89A"
                                }
                            ]
                        },
                        {
                            "title":"Roles",
                            "href":"roles.html#GUID-BD523202-B7C7-4A53-9975-FE2B07A112A5",
                            "topics":[
                                {
                                    "title":"System Built-in Roles",
                                    "href":"roles.html#GUID-9561F69B-5B52-4C99-B401-8D68EEFAFD12"
                                },
                                {
                                    "title":"User-Defined Roles",
                                    "href":"roles.html#GUID-8EB50479-E1A6-447A-A4CF-61CDB31621DE"
                                }
                            ]
                        },
                        {
                            "title":"Managing Roles, Privileges and Users",
                            "href":"managing-roles-privileges-and-users.html#GUID-CD02EBAB-2EA5-421A-9784-967C7239CA38",
                            "topics":[
                                {
                                    "title":"Role Creation",
                                    "href":"managing-roles-privileges-and-users.html#GUID-BDE5A265-C2FE-4423-844A-D46169F7DB34"
                                },
                                {
                                    "title":"Role Removal",
                                    "href":"managing-roles-privileges-and-users.html#GUID-D56E3ABB-53A3-4D9B-8F66-1E2A82F12AE8"
                                },
                                {
                                    "title":"Role Status",
                                    "href":"managing-roles-privileges-and-users.html#GUID-825E9802-FCEF-410B-BA55-427395535833"
                                },
                                {
                                    "title":"Grant Roles or Privileges",
                                    "href":"managing-roles-privileges-and-users.html#GUID-4B98942B-8E1E-4E84-B75C-77EBA448EAEB"
                                },
                                {
                                    "title":"Revoke Roles or Privileges",
                                    "href":"managing-roles-privileges-and-users.html#GUID-320408EB-918D-4CF1-9095-0778572543DC"
                                },
                                {
                                    "title":"Granting Authorization Access to Namespaces",
                                    "href":"managing-roles-privileges-and-users.html#GUID-E358D74D-7F7C-495F-8B88-7ECA35C9E3DF"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">10 </span> Security Policies",
                    "href":"security-policies.html",
                    "topics":[
                        {
                            "title":"Security Policy Modifications",
                            "href":"security-policy-modifications.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">11 </span> Audit Logging",
                    "href":"audit-logging.html",
                    "topics":[
                        {
                            "title":"Security Log Messages",
                            "href":"security-log-messages.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">12 </span> Keeping Oracle NoSQL Database Secure",
                    "href":"keeping-oracle-nosql-database-secure.html",
                    "topics":[
                        {
                            "title":"Guidelines for Securing the Configuration",
                            "href":"guidelines-securing-configuration.html"
                        },
                        {
                            "title":"Guidelines for Deploying Secure Applications",
                            "href":"guidelines-deploying-secure-applications.html"
                        },
                        {
                            "title":"Guidelines for Securing the SSL protocol",
                            "href":"guidelines-securing-ssl-protocol.html"
                        },
                        {
                            "title":"Guidelines for Disabling TLSv1.1 and TLSv1 Protocols",
                            "href":"guidelines-disabling-tlsv1.1-and-tlsv1-protocols.html"
                        },
                        {
                            "title":"Guidelines for enabling TLSV1.3 protocol",
                            "href":"guidelines-enabling-tlsv1.3-protocol.html"
                        },
                        {
                            "title":"Guidelines for using JMX securely",
                            "href":"guidelines-using-jmx-securely.html"
                        },
                        {
                            "title":"Guidelines for using PKCS12 Java KeyStore",
                            "href":"guidelines-using-pkcs12-java-keystore.html#GUID-CCB5E810-5332-4E62-A0AC-1D58B84115D5",
                            "topics":[
                                {
                                    "title":"Default Security Configuration",
                                    "href":"guidelines-using-pkcs12-java-keystore.html#GUID-5D53D1F8-B478-4F16-B577-BAF8C1983F02"
                                },
                                {
                                    "title":"Updating KeyStore Type of an Existing Security Configuration",
                                    "href":"guidelines-using-pkcs12-java-keystore.html#GUID-1A17E3E2-6E82-4079-8A22-08E1F1123152"
                                },
                                {
                                    "title":"Updating SSL Keys and Certificates",
                                    "href":"guidelines-using-pkcs12-java-keystore.html#GUID-93C13578-36F3-465B-B459-49DA4A369569"
                                }
                            ]
                        },
                        {
                            "title":"Guidelines for Updating Keystore Passwords",
                            "href":"guidelines-updating-keystore-passwords.html"
                        },
                        {
                            "title":"Guidelines for Updating Kerberos Passwords",
                            "href":"guidelines-updating-kerberos-passwords.html"
                        },
                        {
                            "title":"Guidelines for Updating SSL Keys and Certificates",
                            "href":"guidelines-updating-ssl-key-certificate.html"
                        },
                        {
                            "title":"Guidelines for Configuring External Certificates for a new Installation",
                            "href":"guidelines-configuring-external-certificates-new-installation.html"
                        },
                        {
                            "title":"Guidelines for Configuring External Certificates for an Existing Default Secure Installation",
                            "href":"guidelines-configuring-external-certificates-existing-default-secure-installation.html"
                        },
                        {
                            "title":"Guidelines for Updating the External Certificates",
                            "href":"guidelines-updating-external-certificates.html"
                        },
                        {
                            "title":"Guidelines for Operating System Security",
                            "href":"guidelines-operating-system-security.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">A </span> Password Complexity Policies",
                    "href":"password-complexity-policies.html"
                },
                {
                    "title":"<span class=\"secnum\">B </span> SSL keystore generation",
                    "href":"ssl-keystore-generation.html"
                },
                {
                    "title":"<span class=\"secnum\">C </span> Java KeyStore Preparation",
                    "href":"java-keystore-preparation.html",
                    "topics":[
                        {
                            "title":"Import Key Pair to Java Keystore",
                            "href":"import-key-pair-java-keystore.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">D </span> KVStore Required Privileges",
                    "href":"kvstore-required-privileges.html",
                    "topics":[
                        {
                            "title":"Privileges for Accessing CLI Commands",
                            "href":"privileges-accessing-cli-commands.html"
                        },
                        {
                            "title":"Privileges for DDL Commands",
                            "href":"privileges-ddl-commands.html"
                        },
                        {
                            "title":"Privileges for Accessing KVStore APIs",
                            "href":"privileges-accessing-kvstore-apis.html"
                        },
                        {
                            "title":"Privileges for Accessing KVStore TableAPIs",
                            "href":"privileges-accessing-kvstore-tableapis.html"
                        },
                        {
                            "title":"Privileges for Accessing KvLargeObject APIs",
                            "href":"privileges-accessing-kvlargeobject-apis.html"
                        },
                        {
                            "title":"Privileges for Running XRegion Service",
                            "href":"privileges-running-xregion-service.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">E </span> Configuring the Kerberos Administrative Utility",
                    "href":"configuring-kerberos-administrative-utility.html"
                },
                {
                    "title":"<span class=\"secnum\">F </span> Manually Registering Oracle NoSQL Database Service Principal",
                    "href":"manually-registering-service-principal.html"
                },
                {
                    "title":"<span class=\"secnum\">G </span> Generating Certificate and Private Key for the Oracle NoSQL Database Proxy",
                    "href":"generating-certificate-and-private-key-proxy.html",
                    "topics":[
                        {
                            "title":"Guidelines for Generating Self-Signed Certificate and Private Key using OpenSSL",
                            "href":"ssl-using-openssl.html"
                        },
                        {
                            "title":"Guidelines for Generating Certificate Chain and Private Key using OpenSSL",
                            "href":"ca-using-openssl.html"
                        },
                        {
                            "title":"Troubleshooting issues with self-signed certificate",
                            "href":"troubleshooting-issues-self-signed-certificate.html"
                        }
                    ]
                }
            ]
        }
    ]
});