define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html#GUID-F8790625-B0DF-47B1-9C50-F87F76BC05E9",
                    "topics":[
                        {
                            "title":"Conventions Used in This Book",
                            "href":"preface.html#GUID-3EB8C457-58D3-48CE-A811-5CC46546C7B9"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Introduction to SQL for Oracle NoSQL Database",
                    "href":"introduction-sql.html"
                },
                {
                    "title":"<span class=\"secnum\">2 </span> Simple SELECT Queries",
                    "href":"simple-select-where-queries.html",
                    "topics":[
                        {
                            "title":"SQLBasicExamples Script",
                            "href":"sqlbasicexamples-script.html"
                        },
                        {
                            "title":"Starting the SQL Shell",
                            "href":"starting-sql-shell.html"
                        },
                        {
                            "title":"Choosing column data",
                            "href":"selecting-columns.html"
                        },
                        {
                            "title":"Substituting column names for a query",
                            "href":"renaming-columns.html"
                        },
                        {
                            "title":"Computing values for new columns",
                            "href":"computing-new-columns.html"
                        },
                        {
                            "title":"Identifying tables and their columns",
                            "href":"identifying-tables-and-their-columns.html"
                        },
                        {
                            "title":"Filtering Results",
                            "href":"filtering-results.html"
                        },
                        {
                            "title":"Grouping Results",
                            "href":"grouping-results.html"
                        },
                        {
                            "title":"Ordering Results",
                            "href":"ordering-results.html"
                        },
                        {
                            "title":"Limiting and Offsetting Results",
                            "href":"limiting-and-offsetting-results.html"
                        },
                        {
                            "title":"Using External Variables",
                            "href":"using-external-variables.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">3 </span> Working with complex data",
                    "href":"working-complex-data.html",
                    "topics":[
                        {
                            "title":"SQLAdvancedExamples Script",
                            "href":"sqladvancedexamples-script.html"
                        },
                        {
                            "title":"Working with Timestamps",
                            "href":"working-timestamps.html"
                        },
                        {
                            "title":"Working With Arrays",
                            "href":"working-arrays.html"
                        },
                        {
                            "title":"Working with Records",
                            "href":"working-records.html"
                        },
                        {
                            "title":"Using ORDER BY to Sort Results",
                            "href":"using-order-sort-results.html"
                        },
                        {
                            "title":"Working With Maps",
                            "href":"working-maps.html"
                        },
                        {
                            "title":"Using the size() Function",
                            "href":"using-size-function.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">4 </span> Working with JSON",
                    "href":"working-json.html",
                    "topics":[
                        {
                            "title":"SQLJSONExamples Script",
                            "href":"sqljsonexamples-script.html"
                        },
                        {
                            "title":"Basic Queries",
                            "href":"basic-queries.html"
                        },
                        {
                            "title":"Using WHERE EXISTS with JSON",
                            "href":"using-exists-json.html"
                        },
                        {
                            "title":"Seeking NULLS in Arrays",
                            "href":"seeking-nulls-arrays.html"
                        },
                        {
                            "title":"Examining Data Types JSON Columns",
                            "href":"examining-data-types-json-columns.html"
                        },
                        {
                            "title":"Using Map Steps with JSON Data",
                            "href":"using-map-steps-json-data.html"
                        },
                        {
                            "title":"Casting Datatypes",
                            "href":"casting-datatypes.html"
                        },
                        {
                            "title":"Using Searched Case",
                            "href":"using-searched-case.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">5 </span> Working With GeoJSON Data",
                    "href":"working-geojson-data.html",
                    "topics":[
                        {
                            "title":"Geodetic Coordinates",
                            "href":"geodetic-coordinate-system.html"
                        },
                        {
                            "title":"GeoJSON Data Definitions",
                            "href":"geojson-data-definitions.html"
                        },
                        {
                            "title":"Searching GeoJSON Data",
                            "href":"searching-geojson-data.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">6 </span> Working With Indexes",
                    "href":"working-indexes.html",
                    "topics":[
                        {
                            "title":"Basic Indexing",
                            "href":"basic-indexing.html"
                        },
                        {
                            "title":"Using Index Hints",
                            "href":"using-index-hints.html"
                        },
                        {
                            "title":"Complex Indexes",
                            "href":"complex-indexes.html"
                        },
                        {
                            "title":"Multi-Key Indexes",
                            "href":"multi-key-indexes.html"
                        },
                        {
                            "title":"Indexing JSON Data",
                            "href":"indexing-json-data.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">7 </span> Working with Table Rows",
                    "href":"working-table-rows.html",
                    "topics":[
                        {
                            "title":"Adding Table Rows using INSERT and UPSERT",
                            "href":"adding-table-rows-using-insert-and-upsert-statements.html"
                        },
                        {
                            "title":"Modifying Table Rows using UPDATE Statements",
                            "href":"modifying-table-rows-using-update-statements.html#GUID-9CB20D0B-697F-4E0C-B041-3350A0A17B36",
                            "topics":[
                                {
                                    "title":"Example Data",
                                    "href":"modifying-table-rows-using-update-statements.html#GUID-23D5EC63-F5E9-4E68-9E34-F2E5C4F08684"
                                },
                                {
                                    "title":"Changing Field Values",
                                    "href":"modifying-table-rows-using-update-statements.html#GUID-4F75C20B-D126-4B48-B860-B3E9FB52CA16"
                                },
                                {
                                    "title":"Modifying Array Values",
                                    "href":"modifying-table-rows-using-update-statements.html#GUID-32F17906-E2CC-4C84-8E62-372F7DD4BAA7",
                                    "topics":[
                                        {
                                            "title":"Adding Elements to an Array",
                                            "href":"modifying-table-rows-using-update-statements.html#GUID-D6940A2A-4495-411C-9ECB-708DBA6B8397"
                                        },
                                        {
                                            "title":"Changing an Existing Element in an Array",
                                            "href":"modifying-table-rows-using-update-statements.html#GUID-229DEB93-7C06-43CE-BF2E-4543A7886940"
                                        },
                                        {
                                            "title":"Removing Elements from Arrays",
                                            "href":"modifying-table-rows-using-update-statements.html#GUID-A3E81410-3EF2-4AAE-96ED-1551C6CE6585"
                                        }
                                    ]
                                },
                                {
                                    "title":"Modifying Map Values",
                                    "href":"modifying-table-rows-using-update-statements.html#GUID-4B1C99EE-DB47-4099-A649-2D84678A4A4C",
                                    "topics":[
                                        {
                                            "title":"Removing Elements from a Map",
                                            "href":"modifying-table-rows-using-update-statements.html#GUID-3C94972A-4811-4A7A-B7DD-3F03278437BC"
                                        },
                                        {
                                            "title":"Adding Elements to a Map",
                                            "href":"modifying-table-rows-using-update-statements.html#GUID-063AB1AF-9E79-4AB5-9D68-EFC90603EA3A"
                                        },
                                        {
                                            "title":"Updating Existing Map Elements",
                                            "href":"modifying-table-rows-using-update-statements.html#GUID-A76B0B0A-D92C-4ED3-B6A8-16517538AE5E"
                                        }
                                    ]
                                },
                                {
                                    "title":"Managing Time to Live Values",
                                    "href":"modifying-table-rows-using-update-statements.html#GUID-26672B59-0894-49D0-AAB9-6C0B08379EE9"
                                },
                                {
                                    "title":"Avoiding the Read-Modify-Write Cycle",
                                    "href":"modifying-table-rows-using-update-statements.html#GUID-B6DCFDC8-A047-464E-937D-6D375A663774"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">A </span> Introduction to the SQL for Oracle NoSQL Database Shell",
                    "href":"introduction-sql-shell.html",
                    "topics":[
                        {
                            "title":"Running the SQL Shell",
                            "href":"running-sql-shell.html"
                        },
                        {
                            "title":"Configuring the shell",
                            "href":"configuring-shell.html"
                        },
                        {
                            "title":"Shell Utility Commands",
                            "href":"shell-utility-commands.html#GUID-70FA12B5-6AD3-4965-9163-FA9549078EC7",
                            "topics":[
                                {
                                    "title":"connect",
                                    "href":"shell-utility-commands.html#GUID-0D8AA2AB-8170-45B7-BC59-D62F54C87828"
                                },
                                {
                                    "title":"consistency",
                                    "href":"shell-utility-commands.html#GUID-62962E60-E8B1-49C5-8AB8-6116B24DD424"
                                },
                                {
                                    "title":"describe",
                                    "href":"shell-utility-commands.html#GUID-C1E8ED84-58FE-4C35-A68B-6A1B0E1AD222"
                                },
                                {
                                    "title":"durability",
                                    "href":"shell-utility-commands.html#GUID-80AD498B-5649-4883-B71B-7E43E0261FCD"
                                },
                                {
                                    "title":"exit",
                                    "href":"shell-utility-commands.html#GUID-E813765E-CE96-4D63-A573-529963FF16C1"
                                },
                                {
                                    "title":"help",
                                    "href":"shell-utility-commands.html#GUID-0F92EC33-CC09-4250-B327-C7A482574067"
                                },
                                {
                                    "title":"history",
                                    "href":"shell-utility-commands.html#GUID-528C4EB6-735F-42FE-B5D8-CC42681130DD"
                                },
                                {
                                    "title":"import",
                                    "href":"shell-utility-commands.html#GUID-6B0DBCBB-B3D1-414C-B462-39451FF8C903"
                                },
                                {
                                    "title":"load",
                                    "href":"shell-utility-commands.html#GUID-A70F81EA-2989-412F-B550-3A99837C0793"
                                },
                                {
                                    "title":"mode",
                                    "href":"shell-utility-commands.html#GUID-6C2265E0-92C8-4D31-9B7B-4E67BFDACF85"
                                },
                                {
                                    "title":"output",
                                    "href":"shell-utility-commands.html#GUID-9F80D456-FC47-4B64-8B9F-DB53ED285E49"
                                },
                                {
                                    "title":"page",
                                    "href":"shell-utility-commands.html#GUID-6C6A6C40-F0D1-47F6-B39B-B723B87BF228"
                                },
                                {
                                    "title":"show faults",
                                    "href":"shell-utility-commands.html#GUID-EF4C5EE5-BB39-4991-8227-EB77B8A9C9B5"
                                },
                                {
                                    "title":"show indexes",
                                    "href":"shell-utility-commands.html#GUID-A5F721B1-5789-4701-8CD6-7E43296DF35D"
                                },
                                {
                                    "title":"show mrtable-agent-statistics",
                                    "href":"shell-utility-commands.html#GUID-855F02CE-A2D6-480B-A2A5-C367D4593408"
                                },
                                {
                                    "title":"show namespaces",
                                    "href":"shell-utility-commands.html#GUID-7150C5D2-3269-4551-A339-0BA3A3442D23"
                                },
                                {
                                    "title":"show query",
                                    "href":"shell-utility-commands.html#GUID-F2ABEDB5-2BF0-4A03-AA84-983C7080C4BE"
                                },
                                {
                                    "title":"show regions",
                                    "href":"shell-utility-commands.html#GUID-95C505EE-EFFC-443F-AABE-3E5E06FFB2DC"
                                },
                                {
                                    "title":"show roles",
                                    "href":"shell-utility-commands.html#GUID-95979D5C-8A9B-41FF-A446-F2658E2289E6"
                                },
                                {
                                    "title":"show tables",
                                    "href":"shell-utility-commands.html#GUID-6FCB3CE0-105F-4408-AA62-F10735A95C26"
                                },
                                {
                                    "title":"show users",
                                    "href":"shell-utility-commands.html#GUID-F9E90AF3-1CAA-4ACF-9F3D-DB8C36472E1E"
                                },
                                {
                                    "title":"timeout",
                                    "href":"shell-utility-commands.html#GUID-E72649DD-B379-40A8-9D6A-23F5AD0074E4"
                                },
                                {
                                    "title":"timer",
                                    "href":"shell-utility-commands.html#GUID-257AEC39-36FA-49F5-8F01-57A4DF2FACBE"
                                },
                                {
                                    "title":"verbose",
                                    "href":"shell-utility-commands.html#GUID-177F26AE-5A54-4C9E-8611-77743AF5723D"
                                },
                                {
                                    "title":"version",
                                    "href":"shell-utility-commands.html#GUID-7E9AB77C-21ED-443A-A359-4A6A0E61335F"
                                }
                            ]
                        }
                    ]
                }
            ]
        }
    ]
});