define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Introduction to SQL for Oracle NoSQL Database",
                    "href":"introduction-sql-nosql.html",
                    "topics":[
                        {
                            "title":"SQL Program",
                            "href":"sql-program.html"
                        },
                        {
                            "title":"EBNF Syntax",
                            "href":"ebnf-syntax.html"
                        },
                        {
                            "title":"Comments",
                            "href":"comments.html"
                        },
                        {
                            "title":"Identifiers",
                            "href":"identifiers.html"
                        },
                        {
                            "title":"Literals",
                            "href":"literals.html"
                        },
                        {
                            "title":"Operator Precedence",
                            "href":"operator-precedence.html"
                        },
                        {
                            "title":"Reserved Words",
                            "href":"reserved-words.html"
                        },
                        {
                            "title":"Case Sensitivity",
                            "href":"case-sensitivity.html"
                        },
                        {
                            "title":"Constraints",
                            "href":"constraints.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">2 </span> Oracle NoSQL Database Data Model",
                    "href":"data-model.html",
                    "topics":[
                        {
                            "title":"Atomic Data Types",
                            "href":"atomic-data-types.html"
                        },
                        {
                            "title":"Complex Data Types",
                            "href":"complex-data-types.html"
                        },
                        {
                            "title":"Wildcard Data Types",
                            "href":"wildcard-data-types.html"
                        },
                        {
                            "title":"Data Type Hierarchy",
                            "href":"data-type-hierarchy.html"
                        },
                        {
                            "title":"Data Type Definitions",
                            "href":"data-type-definitions.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">3 </span> Namespace Management",
                    "href":"namespace-management.html",
                    "topics":[
                        {
                            "title":"CREATE NAMESPACE Statement",
                            "href":"create-namespace.html"
                        },
                        {
                            "title":"SHOW NAMESPACES Statement",
                            "href":"show-namespaces.html"
                        },
                        {
                            "title":"DROP NAMESPACE Statement",
                            "href":"drop-namespace.html"
                        },
                        {
                            "title":"Namespace Resolution",
                            "href":"namespace-resolution.html"
                        },
                        {
                            "title":"Namespace Scoped Privileges",
                            "href":"namespace-scoped-privileges.html"
                        },
                        {
                            "title":"Granting Authorization Access to Namespaces",
                            "href":"granting-authorization-access-namespaces.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">4 </span> Region Management",
                    "href":"region-management.html",
                    "topics":[
                        {
                            "title":"CREATE REGION Statement",
                            "href":"create-region.html"
                        },
                        {
                            "title":"SHOW REGIONS Statement",
                            "href":"show-regions.html"
                        },
                        {
                            "title":"DROP REGION Statement",
                            "href":"drop-region.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">5 </span> Table Management",
                    "href":"table-management.html",
                    "topics":[
                        {
                            "title":"CREATE TABLE Statement",
                            "href":"create-table.html"
                        },
                        {
                            "title":"SHOW TABLES Statement",
                            "href":"show-tables.html"
                        },
                        {
                            "title":"DESCRIBE TABLE Statement",
                            "href":"describe-table.html"
                        },
                        {
                            "title":"Table Hierarchies",
                            "href":"table-hierarchies.html"
                        },
                        {
                            "title":"Using the IDENTITY Column",
                            "href":"identity-column.html",
                            "topics":[
                                {
                                    "title":"Creating Tables With an IDENTITY Column",
                                    "href":"creating-tables-identity-column.html"
                                }
                            ]
                        },
                        {
                            "title":"Using the UUID data type",
                            "href":"using-uuid-data-type.html"
                        },
                        {
                            "title":"Using the MR_COUNTER datatype",
                            "href":"using-mr_counter-datatype.html#GUID-DDDC0615-FC24-4102-BB6E-2DA370AA49B6",
                            "topics":[
                                {
                                    "title":"Using CRDT datatype in a multi-region table",
                                    "href":"using-mr_counter-datatype.html#GUID-883C430F-3F6F-4B9C-9CD9-2DDE98552EE0"
                                },
                                {
                                    "title":"Create table using MR_COUNTER datatype",
                                    "href":"using-mr_counter-datatype.html#GUID-5EAEBAC4-A50B-4B97-96C0-8FDFEA99384E"
                                }
                            ]
                        },
                        {
                            "title":"Sequence Generator",
                            "href":"sequence-generator.html"
                        },
                        {
                            "title":"DROP TABLE Statement",
                            "href":"drop-table.html"
                        },
                        {
                            "title":"ALTER TABLE Statement",
                            "href":"alter-table.html"
                        },
                        {
                            "title":"Altering an IDENTITY Column",
                            "href":"alter-identity-columns.html"
                        },
                        {
                            "title":"Add or Remove a UUID column",
                            "href":"alter-table-add-or-remove-uuid-column.html"
                        },
                        {
                            "title":"Add or Remove an IDENTITY column",
                            "href":"add-or-remove-identity-column.html"
                        },
                        {
                            "title":"Add or Remove an MR_COUNTER column",
                            "href":"add-or-remove-mr_counter-column.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">6 </span> SQL Query Management",
                    "href":"sql-query-management.html",
                    "topics":[
                        {
                            "title":"Expressions",
                            "href":"expressions.html"
                        },
                        {
                            "title":"Sequences",
                            "href":"sequences.html"
                        },
                        {
                            "title":"Sequence Types",
                            "href":"sequence-type.html"
                        },
                        {
                            "title":"Variable Declaration",
                            "href":"variable-declarations.html"
                        },
                        {
                            "title":"SELECT Expression",
                            "href":"select-expression.html",
                            "topics":[
                                {
                                    "title":"FROM Clause",
                                    "href":"clause.html"
                                },
                                {
                                    "title":"WHERE Clause",
                                    "href":"where-clause.html"
                                },
                                {
                                    "title":"GROUP BY Clause",
                                    "href":"group-clause.html"
                                },
                                {
                                    "title":"Using Aggregate Functions",
                                    "href":"aggregate-functions.html",
                                    "topics":[
                                        {
                                            "title":"Sequence Aggregate Functions",
                                            "href":"sequence-aggregate-functions.html"
                                        }
                                    ]
                                },
                                {
                                    "title":"ORDER BY Clause",
                                    "href":"order-clause.html"
                                },
                                {
                                    "title":"SELECT Clause",
                                    "href":"select-clause.html"
                                },
                                {
                                    "title":"LIMIT Clause",
                                    "href":"limit-clause.html"
                                },
                                {
                                    "title":"OFFSET Clause",
                                    "href":"offset-clause.html"
                                }
                            ]
                        },
                        {
                            "title":"Path Expressions",
                            "href":"path-expressions.html",
                            "topics":[
                                {
                                    "title":"Field Step Expressions",
                                    "href":"field-step-expressions.html"
                                },
                                {
                                    "title":"Map-Filter Step Expressions",
                                    "href":"map-filter-step-expressions.html"
                                },
                                {
                                    "title":"Array-Filter Step Expressions",
                                    "href":"array-filter-step-expressions.html"
                                },
                                {
                                    "title":"Array-Slice Step Expressions",
                                    "href":"array-slice-step-expressions.html"
                                }
                            ]
                        },
                        {
                            "title":"Comparison Expressions",
                            "href":"comparison-expressions.html",
                            "topics":[
                                {
                                    "title":"Logical Operators: AND, OR, and NOT",
                                    "href":"logical-operators-and-or-and-not.html"
                                },
                                {
                                    "title":"IS NULL and IS NOT NULL Operators",
                                    "href":"is-null-and-is-not-null-operators.html"
                                },
                                {
                                    "title":"Value Comparison Operators",
                                    "href":"value-comparison-operators.html"
                                },
                                {
                                    "title":"Sequence Comparison Operators",
                                    "href":"sequence-comparison-operators.html"
                                },
                                {
                                    "title":"BETWEEN Operator",
                                    "href":"operator1.html"
                                },
                                {
                                    "title":"IN Operator",
                                    "href":"operator.html"
                                },
                                {
                                    "title":"Regular Expression Conditions",
                                    "href":"regular-expressions.html"
                                },
                                {
                                    "title":"Exists Operator",
                                    "href":"exists-operator.html"
                                },
                                {
                                    "title":"Is-Of-Type Operator",
                                    "href":"is-type-operator.html"
                                }
                            ]
                        },
                        {
                            "title":"Concatenation Operator",
                            "href":"concatenation-operator.html"
                        },
                        {
                            "title":"Arithmetic Expressions",
                            "href":"arithmetic-expressions.html"
                        },
                        {
                            "title":"Primary Expressions",
                            "href":"primary-expressions.html",
                            "topics":[
                                {
                                    "title":"Parenthesized Expressions",
                                    "href":"parenthesized-expressions.html"
                                },
                                {
                                    "title":"Constant Expressions",
                                    "href":"constant-expressions.html"
                                },
                                {
                                    "title":"Column References",
                                    "href":"column-references.html"
                                },
                                {
                                    "title":"Variable References",
                                    "href":"variable-references.html"
                                },
                                {
                                    "title":"Array and Map Constructors",
                                    "href":"array-and-map-constructors.html"
                                },
                                {
                                    "title":"Case Expressions",
                                    "href":"case-expressions.html"
                                },
                                {
                                    "title":"Cast Expression",
                                    "href":"cast-expressions.html"
                                },
                                {
                                    "title":"Extract Expressions",
                                    "href":"extract-expressions.html"
                                },
                                {
                                    "title":"Function Calls",
                                    "href":"function-calls.html"
                                },
                                {
                                    "title":"Sequence Transform Expressions",
                                    "href":"sequence-transform-expressions.html"
                                }
                            ]
                        },
                        {
                            "title":"Unnest Arrays &amp; Maps",
                            "href":"unnest-arrays-maps.html",
                            "topics":[
                                {
                                    "title":"Example: Using unnesting with a GROUP BY clause",
                                    "href":"example-using-unnesting-group-clause.html"
                                }
                            ]
                        },
                        {
                            "title":"Joins",
                            "href":"joins.html",
                            "topics":[
                                {
                                    "title":"Using NESTED TABLES clause to query multiple tables in the same hierarchy",
                                    "href":"using-nested-tables-clause-query-multiple-tables-same-hierarchy.html"
                                },
                                {
                                    "title":"Example: Using NESTED TABLES clause to query multiple tables in the same hierarchy",
                                    "href":"examples-using-nested-tables-clause-query-multiple-tables-same-hierarchy.html"
                                },
                                {
                                    "title":"Left Outer Join (LOJ)",
                                    "href":"left-outer-join.html",
                                    "topics":[
                                        {
                                            "title":"Different scenarios of using an LOJ",
                                            "href":"different-scenarios-using-loj.html"
                                        },
                                        {
                                            "title":"Limitations of LOJ",
                                            "href":"limitations-loj.html"
                                        },
                                        {
                                            "title":"Nested tables Vs LOJ",
                                            "href":"nested-tables-vs-loj.html"
                                        },
                                        {
                                            "title":"Example: Using Left Outer Joins",
                                            "href":"example-using-left-outer-joins.html"
                                        }
                                    ]
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">7 </span> Data Row Management",
                    "href":"data-row-management.html",
                    "topics":[
                        {
                            "title":"INSERT Statement",
                            "href":"insert-statement.html"
                        },
                        {
                            "title":"Inserting Rows with an IDENTITY Column",
                            "href":"insert-rows-identity.html"
                        },
                        {
                            "title":"Inserting rows into a table with a UUID column",
                            "href":"inserting-rows-uuid-column.html"
                        },
                        {
                            "title":"Inserting rows with an MR_COUNTER column",
                            "href":"inserting-rows-mr_counter-column.html"
                        },
                        {
                            "title":"Upsert statement",
                            "href":"upsert-statement.html"
                        },
                        {
                            "title":"Updating rows of a table with a UUID column",
                            "href":"updating-rows-uuid-column.html"
                        },
                        {
                            "title":"DELETE Statement",
                            "href":"delete-statement.html"
                        },
                        {
                            "title":"UPDATE Statement",
                            "href":"update-statement.html",
                            "topics":[
                                {
                                    "title":"Update Clauses",
                                    "href":"update-clause.html",
                                    "topics":[
                                        {
                                            "title":"SET Clause",
                                            "href":"update-clause-set.html"
                                        },
                                        {
                                            "title":"ADD Clause",
                                            "href":"update-clause-add.html"
                                        },
                                        {
                                            "title":"PUT Clause",
                                            "href":"update-clause-put.html"
                                        },
                                        {
                                            "title":"REMOVE Clause",
                                            "href":"update-clause-remove.html"
                                        },
                                        {
                                            "title":"SET TTL Clause",
                                            "href":"update-clause-set-ttl.html"
                                        }
                                    ]
                                },
                                {
                                    "title":"Updating rows with an IDENTITY Column",
                                    "href":"update-rows-identity.html"
                                },
                                {
                                    "title":"Updating rows with an MR_COUNTER column",
                                    "href":"updating-rows-mr_counter-column.html"
                                },
                                {
                                    "title":"Example: Updating Rows",
                                    "href":"example-updating-rows.html"
                                },
                                {
                                    "title":"Example: Updating JSON Data",
                                    "href":"example-updating-json-data.html"
                                },
                                {
                                    "title":"Example: Updating TTL",
                                    "href":"example-updating-ttl.html"
                                },
                                {
                                    "title":"Example: Updating IDENTITY defined as GENERATED ALWAYS",
                                    "href":"example-updating-identity-defined-generated-always.html"
                                },
                                {
                                    "title":"Example: Updating IDENTITY defined as GENERATED BY DEFAULT",
                                    "href":"example-updating-identity-defined-generated-default.html"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">8 </span> Indexes",
                    "href":"indexes.html",
                    "topics":[
                        {
                            "title":"About Indexes",
                            "href":"indexes1.html"
                        },
                        {
                            "title":"CREATE INDEX Statement",
                            "href":"create-index.html"
                        },
                        {
                            "title":"Classification of Indexes",
                            "href":"index-classification.html#GUID-9A04C4C4-0142-4DA6-AF88-5DEB69E85892",
                            "topics":[
                                {
                                    "title":"Single Field Index",
                                    "href":"index-classification.html#GUID-85F841C6-712C-4836-93C2-7BB94896D019"
                                },
                                {
                                    "title":"Composite Index",
                                    "href":"index-classification.html#GUID-3D456ED7-5627-4816-A865-B9E8FE48A6AA"
                                },
                                {
                                    "title":"Fixed Schema Index",
                                    "href":"index-classification.html#GUID-1FC1E786-1714-4D93-BDCE-B461C7E1100A"
                                },
                                {
                                    "title":"JSON Index",
                                    "href":"index-classification.html#GUID-EE20D941-A9B5-466D-8841-CD0F3C52EFDC"
                                },
                                {
                                    "title":"Simple Index",
                                    "href":"index-classification.html#GUID-E9992041-B340-4E15-AFAA-98FD6184C832"
                                },
                                {
                                    "title":"Multikey Index",
                                    "href":"index-classification.html#GUID-D5B72C1A-50B3-4078-B1CB-AF2D2B7FDE33",
                                    "topics":[
                                        {
                                            "title":"Nested Multikey Index",
                                            "href":"index-classification.html#GUID-3C00885A-4864-4694-A13E-A2EC4B67C728"
                                        },
                                        {
                                            "title":"Composite Multikey Index",
                                            "href":"index-classification.html#GUID-3BFC2872-4419-40E0-8A2A-F9411C3FD665"
                                        },
                                        {
                                            "title":"Specifications &amp; Restrictions on Multikey Indexes",
                                            "href":"index-classification.html#GUID-1435BF2D-7C96-4D81-A5FD-FFE987CD975B"
                                        }
                                    ]
                                },
                                {
                                    "title":"Indexes on Functions",
                                    "href":"index-classification.html#GUID-B039805B-AC02-4050-B079-146478F8B22B",
                                    "topics":[
                                        {
                                            "title":"Examples of creating indexes on functions",
                                            "href":"index-classification.html#GUID-C465CC53-636B-4E4E-8008-9F7D9C87EC18"
                                        }
                                    ]
                                }
                            ]
                        },
                        {
                            "title":"SHOW INDEXES Statement",
                            "href":"show-indexes.html"
                        },
                        {
                            "title":"DESCRIBE INDEX Statement",
                            "href":"describe-index.html"
                        },
                        {
                            "title":"DROP INDEX Statement",
                            "href":"drop-index.html"
                        },
                        {
                            "title":"Appendix",
                            "href":"index-appendix.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">9 </span> Query Optimization",
                    "href":"query-optimization.html",
                    "topics":[
                        {
                            "title":"Using Indexes for Query Optimization",
                            "href":"using-indexes-query-optimization.html"
                        },
                        {
                            "title":"Finding Applicable Indexes",
                            "href":"finding-applicable-indexes.html"
                        },
                        {
                            "title":"Examples: Using Indexes for Query Optimization",
                            "href":"examples-query-optimization.html",
                            "topics":[
                                {
                                    "title":"Optimizing unnesting queries with the UNNEST clause",
                                    "href":"optimizing-unnesting-queries-unnest-clause.html"
                                }
                            ]
                        },
                        {
                            "title":"Choosing the Best Applicable Index",
                            "href":"choosing-best-applicable-index.html"
                        },
                        {
                            "title":"Appendix",
                            "href":"query-optimisation-appendix.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">10 </span> Query Plan",
                    "href":"query-plan.html",
                    "topics":[
                        {
                            "title":"Overview of a query plan",
                            "href":"overview-query-plan.html"
                        },
                        {
                            "title":"Examples of query execution plan",
                            "href":"examples-query-execution-plan.html",
                            "topics":[
                                {
                                    "title":"Example 1 : Using a covering index in a query plan with only index scans",
                                    "href":"example-1-using-covering-index-query-plan-only-index-scans.html"
                                },
                                {
                                    "title":"Example 2 : Using a covering index in a query plan with index scans and index predicates",
                                    "href":"example-2-using-covering-index-query-plan-index-scans-and-index-predicates.html"
                                },
                                {
                                    "title":"Example 3: Using a non-covering index in a query plan with index scans",
                                    "href":"example-3-using-non-covering-index-query-plan-index-scans.html"
                                },
                                {
                                    "title":"Example 4: Sort the data using a Covering index",
                                    "href":"example-4-sort-data-using-covering-index.html"
                                },
                                {
                                    "title":"Example 5: Sort the data using a field not part of the index",
                                    "href":"example-5-sort-data-using-field-not-part-index.html"
                                },
                                {
                                    "title":"Example 6: Group the data using a Covering index",
                                    "href":"example-6-group-data-using-covering-index.html"
                                },
                                {
                                    "title":"Example 7: Group data with fields not part of the index",
                                    "href":"example-7-group-data-fields-not-part-index.html"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">11 </span> GeoJson Data Management",
                    "href":"geojson-data-management.html",
                    "topics":[
                        {
                            "title":"About GeoJson Data",
                            "href":"geojson-data.html"
                        },
                        {
                            "title":"Lines and Coordinate System",
                            "href":"lines-and-coordinate-system.html"
                        },
                        {
                            "title":"Restrictions on GeoJson Data",
                            "href":"restrictions-geojson-data.html"
                        },
                        {
                            "title":"Searching for GeoJson Data",
                            "href":"searching-geojson-data.html"
                        },
                        {
                            "title":"Indexing GeoJson Data",
                            "href":"indexing-geojson-data.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">12 </span> Built-in Functions",
                    "href":"built-functions.html",
                    "topics":[
                        {
                            "title":"Functions on Complex Values",
                            "href":"functions-complex-values.html"
                        },
                        {
                            "title":"Functions on Sequences",
                            "href":"functions-sequences.html"
                        },
                        {
                            "title":"Functions on Timestamps",
                            "href":"functions-timestamps.html#GUID-95DF113A-C352-46ED-ADFC-48FEBC9E8B87",
                            "topics":[
                                {
                                    "title":"Create and populate Baggage schema",
                                    "href":"functions-timestamps.html#GUID-4FC0DE5B-DC49-4F83-A532-64A0198E6378"
                                },
                                {
                                    "title":"timestamp_add function",
                                    "href":"functions-timestamps.html#GUID-EF8F83C5-B23D-4869-84CC-887CD3F59FDF"
                                },
                                {
                                    "title":"timestamp_diff and get_duration functions",
                                    "href":"functions-timestamps.html#GUID-8E258258-C310-49A0-96CA-5E58F9D3B53B"
                                },
                                {
                                    "title":"Miscellaneous Timestamp functions",
                                    "href":"functions-timestamps.html#GUID-2AC9DF50-96E3-43DD-A2CC-3E0F49EE1751"
                                }
                            ]
                        },
                        {
                            "title":"Function to generate a UUID string",
                            "href":"function-generate-uuid-string.html"
                        },
                        {
                            "title":"Functions on Rows",
                            "href":"functions-rows.html"
                        },
                        {
                            "title":"Functions on GeoJson Data",
                            "href":"functions-geojson-data.html"
                        },
                        {
                            "title":"Functions on Strings",
                            "href":"functions-strings.html",
                            "topics":[
                                {
                                    "title":"substring Function",
                                    "href":"substring_function.html"
                                },
                                {
                                    "title":"concat Function",
                                    "href":"concat_function.html"
                                },
                                {
                                    "title":"upper Function",
                                    "href":"upper_function.html"
                                },
                                {
                                    "title":"lower Function",
                                    "href":"lower_function.html"
                                },
                                {
                                    "title":"trim Function",
                                    "href":"trim_function.html"
                                },
                                {
                                    "title":"ltrim Function",
                                    "href":"ltrim_function.html"
                                },
                                {
                                    "title":"rtrim Function",
                                    "href":"rtrim_function.html"
                                },
                                {
                                    "title":"length Function",
                                    "href":"length_function.html"
                                },
                                {
                                    "title":"contains Function",
                                    "href":"contains_function.html"
                                },
                                {
                                    "title":"starts_with Function",
                                    "href":"starts_with_function.html"
                                },
                                {
                                    "title":"ends_with Function",
                                    "href":"ends_with_function.html"
                                },
                                {
                                    "title":"index_of Function",
                                    "href":"index_of_function.html"
                                },
                                {
                                    "title":"replace Function",
                                    "href":"replace_function.html"
                                },
                                {
                                    "title":"reverse Function",
                                    "href":"reverse_function.html"
                                }
                            ]
                        }
                    ]
                }
            ]
        }
    ]
});