define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html#GUID-E57B2756-704A-4D85-AB49-018F999CA867",
                    "topics":[
                        {
                            "title":"Conventions Used in This Book",
                            "href":"preface.html#GUID-3277F920-E861-4815-8EC0-4BF72EE19FBC"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Introduction to the Oracle NoSQL Database Streams API",
                    "href":"introduction.html",
                    "topics":[
                        {
                            "title":"Architecture",
                            "href":"architecture.html"
                        },
                        {
                            "title":"API Components",
                            "href":"api-components.html"
                        },
                        {
                            "title":"Checkpoints",
                            "href":"checkpoints.html"
                        },
                        {
                            "title":"Dynamic Streaming",
                            "href":"dynamic-streaming.html"
                        },
                        {
                            "title":"System Requirements",
                            "href":"system-requirements.html"
                        },
                        {
                            "title":"Limitations",
                            "href":"limitations.html"
                        },
                        {
                            "title":"Compiling and Running a Streams Application",
                            "href":"compiling-and-running-streams-application.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">2 </span> Using the StreamOperation Class",
                    "href":"using-streamoperation-class.html"
                },
                {
                    "title":"<span class=\"secnum\">3 </span> Working with Subscriptions",
                    "href":"working-subscriptions.html",
                    "topics":[
                        {
                            "title":"Using NoSQLSubscriptionConfig",
                            "href":"using-nosqlsubscriptionconfig.html"
                        },
                        {
                            "title":"NoSQLStreamMode",
                            "href":"nosqlstreammode.html"
                        },
                        {
                            "title":"Using NoSQLSubscription",
                            "href":"using-nosqlsubscription.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">4 </span> Implementing Subscribers",
                    "href":"implementing-subscribers.html",
                    "topics":[
                        {
                            "title":"Using the NoSQLSubscriber Interface",
                            "href":"using-nosqlsubscriber-interface.html"
                        },
                        {
                            "title":"NoSQLSubscriber Example",
                            "href":"nosqlsubscriber-example.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">5 </span> Using a Streams Publisher",
                    "href":"using-streams-publisher.html",
                    "topics":[
                        {
                            "title":"Using NoSQLPublisherConfig",
                            "href":"using-nosqlpublisherconfig.html#GUID-793D71B5-0A05-40B8-AA62-F7AAB995D9C2",
                            "topics":[
                                {
                                    "title":"Configuring a Connection to the Store",
                                    "href":"using-nosqlpublisherconfig.html#GUID-6981A38F-116C-41D8-A95C-7611E22410B3"
                                },
                                {
                                    "title":"Creating a Basic NoSQLPublisherConfig Object",
                                    "href":"using-nosqlpublisherconfig.html#GUID-A71E9A74-7173-44B2-B2B3-73B0FE70CE6A"
                                },
                                {
                                    "title":"Tuning Your Publisher",
                                    "href":"using-nosqlpublisherconfig.html#GUID-B967D862-C540-47BB-9B62-79DEE8E6B8E4"
                                },
                                {
                                    "title":"Authenticating to a Secure Store",
                                    "href":"using-nosqlpublisherconfig.html#GUID-891A34DE-E690-4FAD-8F09-0A1E3CDD3A7D"
                                },
                                {
                                    "title":"Reauthentication",
                                    "href":"using-nosqlpublisherconfig.html#GUID-CB7C50B2-366E-48AC-9721-5C9CDA9EF4B7"
                                }
                            ]
                        },
                        {
                            "title":"Streams Example",
                            "href":"streams-example.html#GUID-7EFC1B81-93C3-4267-99E4-20B47E3E0C72",
                            "topics":[
                                {
                                    "title":"Sample Streams Output",
                                    "href":"streams-example.html#GUID-9939414F-3073-46CE-8CD7-7E2F036CACF1"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">6 </span> Using Checkpoints",
                    "href":"using-checkpoints.html",
                    "topics":[
                        {
                            "title":"Implementing Checkpoints in GSGStreamExample",
                            "href":"implementing-checkpoints-gsgstreamexample.html"
                        },
                        {
                            "title":"Implementing Checkpoints in GSGSubscriberExample",
                            "href":"implementing-checkpoints-gsgsubscriberexample.html"
                        },
                        {
                            "title":"Example Checkpoint Behavior",
                            "href":"example-checkpoint-behavior.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">7 </span> Scaling a Streams Application",
                    "href":"scaling-streams-application.html",
                    "topics":[
                        {
                            "title":"Scaling Subscribers",
                            "href":"scaling-subscribers.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">A </span> GSGStreamsWriteTable",
                    "href":"gsgstreamswritetable.html"
                }
            ]
        }
    ]
});